# Was ist neu in NVDA

## 2024.4

Diese Version enthält eine Reihe von Verbesserungen in Microsoft Office, Braille und Dokument-Formatierungen.

In Word or Excel, it is now possible to double-press the comment gesture to read the comment or note in a browsable dialog.
You can now use the review cursor selection command to select text in PowerPoint.
NVDA also no longer brailles garbage characters when showing row or column header text in tables in Word when using the object model.

NVDA can now be configured to report font attributes in speech and braille separately.

A new setting has been added to configure the timeout to perform a multiple press gesture, such as the report time/date command.

You can now configure how NVDA shows text formatting in braille, and set NVDA to show the start of paragraphs in braille.
NVDA can now speak the character at the cursor when performing a braille cursor routing action.
Cursor routing reliability has been improved, and support for routing keys in PowerPoint has been added.
All lines of cells will now be used when using a multi-line braille display via HID braille.
NVDA läuft nicht mehr instabil nach dem Neustart von NVDA während eines automatischen Scans, wenn die Braillezeilen über Bluetooth verbunden ist.

Die minimal erforderliche Version von Poedit, die mit NVDA funktioniert, ist jetzt Version 3.5.

eSpeak-NG wurde aktualisiert und unterstützt nun auch die Sprachen Färöisch und Xextan.

LibLouis wurde aktualisiert, neue Braille-Tabellen für die thailändische und griechische internationale Braille-Schrift mit einzelligen akzentuierten Buchstaben hinzugefügt.

Außerdem gibt es eine Reihe von Korrekturen, unter anderem für die Mausverfolgung in Firefox und den Sprachmodus bei Bedarf.

### Neue Features

* Neue Braille-Features:
  * It is now possible to change the way NVDA displays certain text formatting attributes in braille.
    Folgende Optionen:
    * Liblouis (default): Uses formatting markers defined in the selected braille table.
    * Tags: Uses start and end tags to denote where certain font attributes begin and end. (#16864)
  * When the "Read by paragraph" option is enabled, NVDA can now be configured to indicate the start of paragraphs in braille. (#16895, @nvdaes)
  * When performing a braille cursor routing action, NVDA can now automatically speak the character at the cursor. (#8072, @LeonarddeR)
    * This option is disabled by default.
      You can enable "Speak character when routing cursor in text" in NVDA's braille settings.
* The comment command in Microsoft Word and notes command in Microsoft Excel can now be pressed twice to show the comment or note in a browsable message. (#16800, #16878, @Cary-Rowen)
* NVDA can now be configured to report font attributes in speech and braille separately. (#16755)
* The timeout to perform a multiple keypress is now configurable; this may be especially useful for people with dexterity impairment. (#11929, @CyrilleB79)

### Änderungen

* The `-c`/`--config-path` and `--disable-addons` command line options are now respected when launching an update from within NVDA. (#16937)
* Komponenten-Updates:
  * LibLouis Braille-Übersetzer aktualisiert auf [3.31.0](https://github.com/liblouis/liblouis/releases/tag/v3.31.0). (#17080, @LeonarddeR, @codeofdusk)
    * Übersetzung der Zahlen in der spanischen Braille-Schrift behoben.
    * Neue Braille-Tabellen:
      * Thailändische Vollschrift
      * Griechische internationale Brailleschrift (einzellige akzentuierte Buchstaben)
    * Umbenannte Tabellen:
      * "Thai 6 dot" was renamed to "Thai grade 0" for consistency reasons.
      * The existing "Greek international braille" table was renamed to "Greek international braille (2-cell accented letters)" to clarify the distinction between the two Greek systems.
  * eSpeak-NG wurde aktualisiert auf 1.52-dev commit `961454ff`. (#16775)
    * Neue Sprachen Färöisch und Xextan hinzugefügt.
* When using a multi-line braille display via the standard HID braille driver, all lines of cells will be used. (#16993, @alexmoon)
* Die Stabilität der Poedit-Unterstützung von NVDA wurde verbessert, mit dem Nebeneffekt, dass die minimal erforderliche Version von Poedit nun Version 3.5 ist. (#16889, @LeonarddeR)

### Fehlerbehebungen

* Behebungen in Braille:
  * It is now possible to use braille display routing keys to move the text cursor in Microsoft PowerPoint. (#9101)
  * When accessing Microsoft Word without UI Automation, NVDA no longer outputs garbage characters in table headers defined with the set row and column header commands. (#7212)
  * The Seika Notetaker driver now correctly generates braille input for space, backspace and dots with space/backspace gestures. (#16642, @school510587)
  * Cursor routing is now much more reliable when a line contains one or more Unicode variation selectors or decomposed characters. (#10960, @mltony, @LeonarddeR)
  * NVDA no longer throws an error when panning the braille display forward in some empty edit controls. (#12885)
  * NVDA läuft nicht mehr instabil nach dem Neustart von NVDA während eines automatischen Scans, wenn die Braillezeilen über Bluetooth verbunden ist. (#16933)
* It is now possible to use the review cursor selection commands to select text in Microsoft PowerPoint. (#17004)
* In on-demand speech mode, NVDA does not talk any more when a message is opened in Outlook, when a new page is loaded in a browser, or when displaying a new slide in a PowerPoint slideshow. (#16825, @CyrilleB79)
* In Mozilla Firefox, moving the mouse over text before or after a link now reliably reports the text. (#15990, @jcsteh)
* NVDA no longer occasionally fails to open browsable messages (such as pressing `NVDA+f` twice). (#16806, @LeonarddeR)
* Wenn Sie NVDA aktualisieren, während Updates von NVDA-Erweiterungen anstehen, werden diese nicht mehr entfernt. (#16837)
* It is now possible to interact with Data validation dropdown lists in Microsoft Excel 365. (#15138)
* NVDA verhält sich nicht mehr so träge beim Navigieren mit den Pfeiltasten bei großen Dateien in VS Code. (#17039)
* NVDA no longer becomes unresponsive after holding down an arrow key for a long time while in browse mode, particularly in Microsoft Word and Microsoft Outlook. (#16812)
* NVDA no longer reads the last line when the cursor is on the second-last line of a multiline edit control in Java applications. (#17027)

### Änderungen für Entwickler

Bitte lesen Sie [das Entwicklerhandbuch](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) für Informationen über API-Änderungen in NVDA.

* Komponenten-Updates:
  * Aktualisiert wurde py2exe auf 0.13.0.2 (#16907, @dpy013)
  * Aktualisiert wurde setuptools auf 72.0 (#16907, @dpy013)
  * Aktualisiert wurde Ruff auf 0.5.6. (#16868, @LeonarddeR)
  * Aktualisiert wurde nh3 auf 0.2.18 (#17020, @dpy013)
* Added a `.editorconfig` file to NVDA's repository in order for several IDEs to pick up basic NVDA code style rules by default. (#16795, @LeonarddeR)
* Added support for custom speech symbol dictionaries. (#16739, #16823, @LeonarddeR)
  * Dictionaries can be provided in locale specific folders in an add-on package, e.g. `locale\en`.
  * Dictionary metadata can be added to an optional `symbolDictionaries` section in the add-on manifest.
  * Please consult the [Custom speech symbol dictionaries section in the developer guide](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#AddonSymbolDictionaries) for more details.
* It is now possible to redirect objects retrieved from on-screen coordinates, by using the `NVDAObject.objectFromPointRedirect` method. (#16788, @Emil-18)
* Running SCons with the parameter `--all-cores` will automatically pick the maximum number of available CPU cores. (#16943, #16868, @LeonarddeR)
* Developer info now includes information on app architecture (such as AMD64) for the navigator object. (#16488, @josephsl)

#### Veraltete Funktionen

* The `bool` configuration key `[documentFormatting][reportFontAttributes]` is deprecated for removal in 2025.1, instead use `[fontAttributeReporting]`. (#16748)
  * The new key has an `int` value matching an `OutputMode` `enum` with options for speech, braille, speech and braille and off.
  * API consumers can use the `bool` value as previously, or check the `OutputMode` if handling speech or braille specifically.
  * Diese Tasten werden derzeit bis 2025.1 synchronisiert.
* `NVDAObjects.UIA.InaccurateTextChangeEventEmittingEditableText` ist ersatzlos veraltet. (#16817, @LeonarddeR)

## 2024.3.1

Dies ist ein Patch, der einen Fehler in der automatischen Benachrichtigung über Updates von NVDA-Erweiterungen behebt.

### Fehlerbehebungen

* Bei der automatischen Suche nach Updates von NVDA-Erweiterungen hängt sich NVDA bei instabilen Verbindungen nicht mehr auf. (#17036)

## 2024.3

Über den Store in NVDA werden Sie nun benachrichtigt, sofern Updates von NVDA-Erweiterungen beim Start von NVDA verfügbar sind.

Es gibt nun Optionen zur Anwendung der Unicode-Normalisierung für die Sprachausgabe und in Braille.
Dies kann nützlich sein, wenn Zeichen vorgelesen werden sollen, die einer bestimmten Sprachausgabe oder einer Braille-Tabelle unbekannt sind und für die es eine kompatible Alternative gibt, wie z. B. die Zeichen, in fett und kursiv, die häufig in sozialen Medien verwendet werden.
Auch das Lesen von Gleichungen im Gleichungs-Editor von Microsoft Word ist nun möglich.

Die Braillezeilen von Help Tech Activator Pro werden nun unterstützt.

Nicht zugewiesene Befehle wurden hinzugefügt, um den Touch-Ball (ähnlich dem Mausrad) vertikal und horizontal zu scrollen.

Es gibt mehrere Fehlerbehebungen, insbesondere für das Windows 11 Emoji-Panel und den Verlauf der Zwischenablage.
Für die Web-Browser gibt es Korrekturen für Fehlermeldungen, Abbildungen, Beschriftungen, Tabellenbeschriftungen und Menüelemente mit Kontrollkästchen bzw. Auswahlschaltern.

Der Braille-Übersetzer LibLouis wurde aktualisiert und um neue Braille-Tabellen für kyrillisches Serbisch, Jiddisch, mehrere alte Sprachen, Türkisch und das Internationale Phonetische Alphabet ergänzt.
Die Sprachausgabe eSpeak wurde aktualisiert, Unterstützung für Karakalpakische Sprache wurde hinzugefügt.
Unicode CLDR wurde ebenfalls aktualisiert.

### Neue Features

* Neue Tastaturbefehle:
  * Nicht zugewiesene Befehle für das vertikale und horizontale Scrollen des Mausrads wurden hinzugefügt, um die Navigation auf Webseiten und Anwendungen mit dynamischen Inhalten, wie Dism++, zu verbessern. (#16462, @Cary-Rowen)
* Unterstützung für Unicode-Normalisierung für die Sprachausgabe und in Braille hinzugefügt. (#11570, #16466 @LeonarddeR).
  * Dies kann nützlich sein, wenn Zeichen vorgelesen werden sollen, die einer bestimmten Sprachausgabe oder einer Braille-Tabelle unbekannt sind und für die es eine kompatible Alternative gibt, wie z. B. die Zeichen, in fett und kursiv, die häufig in sozialen Medien verwendet werden.
  * Auch das Lesen von Gleichungen im Gleichungs-Editor von Microsoft Word wird damit ermöglicht. (#4631)
  * Sie können diese Funktion sowohl für die Sprachausgabe als auch für Braille in den entsprechenden Kategorien der NVDA-Einstellungen festlegen.
* Standardmäßig werden Sie nach dem Start von NVDA benachrichtigt, sofern Updates zu NVDA-Erweiterungen verfügbar sind. (#15035)
  * Dies kann in der Kategorie "Store" in den NVDA-Einstellungen deaktiviert werden.
  * Dabei wird täglich auf Updates geprüft.
  * Es werden nur Updates innerhalb desselben Kanals geprüft (z. B. werden installierte Betas nur auf Updates im Beta-Kanal hingewiesen).
* Unterstützung für Braillezeilen von Help Tech Activator Pro wurde hinzugefügt. (#16668)

### Änderungen

* Komponenten-Updates:
  * eSpeak NG auf 1.52-dev commit `54ee11a79` aktualisiert. (#16495)
    * Neue Sprache Karakalpakisch hinzugefügt.
  * Unicode CLDR auf Version 45.0 aktualisiert. (#16507, @OzancanKaratas)
  * Aktualisiert wurde fast_diff_match_patch (zur Erkennung von Änderungen in Terminals und anderen dynamischen Inhalten) auf Version 2.1.0. (#16508, @codeofdusk)
  * LibLouis auf [3.30.0](https://github.com/liblouis/liblouis/releases/tag/v3.30.0) aktualisiert. (#16652, @codeofdusk)
    * Neue Braille-Tabellen:
      * Serbisch (kyrillisch).
      * Jiddisch.
      * Mehrere alte Sprachen: Hebräisch (biblisch), Akkadisch, Syrisch, Ugaritisch und Keilschrift (transkribiert).
      * Türkische Kurzschrift. (#16735)
      * Internationales Phonetisches Alphabet. (#16773)
  * NSIS auf 3.10 aktualisiert. (#16674, @dpy013)
  * Markdown auf 3.6 aktualisiert. (#16725, @dpy013)
  * Nh3 auf 0.2.17 aktualisiert (#16725, @dpy013)
* Die Fallback-Eingabe-Tabelle ist nun gleich der Fallback-Ausgabe-Tabelle, die der Englischen Vollschrift entspricht. (#9863, @JulienCochuyt, @LeonarddeR)
* NVDA teilt nun Abbildungen mit, die nicht zugänglich sind, aber mit einer Beschriftung oder Beschreibung versehen sind. (#14514)
* Beim zeilenweisen Lesen im Lesemodus wird "Groß" nicht mehr in jeder Zeile einer langen Abbildung oder Tabellenüberschrift angezeigt. (#14874)
* In der Python-Konsole geht der zuletzt ausgeführte Befehl nicht mehr verloren, wenn dieser in den Verlauf verschoben wurde. (#16653, @CyrilleB79)
* Eine eindeutige anonyme ID wird nun als Teil der optionalen NVDA-Nutzungsstatistiken gesendet. (#16266)
* Standardmäßig wird beim Erstellen einer portablen Version ein neuer Ordner angelegt.
Sie erhalten eine Warnmeldung, wenn Sie versuchen, in ein nicht leeres Verzeichnis zu schreiben. (#16686)

### Fehlerbehebungen

* Windows 11:
  * NVDA bleibt nicht mehr hängen, sobald der Verlauf der Zwischenablage und das Emoji-Panel geschlossen werden. (#16346, #16347, @josephsl)
  * NVDA zeigt beim Öffnen der IME-Oberfläche wieder sichtbare Kandidaten an. (#14023, @josephsl)
  * NVDA teilt "Zwischenablage-Verlauf" nicht mehr doppelt mit, wenn man durch die Menüpunkte des Emoji-Panels navigiert. (#16532, @josephsl)
  * NVDA bricht die Sprachausgabe und schneidet in Braille den Text nicht mehr ab, wenn Kaomojis und Symbole im Emoji-Panel angezeigt werden. (#16533, @josephsl)
* Web-Browser:
  * Fehlermeldungen, die mit `aria-errormessage` referenziert werden, werden nun in Google Chrome und Mozilla Firefox mitgeteilt. (#8318)
  * Falls vorhanden, verwendet NVDA nun `aria-labelledby`, um zugängliche Namen für Tabellen in Mozilla Firefox bereitzustellen. (#5183)
  * NVDA zeigt Menüelemente mit Auswahlschalter und Kontrollkästchen beim ersten Aufruf von Untermenüs in Google Chrome und Mozilla Firefox korrekt an. (#14550)
  * Die Suchfunktion in NVDA im Lesemodus ist jetzt präziser, wenn die Seite Emojis enthält. (#16317, @LeonarddeR)
  * In Mozilla Firefox teilt NVDA nun korrekt das aktuelle Zeichen, Wort und die Zeile mit, wenn sich der Cursor an der Einfügemarke am Ende einer Zeile befindet. (#3156, @jcsteh)
  * Google Chrome stürzt nicht mehr ab, wenn ein Dokument geschlossen oder Chrome beendet wird. (#16893)
* NVDA zeigt nun die Autovervollständigungsvorschläge in Eclipse und anderen Eclipse-basierten Umgebungen unter Windows 11 korrekt an. (#16416, @thgcode)
* Es ist wieder möglich, die Konfiguration zuverlässig auf die Standard-Einstellungen zurückzusetzen. (#16755, @Emil-18)
* Verbesserte Zuverlässigkeit beim automatischen Text vorlesen, insbesondere bei Terminal-Anwendungen. (#15850, #16027, @Danstiv)
* NVDA teilt Änderungen bei der Auswahl korrekt mit, wenn der Text einer Zelle in Microsoft Excel bearbeitet wird. (#15843)
* In Anwendungen, die Java Access Bridge verwenden, liest NVDA jetzt die letzte Leerzeile eines Textes korrekt vor, anstatt die vorherige Zeile zu wiederholen. (#9376, @dmitrii-drobotov)
* In LibreOffice Writer (Version 24.8 und neuer) wird beim Umschalten der Textformatierung (fett, kursiv, unterstrichen, tiefgestellt/hochgestellt, Ausrichtung) mit dem entsprechenden Tastaturkürzel das neue Formatierungsattribut von NVDA angesagt (z. B. "Fett ein", "Fett aus"). (#4248, @michaelweghorn)
* Beim Navigieren mit den Cursor-Tasten in Textfeldern in Anwendungen, die UIA verwenden, teilt NVDA nicht mehr manchmal das falsche Zeichen mit, Wort usw. (#16711, @jcsteh)
* Beim Einfügen im Rechner von Windows 10/11 meldet NVDA jetzt korrekt die gesamte eingefügte Zahl. (#16573, @TristanBurchett)
* Die Sprachausgabe bleibt nicht mehr stumm, nachdem die Verbindung zu einer Remote-Desktop-Sitzung getrennt und wiederhergestellt wurde. (#16722, @jcsteh)
* Unterstützung für Befehle zum Textbetrachten für den Namen eines Objekts in Visual Studio Code hinzugefügt. (#16248, @Cary-Rowen)
* Die Wiedergabe von NVDA-Sounds schläg auf einem Audiogerät in Mono nicht mehr fehl. (#16770, @jcsteh)
* NVDA teilt Adressen mit, wenn man mit dem Pfeiltasten durch die Felder An/CC/BCC auf outlook.com bzw. im modernen Outlook navigiert. (#16856)
* Besserer Umgang in NVDA mit Fehlern bei der Installation von NVDA-Erweiterungen. (#16704)

### Änderungen für Entwickler

* NVDA verwendet jetzt Ruff anstelle von flake8 für Linting. (#14817)
* Das NVDA-Build-System wurde korrigiert, damit es bei Verwendung von Visual Studio 2022 Version 17.10 und neuer korrekt funktioniert. (#16480, @LeonarddeR)
* Im Protokoll-Betrachter und in der NVDA Python-Konsole wird jetzt eine Schrift mit fester Breite verwendet, damit der Cursor bei der vertikalen Navigation in der gleichen Spalte verbleibt.
Es ist besonders nützlich, die Fehler in den Tracebacks zu lesen. (#16321, @CyrilleB79)
* Unterstützung für benutzerdefinierte Braille-Tabellen wurde hinzugefügt. (#3304, #16208, @JulienCochuyt, @LeonarddeR)
  * Tabellen können im Ordner `brailleTables` in einem Paket bereitgestellt werden.
  * Tabellen-Metadaten können zu einem optionalen `brailleTables`-Abschnitt im Manifest oder zu einer `.ini`-Datei mit dem gleichen Format hinzugefügt werden, die sich im Unterverzeichnis brailleTables des Scratchpad-Verzeichnisses befindet.
  * Weitere Einzelheiten entnehmen Sie bitte dem Abschnitt [Braille-Übersetzungstabellen im Entwicklerhandbuch](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#BrailleTables).
* Wenn ein `gainFocus`-Ereignis mit einem Objekt in die Warteschlange gestellt wird, das eine gültige `focusRedirect`-Eigenschaft hat, wird das Objekt, auf das die `focusRedirect`-Eigenschaft zeigt, jetzt von `eventHandler.lastQueuedFocusObject` gehalten, anstatt von dem ursprünglich in die Warteschlange gestellten Objekt. (#15843)
* NVDA protokolliert die ausführbare Architektur (x86) beim Starten. (#16432, @josephsl)
* `wx.CallAfter`, das in `monkeyPatches/wxMonkeyPatches.py` gepackt ist, enthält nun eine korrekte Anzeige namens `functools.wraps`. (#16520, @XLTechie)
* Es gibt ein neues Modul für die Planung von Aufgaben `utils.schedule`, das das Pip-Modul `schedule` verwendet. (#16636)
  * Sie können `scheduleThread.scheduleDailyJobAtStartUp` verwenden, um automatisch einen Job zu planen, der nach dem Start von NVDA und danach alle 24 Stunden ausgeführt wird.
  Die Aufträge werden mit einer Verzögerung geplant, um Konflikte zu vermeiden.
  * `scheduleThread.scheduleDailyJob` und `scheduleJob` können verwendet werden, um Jobs zu benutzerdefinierten Zeiten einzuplanen, wobei ein `JobClashError` bei einer bekannten Überschneidung der Job-Planung ausgelöst wird.
* Es ist jetzt möglich, Anwendungsmodule für Anwendungen zu erstellen, die Edge WebView2-Steuerelemente (msedgewebview2.exe) enthalten. (#16705, @josephsl)

## 2024.2

Es gibt eine neue Funktion namens Sound-Teilung.
Dies ermöglicht die Aufteilung von NVDA-Sounds auf einen Kanal (z. B. links), während Sounds von allen anderen Anwendungen auf den anderen Kanal (z. B. rechts) ausgegeben werden.

Es gibt neue Befehle zum Ändern des Sprachausgaben-Einstellungsrings, mit denen lassen sich die ersten oder letzten Einstellung sowie die aktuelle Einstellung in größeren Schritten verändern.
Außerdem gibt es neue Schnellnavigationsbefehle, mit denen lassen sich die Tastenbefehle verbinden, um schnell zwischen folgenden Optionen zu wechseln: Absätze, vertikal ausgerichtete Absätze, Texte im gleichen Stil, Texte unterschiedlichem Stil, Menü-Elemente, Umschalter, Fortschrittsbalken, Abbildungen und mathematische Formeln.

Es gibt viele neue Braille-Funktionen und Fehlerbehebungen.
Ein neuer Braille-Modus namens "Sprachausgabenverlauf anzeigen" wurde hinzugefügt.
Wenn dieser aktiviert ist, wird auf der Braillezeile genau das angezeigt, was NVDA spricht.
Unterstützung für die Braillezeilen BrailleEdgeS2 und BrailleEdgeS3 hinzugefügt.
LibLouis wurde aktualisiert, wobei neue detaillierte (mit Großbuchstaben versehene) belarussische und ukrainische Braille-Tabellen, eine laotische Tabelle und eine spanische Tabelle zum Lesen griechischer Texte hinzugefügt wurden.

Die Sprachausgabe eSpeak wurde aktualisiert und um die neue Sprache Tigrinisch erweitert.

Es gibt viele kleinere Fehlerbehebungen für Anwendungen wie Mozilla Thunderbird, Adobe Reader, Web-Browser, Nudi und Geekbench.

### Neue Features

* Neue Tastaturbefehle:
  * Neuer Schnellnavigationsbefehl `P` zum Springen zum nächsten/vorherigen Textabsatz im Lesemodus. (#15998, @mltony)
  * Neue, nicht zugewiesene Schnellnavigationsbefehle, mit denen man zum Nächsten/Vorherigen Element springen kann:
    * Abbildungen (#10826)
    * Vertikal ausgerichteter Absatz (#15999, @mltony)
    * Menü-Element (#16001, @mltony)
    * Umschalter (#16001, @mltony)
    * Fortschrittsbalken (#16001, @mltony)
    * Mathematische Formeln (#16001, @mltony)
    * Text mit gleichem Stil (#16000, @mltony)
    * Text in einem anderen Stil (#16000, @mltony)
  * Es wurden Befehle hinzugefügt, um zum ersten, zum letzten, vorwärts und rückwärts durch den Sprachausgaben-Einstellungsring zu springen. (#13768, #16095, @rmcpantoja)
    * Das Einstellen der ersten/letzten Einstellung im Sprachausgaben-Einstellungsring hat keinen zugewiesenen Tastenbefehl. (#13768)
    * Verändern der aktuellen Einstellung des Sprachausgaben-Einstellungsrings in größeren Schritten (#13768):
      * Desktop: `NVDA+Strg+Seite nach oben` und `NVDA+Strg+Seite nach unten`.
      * Laptop: `NVDA+Strg+Umschalt+Seite nach oben` und `NVDA+Strg+Umschalt+Seite nach unten`.
  * Es wurde ein neuer, nicht zugewiesener Tastenbefehl hinzugefügt, mit der die Anzeige von Abbildungen und Beschriftungen umgeschaltet werden kann. (#10826, #14349)
* Braille:
  * Unterstützungen für die Braillezeilen BrailleEdgeS2 und BrailleEdgeS3 hinzugefügt. (#16033, #16279, @EdKweon)
  * Ein neuer Braille-Modus mit der Bezeichnung "Sprachausgabenverlauf anzeigen" wurde hinzugefügt. (#15898, @Emil-18)
    * Wenn dieser aktiviert ist, wird auf der Braillezeile genau das angezeigt, was NVDA spricht.
    * Er kann mit der Tastenkombination `NVDA+Alt+T` oder über in den Einstellungen in der Kategorie "Braille" umgeschaltet werden.
* Sound-Teilung: (#12985, @mltony)
  * Ermöglicht die Aufteilung von NVDA-Sounds auf einen Kanal (z. B. links), während Sounds von allen anderen Anwendungen auf den anderen Kanal (z. B. rechts) ausgegeben werden.
  * Umgeschaltet mit `NVDA+Alt+S`.
* Die Meldung von Zeilen- und Spaltenüberschriften wird jetzt in inhaltsverarbeitbaren HTML-Elementen unterstützt. (#14113)
* In den Einstellungen für die Dokument-Formatierung wurde eine Option für die Ausgabe zum Deaktivieren von Abbildungen und Beschriftungen hinzugefügt. (#10826, #14349)
* In Windows 11 spricht NVDA Warnungen bei der Spracheingabe und schlägt Aktionen vor, einschließlich des obersten Vorschlags beim Kopieren von Daten wie Telefonnummern in die Zwischenablage (Windows 11 Version 2022 Update und neuer). (#16009, @josephsl)
* NVDA blendet das Audio-Gerät nach Beendigung der Wiedergabe über die Sprachausgabe nicht länger aus, um zu verhindern, dass der Beginn der nächsten Wiedergabe über die Sprachausgabe bei einigen Audio-Geräten wie Bluetooth-Kopfhörern abgeschnitten wird. (#14386, @jcsteh, @mltony)
* Der HP Secure-Browser wird nun unterstützt. (#16377)

### Änderungen

* Store für NVDA-Erweiterungen:
  * Die minimale und die zuletzt getestete NVDA-Version für eine NVDA-Erweiterung werden nun im Bereich "Weitere Details" angezeigt. (#15776, @Nael-Sayegh)
  * Die Aktion "Community-Rezensionen" wird auf allen Registerkarten im Store verfügbar sein. (#16179, @nvdaes)
* Komponenten-Updates:
  * Der Braille-Übersetzer LibLouis wurde auf [3.29.0](https://github.com/liblouis/liblouis/releases/tag/v3.29.0) aktualisiert. (#16259, @codeofdusk)
    * Neue detaillierte (mit Großbuchstaben gekennzeichnete) belarussische und ukrainische Braille-Tabellen.
    * Neue spanische Tabelle zum Lesen griechischer Texte.
    * Neue Tabelle:  laotische Kurzschrift. (#16470)
  * Die Sprachausgabe eSpeak NG wurde auf 1.52-dev commit `cb62d93fd7` aktualisiert. (#15913)
    * Neue Sprache Tigrinisch hinzugefügt.
* Mehrere Tastenbefehle für Braillezeilen BrailleSense wurden geändert, um Konflikte mit Zeichen der französischen Braille-Tabelle zu vermeiden. (#15306)
  * `Alt+Pfeiltaste nach links` wurde jetzt neu zugeordnet auf `Punkt2+Punkt7+Leertaste`
  * `Alt+Pfeiltaste nach rechts` wurde jetzt neu zugeordnet auf `Punkt5+Punkt7+Leertaste`
  * `Alt+Pfeiltaste nach oben` wurde jetzt neu zugeordnet auf `Punkt2+Punkt3+Punkt7+Leertaste`
  * `Alt+Pfeiltaste nach unten` wurde jetzt neu zugeordnet auf `Punkt5+Punkt6+Punkt7+Leertaste`
* Die in Inhaltsverzeichnissen üblicherweise verwendeten gepunkteten Linien werden bei niedrigen Interpunktionsstufen nicht mehr mitgeteilt. (#15845, @CyrilleB79)

### Fehlerbehebungen

* Windows 11:
  * NVDA teilt wieder Hardware-Tastatur-Eingabevorschläge mit. (#16283, @josephsl)
  * In Version 24H2 (2024 Update und Windows Server 2025) können Maus- und Touch-Interaktion in den Schnelleinstellungen verwendet werden. (#16348, @josephsl)
* Store für NVDA-Erweiterungen:
  * Wenn Sie die Tastenkombination `Strg+Tab` drücken, wird der Fokus korrekt auf den neuen Titel des aktuellen Tabs gesetzt. (#14986, @ABuffEr)
  * Wenn die Cache-Dateien nicht korrekt sind, lässt sich NVDA nicht mehr neu starten. (#16362, @nvdaes)
* Chromium-basierte Browser bei Verwendung mit UIA:
  * Fehler behoben, die zum Einfrieren von NVDA führten. (#16393, #16394)
  * Die Rücktaste funktioniert jetzt in Anmeldefeldern von Google Mail korrekt. (#16395)
* Die Rücktaste funktioniert jetzt korrekt, wenn Nudi 6.1 mit der NVDA-Einstellung "Tasten aus anderen Anwendungen behandeln" verwendet wird. (#15822, @jcsteh)
* Es wurde ein Fehler behoben, bei dem Audio-Koordinaten wiedergegeben wurden, während sich die Anwendung im Ruhezustand befand, wenn "Audio-Koordinaten bei Mausbewegungen wiedergeben" aktiviert war. (#8059, @hwf1324)
* In Adobe Reader ignoriert NVDA nicht mehr den alternativen Text von Formeln in PDFs. (#12715)
* Es wurde ein Fehler behoben, der dazu führte, dass NVDA das Menüband und die Optionen in Geekbench nicht lesen konnte. (#16251, @mzanm)
* Ein seltener Fall wurde behoben, in dem beim Speichern der Konfiguration nicht alle Profile gespeichert werden konnten. (#16343, @CyrilleB79)
* In Firefox und Chromium-basierten Browsern geht NVDA korrekt in den Fokusmodus über, sobald die Eingabetaste innerhalb einer Präsentationsliste (ul / ol) innerhalb eines bearbeitbaren Inhalts gedrückt wird. (#16325)
* Die Änderung des Status der Spalten wird nun korrekt mitgeteilt, wenn Spalten zur Anzeige in der Nachrichtenliste in Mozilla Thunderbird ausgewählt werden. (#16323)
* Der Kommandozeilen-Parameter `--help` bzw. `h` funktioniert wieder korrekt. (#16522, @XLTechie)
* Die Unterstützung in NVDA für die Poedit-Übersetzungssoftware ab Version 3.4 funktioniert korrekt, wenn Sprachen mit 1 oder mehr als 2 Pluralformen (z. B. Chinesisch, Polnisch) übersetzt werden. (#16318)

### Änderungen für Entwickler

Bitte lesen Sie [das Entwicklerhandbuch](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) für Informationen über API-Änderungen in NVDA.

* Die Instanziierung von `winVersion.WinVersion`-Objekten mit unbekannten Windows-Versionen neuer als 10.0.22000 wie 10.0.25398 gibt "Windows 11 Unbekannt" statt "Windows 10 Unbekannt" als Versionsname zurück. (#15992, @josephsl)
* Erleichtert den AppVeyor-Erstellungsprozess für NVDA-Forks, indem Sie konfigurierbare Variablen in appveyor.yml hinzufügen, um spezifische Teile der Erstellungsskripte von NV Access deaktivieren oder modifizieren können. (#16216, @XLTechie)
* Es wurde ein Dokument hinzugefügt, welches den Prozess der Erstellung von NVDA-Forks auf AppVeyor erklärt. (#16293, @XLTechie)

## 2024.1

Ein neuer Sprachmodus "Bei Bedarf" wurde hinzugefügt.
Bei aktiviertem Modus liest NVDA beispielsweise beim Navigieren der Schreibmarke nicht automatisch, sondern nur noch bei Informationen, wenn ein Befehl ausgeführt wird, dessen Ziel es ist, wie z. B. Fenstertitel, vorzulesen.
In der Kategorie "Sprachausgabe" der NVDA-Einstellungen ist es jetzt möglich, unerwünschte Sprachmodi aus dem Befehl "Sprachmodi wechseln" (`NVDA+S`) auszuschließen.

Ein neuer nativer Auswahlmodus (einzuschalten mittels `NVDA+Umschalt+F10`) ist jetzt im Lesemodus von NVDA für Mozilla Firefox verfügbar.
Wenn diese Funktion aktiviert ist, wird durch das Auswählen von Text im Lesemodus auch die native Auswahl von Firefox einbezogen.
Das Kopieren von Text mittels `Strg+C` wird direkt an Firefox weitergeleitet, wodurch der formatierte Inhalt und nicht die reine Textdarstellung von NVDA kopiert wird.

Der Store für NVDA-Erweiterungen unterstützt jetzt Massenaktionen, so z. B. das Installieren oder Aktivieren von Erweiterungen durch Auswahl mehrerer Einträge in der Liste
Es gibt eine neue Aktion zum Öffnen einer Diskussionsseite für die ausgewählte Erweiterung.

Die Optionen zur Auswahl des Audio-Ausgabegeräts und die Lautstärkenreduktion anderer Anwendungen wurden aus dem Dialogfeld "Sprachausgabe auswählen" entfernt.
Diese befinden sich nun in den Audio-Einstellungen, die mit `NVDA+Strg+U` geöffnet werden können.

Die Sprachausgabe eSpeak-NG, der Braille-Übersetzer LibLouis und die Unicode-CLDR wurden aktualisiert.
Neue Brailletabellen sind verfügbar: Thai, Filipinisch und Rumänisch.

Es gibt viele Fehlerbehebungen, vor allem für den Store für NVDA-Erweiterungen, Braille, Libre Office, Microsoft Office und Audio.

### Wichtige Anmerkungen

* Diese Version ist nicht mit vorhandenen NVDA-Erweiterungen kompatibel.
* Windows 7 und Windows 8 werden nicht mehr unterstützt.
Windows 8.1 ist mindestens erforderlich.

### Neue Features

* Store für NVDA-Erweiterungen:
  * Der Store unterstützt jetzt Massenaktionen, so z. B. das Installieren oder Aktivieren von Erweiterungen durch Auswahl mehrerer Einträge in der Liste. (#15350, #15623, @CyrilleB79)
  * Es wurde eine neue Aktion hinzugefügt, mit deren Hilfe Rückmeldungen zur gewählten Erweiterung gegeben oder gelesen werden kann. (#15576, @nvdaes)
* Unterstützung für Bluetooth Low Energy HID-Braillezeilen hinzugefügt. (#15470)
* Ein neuer nativer Auswahlmodus (einzuschalten  via `NVDA+Umschalt+F10`) ist jetzt im Lesemodus von NVDA für Mozilla Firefox verfügbar.
Wenn diese Funktion aktiviert ist, wird durch das Auswählen von Text im Lesemodus auch die native Auswahl von Firefox manipuliert.
Das Kopieren von Text mit `Strg+C` wird direkt an Firefox weitergeleitet, wodurch der formatierte Inhalt und nicht die reine Textdarstellung von NVDA kopiert wird.
Beachten Sie jedoch, dass NVDA in diesem Modus keine Meldung "In die Zwischenablage kopiert" ausgibt, da Firefox die eigentliche Kopie ausführt. (#15830)
* Beim Kopieren von Text in Microsoft Word mit aktiviertem Lesemodus ist jetzt auch die Formatierung enthalten.
Ein Nebeneffekt davon ist, dass NVDA beim Drücken von `Strg+C` im Microsoft Word-/Outlook-Lesemodus nicht mehr die Meldung "In die Zwischenablage kopiert" ausgibt, da die Anwendung nun die Kopie durchführt, nicht NVDA. (#16129)
* Ein neuer Sprachmodus namens "Nur bei Bedarf" wurde hinzugefügt.
Bei aktiviertem Modus spricht NVDA beispielsweise beim Bewegen der Schreibmarke nicht automatisch. NVDA spricht nur noch, wenn ein Befehl ausgelößtwird, dessen Ziel es ist, eine Information wie z. B. das Lesen des Fenstertitels vorzulesen. (#481, @CyrilleB79)
* In der Kategorie "Sprachausgabe" der NVDA-Einstellungen ist es jetzt möglich, unerwünschte Sprachmodi aus dem Befehl "Sprachmodi wechseln" (`NVDA+S`) auszuschließen. (#15806, @lukaszgo1)
  * Wenn Sie derzeit die NVDA-Erweiterung NoBeepsSpeechMode verwenden, sollten Sie es deinstallieren und die Modi "Signaltöne" und "Nur bei Bedarf" in den Einstellungen deaktivieren.

### Änderungen

* NVDA unterstützt Windows 7 und Windows 8 nicht mehr.
Windows 8.1 ist mindestens erforderlich. (#15544)
* Komponenten-Updates:
  * LibLouis Braille-Übersetzer auf [3.28.0](https://github.com/liblouis/liblouis/releases/tag/v3.28.0) aktualisiert. (#15435, #15876, @codeofdusk)
    * Neue thailändische, rumänische und philippinische Braille-Tabellen hinzugefügt.
  * Die Sprachausgabe eSpeak NG wurde auf 1.52-dev commit `530bf0abf` aktualisiert. (#15036)
  * CLDR-Emoji- und Symbolanmerkungen wurden auf Version 44.0 aktualisiert. (#15712, @OzancanKaratas)
  * Java Access Bridge auf 17.0.9+8Zulu aktualisiert (17.46.19). (#15744)
* Tastenkombinationen:
  * Die folgenden Befehle unterstützen jetzt zwei- und dreimaliges Drücken, um die gemeldeten Informationen zu buchstabieren bzw. phonetisch zu buchstabieren: Auswahl vorlesen, Textinhalte der Zwischenablage vorlesen und fokussiertes Objekt vorlesen (#15449, @CyrilleB79)
  * Der Befehl zum Umschalten des Bildschirmvorhangs verfügt jetzt über eine Standardgeste: `NVDA+Strg+Escape`. (#10560, @CyrilleB79)
  * Bei viermaligem Drücken des Befehls "Auswahl vorlesen" wird der Text in einem Textfenster angezeigt. (#15858, @Emil-18)
* Microsoft Office:
  * Beim Anfordern von Formatierungsinformationen zu Excel-Zellen werden Rahmen und Hintergrund nur ausgegeben, wenn eine solche Formatierung vorhanden ist. (#15560, @CyrilleB79)
  * NVDA gibt keine unbeschrifteten Gruppierungen mehr aus, wie sie beispielsweise in neueren Versionen von Microsoft Office 365-Menüs vorkommen. (#15638)
* Die Optionen zur Auswahl des Audioausgabegeräts und die Lautstärkenreduktion anderer Anwendungen wurden aus dem Dialogfeld "Sprachausgabe auswählen" entfernt.
Sie finden sie in den Audio-Einstellungen, die mit `NVDA+Strg+U` geöffnet werden können. (#15512, @codeofdusk)
* Die Option "Objekttyp unter dem Mauszeiger ansagen" in den Mauseinstellungen von NVDA wurde in "Objekt ansagen, wenn die Maus hineinbewegt wird" umbenannt.
Diese Option gibt nun zusätzlich relevante Informationen zu einem Objekt aus, wenn die Maus hineinbewegt wird. Dies sind Informationen wie z. B. Zustände (markiert/gedrückt) oder Zellkoordinaten in einer Tabelle. (#15420, @LeonarddeR)
* Das Hilfe-Menü hat folgende neue Einträge zu Seiten bei NV Access erhalten: "Support erhalten" und "Shop". (#14631)
* Die Unterstützung von [Poedit](https://poedit.net) wurde ab Version 3 und höher komplett überarbeitet.
Nutzer von Poedit 1 wird geraten auf die Version 3 zu aktualisieren, falls sie verbesserte Bedienbarkeit in Poedit möchten. So funktionieren die Tastenkombinationen zum Lesen von Anmerkungen für Übersetzer sowie Kommentaren wieder. (#15313, #7303, @LeonarddeR)
* Braille- und Sprachbetrachter sind im geschützten Modus nicht nutzbar. (#15680)
* Während der Objektnavigation werden deaktivierte (nicht verfügbare) Objekte nicht mehr ignoriert. (#15477, @CyrilleB79)
* Inhaltsverzeichnis zur Befehlsreferenz hinzugefügt. (#16106)

### Fehlerbehebungen

* Store für NVDA-Erweiterungen:
  * Wenn sich der Zustand einer Erweiterung ändert (z. B. von "wird heruntergeladen" in "Übertragung abgeschlossen", wird dies nun korrekt angezeigt. (#15859, @LeonarddeR)
  * Beim Installieren von Erweiterungen wird der Installationsfrtschritt nicht mehr vom Neustartdialog überlagert. (#15613, @lukaszgo1)
  * Wird eine inkompatible Erweiterung erneut installiert, wird diese nicht mehr zwangsläufig deaktiviert. (#15584, @lukaszgo1)
  * Deaktivierte und inkompatible NVDA-Erweiterungen können jetzt aktualisiert werden. (#15568, #15029)
  * NVDA zeigt nun einen Fehler an, wenn eine Erweiterung nicht heruntergeladen werden konnte. (#15796)
  * NVDA wird ordnungsgemäß neu gestartet, wenn der Store für Erweiterungenm geöffnet und geschlossen wird. (#16019, @lukaszgo1)
* Audio:
  * NVDA friert nun nicht mehr ein, wenn mehrere Klänge in schneller Folge abgespielt werden. (#15311, #15757, @jcsteh)
  * Wenn ein vom Standard abweichendes Audiogerät eingestellt wird und das Gerät wird (wieder) verfügbar, wird NVDA auf das eingestellte Gerät wechseln. (#15759, @jcsteh)
  * NVDA setzt nun die Audio-Wiedergabe fort, wenn sich die Konfiguration des Ausgabegeräts ändert oder eine andere Anwendung die exklusive Kontrolle über das Gerät freigibt. (#15758, #15775, @jcsteh)
* Braille:
  * Mehrzeilige Braillezeilen bringen BRLTTY nicht mehr zum Absturz. (#15386)
  * Es werden Testinhalte mehrerer Objekte in Braille angezeigt (#15605)
  * Die Brailleeingabe von Kurzschrift funktioniert wieder. (#15773, @aaclause)
  * Die Brailleanzeige wird nun zuveerlässiger aktualisiert, wenn der Navigator zwischen Tabellenzellen bewegt wird. (#15755, @Emil-18)
  * Befehle ie "fokussiertes Objekt anzeigtn", "aktuelles Navigatorobjekt anzeigen" oder "Markierten Text anzeigen" funktionieren jetzt auch für Braille. (#15844, @Emil-18)
  * Der Treiber für Albatross behandelt einen ESP32 Microcontroller nicht mehr als Albatross Braillezeile. (#15671)
* LibreOffice:
  * Wörter, die mit der Tastenkombination `Strg+Rücktaste` gelöscht werden, werden nun auch dann korrekt angezeigt, wenn auf das gelöschte Wort ein Leerzeichen (wie Leerzeichen und Tabulatoren) folgt. (#15436, @michaelweghorn)
  * Das Anzeigen der Statuszeile mit `NVDA+Ende` funktioniert jetzt auch in Dialogen in Libreoffice 2024.2 und neuer. (#15591, @michaelweghorn)
  * In LibreOffice 24.2 und neuer werden alle Textattribute erkannt.
  Dies erlaubt die Anzeige von Rechtschreibfehlern in Libreoffice Writer. (#15648, @michaelweghorn)
  * Die Anzeige von Überschriftsebenen funktioniert nun auch in Libreoffice 24.2 und neuer. (#15881, @michaelweghorn)
* Microsoft Office:
  * Wenn Sie in Excel mit deaktiviertem UIA  `strg+y`, `strg+z` oder `alt+Rüpckte` drücken, wird die Brailleanzeige korrekt aktualisiert und der aktuelle Zelleninhalt gesprochen. (#15547)
  * Beim Drücken von `strg+v`, `STRG+x`, `STRG+y`, `STRG+z`, `alt+Rücktaste`, `backspace` oder `STRG+Rücktaste` wird in Microsoft Word mit deaktiviertem UIA die Brailleanzeige aktualisiert.
  Dies funktioniert auch mir aktiviertem UIA, sofern die Brailleanzeige an den NVDA-Cursor gekoppelt ist und der NVDA-Cursor dem Systemcursor folgt. (#3276)
  * In Word wird die Zielzelle korrekt angezeigt, wenn Sie die Word-Eigenen Befehle zur Tabellennavigation verwenden. Hierzu gehören `alt+Pos1`, `alt+ende`, `alt+Bild Auf` und `alt+Bild Ab`. (#15805, @CyrilleB79)
* Die Anzeige von Kurztasten für Objekte wurde verbessert. (#10807, #15816, @CyrilleB79)
* Sapi4-Sprachausgaben können nun beim Sprechen Lautstärke, Stimmhöhe oder Geschwindigkeit ändern. (#15271, @LeonarddeR)
* Mehrzeilige (Eingabe)felder werden in Java-Anwendungen korrekt erkannt. (#14609)
* Das Lesen von Dialoginhalten von Windows 10- und Windows 11-Dialogen funktioniert jetzt zuverlässiger. (#15729, @josephsl)
* Wenn in Microsoft Edge eine Webseite neu geladen wurde, wird sie wieder ordnungsgemäß gelesen. (#15736)
* Beim Buchstabieren sind die Pausen zwischen Sätzen Bzw. Zeichen jetzt wieder angemessen lang und verkürzen sich nicht im Laufe der Zeit. (#15739, @jcsteh)
* NVDA stürzt beim Lesen längerer Texte nicht mehr ab. (#15752, @jcsteh)
* In Microsoft Edge werden jetzt mehr Elemente auf der Webseite angezeigt. (#14612)
* Sollte die Konfogiruationsdatei beschädigt sein, startet NVDA zukünftig mit den Standard-Einstellungen - wie früher. (#15690, @CyrilleB79)
* Die Unterstützung für die System-Listenansicht (`SysListView32`) in Windows Forms-Anwendungen wurde korrigiert. (#15283, @LeonarddeR)
* Der Eingabe-Verlauf in der Python-Konsole kann nicht mehr überschrieben werden. (#15792, @CyrilleB79)
* NVDA sollte nun nicht mehr abstürzen, wenn viel Text über die Eingabeaufforderung (cmd) rollt oder wenn Sprachnachrichten in Whatsapp abgespielt werden.. (#14888, #15169)
  * Dieses Verhalten kann in den Erweiterten Einstellungen über die Option "Erweiterte Ereignisbehandlung verwenden" abgeschaltet werden.
* NVDA verfolgt den Fokus nun auch in Anwendungen, die unter Windows defender Application Guard ausgeführt werden.. (#15164)
* Der Sprachbetrachter wird nicht mehr aktualisiert, wenn die Maus in seinem Fenster bewegt wird. (#15952, @hwf1324)
* NVDA schaltet wieder in den Lesemodus zurück, wenn Kombinationsfelder mit `Escape-Taste` oder `Alt+Pfeiltaste nach oben` in Mozilla Firefox oder Google Chrome geschlossen werden. (#15653)
* Beim Navigieren in Kombinationsfeldern mit den Pfeiltasten in iTunes schaltet NVDA nicht mehr in den Lesemodus. (#15653)

### Änderungen für Entwickler

Bitte lesen Sie [das Entwicklerhandbuch](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) für Informationen über API-Änderungen in NVDA.

* Hinweis: Dies ist eine Version, die die Kompatibilität der API für NVDA-Erweiterungen beeinträchtigt.
NVDA-Erweiterungen müssen erneut getestet werden und die Manifest-Datei muss angepasst werden.
* Die Erstellung von NVDA benötigt jetzt Visual Studio 2022.
Eine spezifische Liste der Visual Studio-Komponenten finden Sie in den [NVDA-Dokumentationen](https://github.com/nvaccess/nvda/blob/release-2024.1/projectDocs/dev/createDevEnvironment.md). (#14313)
* Die folgenden Erweiterungspunkte wurden hinzugefügt:
  * `treeInterceptorHandler.post_browseModeStateChange`. (#14969, @nvdaes)
  * `speech.speechCanceled`. (#15700, @LeonarddeR)
  * `_onErrorSoundRequested` (sollte abgerufen werden, indem `logHandler.getOnErrorSoundRequested()` verwendet wird) (#15691, @CyrilleB79)
* Es ist jetzt möglich, Pluralformen in den Übersetzungen einer NVDA-Erweiterung zu verwenden. (#15661, @beqabeqa473)
* Aufnahme der Datei python3.dll in die Binär-Distribution zur Verwendung durch NVDA-Erweiterungen mit externen Bibliotheken, die die [API](https://docs.python.org/3.11/c-api/stable.html) verwenden. (#15674, @mzanm)
* Die Basisklasse `BrailleDisplayDriver` hat jetzt die Eigenschaften `numRows` und `numCols`, um Informationen über mehrzeilige Braillezeilen bereitzustellen.
Die Einstellung `numCells` wird weiterhin für einzeilige Braillezeilen unterstützt und `numCells` gibt die Gesamtzahl der Zellen für mehrzeilige Braillezeilen zurück. (#15386)
* Die BrlAPI für BRLTTY wurde auf Version 0.8.5 aktualisiert, und das entsprechende Python-Modul auf eine Python 3.11 kompatible Version umgestellt. (#15652, @LeonarddeR)
* Die Funktion `speech.speakSsml` wurde hinzugefügt, mit der Sie Sprachsequenzen in [SSML](https://www.w3.org/TR/speech-synthesis11/) in NVDA schreiben können. (#15699, @LeonarddeR)
  * Die folgenden Tags werden derzeit unterstützt und in entsprechende Sprachbefehle in NVDA übersetzt:
    * `Prosody` (`pitch`, `rate` und `volume`). Nur Multiplikation (z. B. `200%` werden unterstützt.
    * `say-as` mit dem Attribut `interpret` auf `characters` gesetzt
    * `voice` mit der Einstellung `xml:lang` auf eine XML-Sprache
    * `break` mit dem Attribut `time`, das auf einen Wert in Millisekunden gesetzt ist, z. B. `200ms`
    * `mark` mit dem Attribut `name`, das auf einen Namen der Markierung gesetzt ist, z. B. `mark1`, erfordert die Bereitstellung eines Fallbacks
  * Beispiel: `speech.speakSsml('<speak><prosody pitch="200%">hello</prosody><break time="500ms" /><prosody rate="50%">John</prosody></speak>')`
  * Die SSML-Parsing-Fähigkeiten werden von der Klasse `SsmlParser` im Modul `SpeechXml` unterstützt.
* Änderungen an der NVDA-Controller-Client-Bibliothek:
  * Die Dateinamen der Bibliothek enthalten kein Suffix mehr, das die Architektur angibt, d. h., `nvdaControllerClient32/64.dll` heißt jetzt nur noch `nvdaControllerClient.dll`. (#15718, #15717, @LeonarddeR)
  * Es wurde ein Beispiel hinzugefügt, um die Verwendung von nvdaControllerClient.dll in Rust zu demonstrieren. (#15771, @LeonarddeR)
  * Dem Controller-Client wurden die folgenden Funktionen hinzugefügt: (#15734, #11028, #5638, @LeonarddeR)
    * `nvdaController_getProcessId`: Zum Abrufen der Prozess-ID (PID) der aktuellen Instanz von NVDA, die der Controller-Client verwendet.
    * `nvdaController_speakSsml`: So können Sie SSML in NVDA benutzen. Diese Funktion unterstützt auch:
      * Die Bereitstellung der Symbolstufe.
      * Festlegung der Priorität der zu sprechenden Sprache.
      * Sowohl synchron (blockierend) als auch asynchron (sofortige Rückkehr) zu sprechen.
    * `nvdaController_setOnSsmlMarkReachedCallback`: Um einen Callback vom Typ `onSsmlMarkReachedFuncType` zu registrieren, der im synchronen Modus für jeden Tag `<mark />`, das in der SSML-Sequenz, die `nvdaController_speakSsml` zur Verfügung gestellt wird, aufgerufen wird.
  * Hinweis: Die neuen Funktionen im Controller-Client werden nur NVDA 2024.1 und neuer unterstützt.
* Aktualisierte `include`-Abhängigkeiten:
  * detours auf `4b8c659f549b0ab21cf649377c7a84eb708f5e68`. (#15695)
  * ia2 auf `3d8c7f0b833453f761ded6b12d8be431507bfe0b`. (#15695)
  * sonic auf `8694c596378c24e340c09ff2cd47c065494233f1`. (#15695)
  * w3c-aria-practices auf `9a5e55ccbeb0f1bf92b6127c9865da8426d1c864`. (#15695)
  * wil auf `5e9be7b2d2fe3834a7107f430f7d4c0631f69833`. (#15695)
* Die von `hwPortUtils.listUsbDevices` gelieferten Geräte-Informationen enthalten nun die vom Bus mitgeteilten Beschreibung des USB-Geräts (Schlüssel `busReportedDeviceDescription`). (#15764, @LeonarddeR)
* Für serielle USB-Geräte liefern `bdDetect.getConnectedUsbDevicesForDriver` und `bdDetect.getDriversForConnectedUsbDevices` jetzt Geräte-Übereinstimmungen, die ein Dictionary `deviceInfo` enthalten, das mit Daten über das USB-Gerät ausgestattet ist, wie zum Beispiel `busReportedDeviceDescription`. (#15764, @LeonarddeR)
* Wenn die Konfigurationsdatei `nvda.ini` beschädigt ist, wird eine Sicherungskopie gespeichert, bevor sie neu initialisiert wird. (#15779, @CyrilleB79)
* Wenn ein Skript mit dem Skript-Dekorator definiert wird, kann das boolesche Argument `speakOnDemand` angegeben werden, um zu kontrollieren, ob ein Skript im Sprachmodus "on-demand" sprechen soll. (#481, @CyrilleB79)
  * Skripte, die Informationen bereitstellen (z. B. Fenstertitel, Uhrzeit/Datum mitteilen), sollten im Sprachmodus "on-demand" sprechen.
  * Skripte, die eine Aktion ausführen (z. B. den Cursor bewegen, einen Parameter ändern), sollten im Sprachmodus "on-demand" nicht sprechen.
* Fehler behoben, bei dem das Löschen von getrackten Dateien von Git während `scons -c` zu fehlenden UIA-COM-Schnittstellen beim Wiederaufbau führte. (#7070, #10833, @hwf1324)
* Behebung eines Fehlers, bei dem einige Code-Änderungen beim Erstellen von `dist` nicht erkannt wurden, wodurch ein neuer Build nicht ausgelöst werden konnte.
Jetzt wird `dist` immer neu aufgebaut. (#13372, @hwf1324)
* Ein `gui.nvdaControls.MessageDialog` mit dem Standardtyp "Standard" löst nicht mehr die Konvertierungsausnahme "None" aus, weil kein Sound zugewiesen ist. (#16223, @XLTechie)

#### API-Änderungen

Dies sind die Änderungen an der API in NVDA.
Bitte reichen Sie bei Problemen ein Ticket auf GitHub ein, wenn bei einer NVDA-Erweiterung ein Problem mit dem Update auf die neue API auftreten.

* NVDA wird jetzt mit Python 3.11 erstellt. (#12064)
* Aktualisierte Pip-Abhängigkeiten:
  * configobj auf 5.1.0dev commit `e2ba4457c4651fa54f8d59d8dcdd3da950e956b8`. (#15544)
  * Comtypes auf 1.2.0. (#15513, @codeofdusk)
  * Flake8 auf 4.0.1. (#15636, @lukaszgo1)
  * py2exe auf 0.13.0.1dev commit `4e7b2b2c60face592e67cb1bc935172a20fa371d`. (#15544)
  * robotframework auf 6.1.1. (#15544)
  * SCons auf 4.5.2. (#15529, @LeonarddeR)
  * sphinx auf 7.2.6. (#15544)
  * wxPython auf 4.2.2a commit `0205c7c1b9022a5de3e3543f9304cfe53a32b488`. (#12551, #16257)
* Entfernte Pip-Abhängigkeiten:
  * typing_extensions, diese sollten in Python 3.11 nativ unterstützt werden. (#15544)
  * Nose, stattdessen wird unittest-xml-reporting verwendet, um XML-Berichte zu erstellen. (#15544)
* `IAccessibleHandler.SecureDesktopNVDAObject` wurde entfernt.
Wenn NVDA auf dem Benutzerprofil ausgeführt wird, verfolgen Sie stattdessen das Vorhandensein des sicheren Desktops mit dem Erweiterungspunkt: `winAPI.secureDesktop.post_secureDesktopStateChange`. (#14488)
* `braille.BrailleHandler.handlePendingCaretUpdate` wurde ersatzlos gestrichen. (#15163, @LeonarddeR)
* `bdDetect.addUsbDevices und bdDetect.addBluetoothDevices` wurden entfernt.
Braillezeilen-Treiber sollten stattdessen die Klassenmethode `registerAutomaticDetection` implementieren.
Diese Methode erhält ein Objekt `DriverRegistrar`, auf das die Methoden `addUsbDevices` und `addBluetoothDevices` angewendet werden können. (#15200, @LeonarddeR)
* Die Standard-Implementierung der Prüfmethode von `BrailleDisplayDriver` erfordert nun, dass die Attribute `threadSafe` und `supportsAutomaticDetection` auf `True` gesetzt werden. (#15200, @LeonarddeR)
* Die Übergabe von Lambda-Funktionen an `hwIo.ioThread.IoThread.queueAsApc` ist nicht mehr möglich, da Funktionen schwach referenzierbar sein sollten. (#14627, @LeonarddeR)
* `IoThread.autoDeleteApcReference` wurde entfernt. (#14924, @LeonarddeR)
* Um Tonhöhenänderungen bei Großbuchstaben zu unterstützen, müssen Sprachausgaben nun explizit die Unterstützung für den `PitchCommand` im Attribut `supportedCommands` des Treibers deklarieren. (#15433, @LeonarddeR)
* `speechDictHandler.speechDictVars` wurde entfernt. Verwenden Sie `NVDAState.WritePaths.speechDictsDir` anstelle von `speechDictHandler.speechDictVars.speechDictsPath`. (#15614, @lukaszgo1)
* `languageHandler.makeNpgettext` und `languageHandler.makePgettext` wurden entfernt.
`npgettext` und `pgettext` werden jetzt nativ unterstützt. (#15546)
* Das Anwendungsmodul für [Poedit](https://poedit.net) wurde erheblich geändert. Die Funktion `fetchObject` wurde entfernt. (#15313, #7303, @LeonarddeR)
* Die folgenden nicht mehr benötigten Typen und Konstanten wurden aus `hwPortUtils` entfernt: (#15764, @LeonarddeR)
  * `PCWSTR`
  * `HWND` (ersetzt durch `ctypes.wintypes.HWND`)
  * `ULONG_PTR`
  * `ULONGLONG`
  * `NULL`
  * `GUID` (ersetzt durch `comtypes.GUID`)
* `gui.addonGui.AddonsDialog` wurde entfernt. (#15834)
* `touchHandler.TouchInputGesture.multiFingerActionLabel` wurde ersatzlos gestrichen. (#15864, @CyrilleB79)
* `NVDAObjects.IAccessible.winword.WordDocument.script_reportCurrentHeaders` wurde ersatzlos gestrichen. (#15904, @CyrilleB79)
* Die folgenden Anwendungsmodule werden entfernt.
Code, der von einem dieser Module stammt, sollte stattdessen vom Ersatzmodul erben. (#15618, @lukaszgo1)

| Veralteter Modulname |Ersatzmodul|
|---|---|
|`azardi-2.0` |`azardi20`|
|`azuredatastudio` |`code`|
|`azuredatastudio-insiders` |`code`|
|`calculatorapp` |`calculator`|
|`code - insiders` |`code`|
|`commsapps` |`hxmail`|
|`dbeaver` |`eclipse`|
|`digitaleditionspreview` |`digitaleditions`|
|`esybraille` |`esysuite`|
|`hxoutlook` |`hxmail`|
|`miranda64` |`miranda32`|
|`mpc-hc` |`mplayerc`|
|`mpc-hc64` |`mplayerc`|
|`notepad++` |`notepadPlusPlus`|
|`searchapp` |`searchui`|
|`searchhost` |`searchui`|
|`springtoolsuite4` |`eclipse`|
|`sts` |`eclipse`|
|`teamtalk3` |`teamtalk4classic`|
|`textinputhost` |`windowsinternal_composableshell_experiences_textinput_inputapp`|
|`totalcmd64` |`totalcmd`|
|`win32calc` |`calc`|
|`winmail` |`msimn`|
|`zend-eclipse-php` |`eclipse`|
|`zendstudio` |`eclipse`|

#### Veraltete Funktionen

* Die Verwendung von `watchdog.getFormattedStacksForAllThreads` ist veraltet - bitte verwenden Sie stattdessen `logHandler.getFormattedStacksForAllThreads`. (#15616, @lukaszgo1)
* `easeOfAccess.canConfigTerminateOnDesktopSwitch` ist veraltet, da Windows 7 nicht mehr unterstützt wird. (#15644, @LeonarddeR)
* `winVersion.isFullScreenMagnificationAvailable` ist veraltet - verwenden Sie stattdessen `visionEnhancementProviders.screenCurtain.ScreenCurtainProvider.canStart`. (#15664, @josephsl)
* Die folgenden Windows-Versionskonstanten im Modul winVersion sind veraltet (#15647, @josephsl):
  * `winVersion.WIN7`
  * `winVersion.WIN7_SP1`
  * `winVersion.WIN8`
* Die Konstanten `bdDetect.KEY_*` sind veraltet.
Verwenden Sie stattdessen `bdDetect.DeviceType.*`. (#15772, @LeonarddeR).
* Die Konstanten `bdDetect.DETECT_USB` und `bdDetect.DETECT_BLUETOOTH` sind veraltet und werden ersatzlos gestrichen. (#15772, @LeonarddeR).
* Die Verwendung von `gui.ExecAndPump` ist veraltet - bitte verwenden Sie stattdessen `systemUtils.ExecAndPump`. (#15852, @lukaszgo1)

## 2023.3.4

Dies ist ein Patch-Release zur Behebung eines Sicherheitsproblems und eines Problems im Installationsprogramm.
Bitte melden Sie Sicherheitsprobleme verantwortungsbewusst gemäß der [Sicherheitsrichtlinie](https://github.com/nvaccess/nvda/blob/master/security.md) von NVDA.

### Sicherheitskorrekturen

* Verhindert das Laden der benutzerdefinierten Konfiguration, wenn der sichere Modus erzwungen wird.
([GHSA-727q-h8j2-6p45](https://github.com/nvaccess/nvda/security/advisories/GHSA-727q-h8j2-6p45))

### Fehlerbehebungen

* Fehler behoben, durch den der NVDA-Prozess nicht korrekt beendet werden konnte. (#16123)
* Fehler behoben, bei dem eine NVDA-Installation in einen nicht wiederherstellbaren Zustand fallen konnte, wenn der vorherige NVDA-Prozess nicht korrekt beendet wurde. (#16122)

## 2023.3.3

Dies ist ein Patch-Release zur Behebung einer Sicherheitslücke.
Bitte melden Sie Sicherheitsprobleme verantwortungsbewusst gemäß der [Sicherheitsrichtlinie](https://github.com/nvaccess/nvda/blob/master/security.md) von NVDA.

### Sicherheitskorrekturen

* Verhindert einen möglichen reflektierten XSS-Angriff durch manipulierte Inhalte, der die Ausführung von beliebigem Code ermöglicht.
([GHSA-xg6w-23rw-39r8](https://github.com/nvaccess/nvda/security/advisories/GHSA-xg6w-23rw-39r8))

## 2023.3.2

Dies ist ein Patch-Release zur Behebung einer Sicherheitslücke.
Der Security-Patch in 2023.3.1 wurde nicht korrekt behoben.
Bitte melden Sie Sicherheitsprobleme verantwortungsbewusst gemäß der [Sicherheitsrichtlinie](https://github.com/nvaccess/nvda/blob/master/security.md) von NVDA.

### Sicherheitskorrekturen

* Der Security-Patch in 2023.3.1 wurde nicht korrekt behoben.
Verhindert den möglichen Systemzugriff und die Ausführung von beliebigem Code mit Systemprivilegien für nicht authentifizierte Benutzer.
([GHSA-h7pp-6jqw-g3pj](https://github.com/nvaccess/nvda/security/advisories/GHSA-h7pp-6jqw-g3pj))

## 2023.3.1

Dies ist ein Patch-Release zur Behebung einer Sicherheitslücke.
Bitte melden Sie Sicherheitsprobleme verantwortungsbewusst gemäß der [Sicherheitsrichtlinie](https://github.com/nvaccess/nvda/blob/master/security.md) von NVDA.

### Sicherheitskorrekturen

* Verhindert den möglichen Systemzugriff und die Ausführung von beliebigem Code mit Systemprivilegien für nicht authentifizierte Benutzer.
([GHSA-h7pp-6jqw-g3pj](https://github.com/nvaccess/nvda/security/advisories/GHSA-h7pp-6jqw-g3pj))

## 2023.3

Diese Version enthält Verbesserungen bei der Leistung, Reaktionsfähigkeit und Stabilität der Audio-Ausgabe.
Es wurden Optionen für die Lautstärke der NVDA-Sounds und -Signaltöne zum Steuern oder Anpassen der Lautstärke der verwendeten Stimme hinzugefügt.

NVDA aktualisiert die Ergebnisse der Texterkennung jetzt regelmäßig und teilt neuen Text mit, sobald er erscheint.
Dies kann in der Kategorie "Windows-Texterkennung" in den NVDA-Einstellungen konfiguriert werden.

Mehrere Korrekturen wurden für Braille vorgenommen, die die Geräteerkennung und die Navigation der Schreibmarke verbessern.
Unerwünschte Treiber können jetzt von der automatischen Erkennung ausgeschlossen werden, um die Leistung der automatischen Erkennung zu verbessern.
Außerdem gibt es neue BRLTTY-Befehle.

Weitere Fehler wurden außerdem im Store für NVDA-Erweiterungen, in Microsoft Office, in den Kontextmenüs von Microsoft Edge und im Windows-Rechner behoben.

### Neue Features

* Verbessertes Sound-Management:
  * Ein neues Audio-Einstellungsfeld:
    * Dies kann mit `NVDA+Strg+U` geöffnet werden. (#15497)
    * Eine Option in den Audio-Einstellungen, mit der die Lautstärke der NVDA-Sounds und -Signaltöne der Lautstärke-Einstellung der verwendeten Stimme folgt. (#1409)
    * Eine Option in den Audio-Einstellungen, um die Lautstärke der NVDA-Sounds separat zu konfigurieren. (#1409, #15038)
    * Die Einstellungen zum Ändern des Audio-Ausgabegeräts und zum Umschalten zur Verringerung der Audio-Quellen wurden in das neue Audio-Einstellungsfeld im Dialogfeld "Sprachausgabe auswählen" verschoben.
    Diese Optionen werden im Dialogfeld "Sprachausgabe auswählen" in 2024.1 entfernt. (#15486, #8711)
  * NVDA verwendet nun Audio über die API der Windows-Audio-Session (WASAPI), was die Reaktionsfähigkeit, Leistung und Stabilität der Sprachausgaben und NVDA-Sounds verbessern kann. (#14697, #11169, #11615, #5096, #10185,e #11061)
  * Hinweis: WASAPI ist mit einigen NVDA-Erweiterungen nicht kompatibel.
  Für diese NVDA-Erweiterungen sind kompatible Updates verfügbar. Bitte aktualisieren Sie diese, bevor Sie NVDA aktualisieren.
  Inkompatible Versionen dieser NVDA-Erweiterungen werden beim NVDA-Update deaktiviert:
    * Tony's Enhancements Version 1.15 oder älter. (#15402)
    * NVDA Global Commands Extension 12.0.8 oder älter. (#15443)
* NVDA ist nun in der Lage, bei der Texterkennung (OCR) das Ergebnis kontinuierlich zu aktualisieren und neuen Text mitzuteilen, sobald er erscheint. (#2797)
  * Um diese Funktion zu aktivieren, aktivieren Sie in den NVDA-Einstellungen in der Kategorie "Windows-Texterkennung" die Option "Erkannte Inhalte regelmäßig aktualisieren".
  * Sobald diese Funktion aktiviert ist, können Sie neuen Text mit `NVDA+5` sich mitteilen lassen, indem Sie die Änderungen dynamischer Inhalte umschalten.
* Bei der automatischen Erkennung von Braillezeilen ist es nun möglich, Treiber von der Erkennung auszuschließen, und zwar im Dialogfeld zur Auswahl der Braillezeile. (#15196)
* Eine neue Option in den Einstellungen für die Dokument-Formatierung "Ignorieren von Leerzeilen bei Mitteilung von Zeileneinrückungen". (#13394)
* Es wurde ein nicht zugewiesener Tastenbefehlhinzugefügt, um im Lesemodus durch die Registerkarten-Gruppierungen zu navigieren. (#15046)

### Änderungen

* Braille:
  * Wenn sich der Text in einem Terminal ändert, ohne dass der Cursor aktualisiert wird, wird der Text auf einer Braillezeile jetzt korrekt aktualisiert, wenn er auf einer geänderten Zeile steht.
  Dies gilt auch für Situationen, in denen die Braille-Ausgabe dem NVDA-Cursor folgt. (#15115)
  * Weitere BRLTTY-Tastenbelegungen sind nun NVDA-Befehlen zugeordnet (#6483):
    * `learn`: Eingabehilfe von NVDA umschalten
    * `prefmenu`: Das NVDA-Menü öffnen
    * `prefload`/`prefsave`: NVDA-Konfiguration laden/speichern
    * `time`: Datum und Uhrzeit anzeigen
    * `say_line`: Teilt die aktuelle Zeile mit, in der sich der NVDA-Cursor befindet
    * `say_below`: Alles sich mit dem NVDA-cursor vorlesen lassen
  * Der BRLTTY-Treiber ist nur verfügbar, wenn eine BRLTTY-Instanz mit aktivierter BrlAPI läuft. (#15335)
  * Die erweiterte Einstellung zur Aktivierung der HID-Unterstützung für die Braille-Ausgabe wurde zugunsten einer neuen Option entfernt.
  Sie können nun bestimmte Treiber für die automatische Erkennung von Braillezeilen im Dialogfeld zur Auswahl für Braillezeilen deaktivieren. (#15196)
* Store für NVDA-Erweiterungen: Installierte Pakete werden nun in der Registerkarte Verfügbare Pakete aufgelistet, sofern sie im Store verfügbar sind. (#15374)
* Einige Tastenkombinationen wurden im NVDA-Menü aktualisiert. (#15364)

### Fehlerbehebungen

* Microsoft Office:
  * Absturz behoben in Microsoft Word, wenn die Option in den Dokument-Formatierungen "Überschriften mitteilen" und "Kommentare und Anmerkungen mitteilen" nicht aktiviert waren. (#15019)
  * In Microsoft Word und Microsoft Excel wird die Textausrichtung in weiteren Situationen korrekt mitgeteilt. (#15206, #15220)
  * Behebt die Anzeige bei einigen Kurztasten für die Zellenformatierung in Microsoft Excel. (#15527)
* Microsoft Edge:
  * NVDA springt beim Öffnen des Kontextmenüs in Microsoft Edge nicht mehr zur letzten Position im Lesemodus zurück. (#15309)
  * NVDA ist wieder in der Lage, Kontextmenüs von Downloads in Microsoft Edge auszulesen. (#14916)
* Braille:
  * Der Braille-Cursor und die Auswahl-Indikatoren werden nun immer korrekt aktualisiert, wenn die entsprechenden Indikatoren durch einen Tastenbefehl ein- oder ausgeblendet werden. (#15115)
  * Fehler behoben, bei dem Braillezeilen von Albatross versuchten, sich zu initialisieren, obwohl eine andere Braillezeile angeschlossen ist. (#15226)
* Store für NVDA-Erweiterungen:
  * Fehler behoben, bei dem das Deaktivieren der Option "Inkompatible Pakete einschließen" dazu führte, dass inkompatible NVDA-Erweiterungen weiterhin im Store aufgeführt wurden. (#15411)
  * NVDA-Erweiterungen, die aus Kompatibilitätsgründen blockiert sind, sollten nun korrekt gefiltert werden, wenn der Filter für den Status aktiviert/deaktiviert umgeschaltet wird. (#15416)
  * Fehler behoben, der verhindert, dass inkompatible NVDA-Erweiterungen, die installiert und aktiviert sind, mit dem externen Installations-Tool aktualisiert oder ersetzt werden. (#15417)
  * Fehler behoben, bei dem NVDA nach der Installation der NVDA-Erweiterung erst nach einem Neustart die Sprachausgabe  wieder funktionierte. (#14525)
  * Fehler behoben, bei dem NVDA-Erweiterungen nicht installiert werden konnten, wenn ein vorheriger Download fehlschlug oder abbrach. (#15469)
  * Probleme beim Umgang mit inkompatiblen NVDA-Erweiterungen beim NVDA-Update wurden behoben. (#15414, #15412, #15437)
* NVDA teilt erneut Berechnungsergebnisse im Windows-Rechner (32-Bit) auf Server-, LTSC- und LTSB-Versionen von Windows mit. (#15230)
* NVDA ignoriert beim Wechseln nicht mehr den Fokus, sobald ein verschachteltes Fenster (großes Unterfenster) fokussiert wurde. (#15432)
* Eine mögliche Absturzursache beim Starten von NVDA wurde behoben. (#15517)

### Änderungen für Entwickler

Bitte lesen Sie [das Entwicklerhandbuch](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) für Informationen über den Prozess bei API-Änderungen in NVDA.

* `braille.handler.handleUpdate` und `braille.handler.handleReviewMove` wurden geändert, um eine sofortige Erneuerung zu vermeiden.
Vor dieser Änderung wurden bei sehr häufigen Aufrufen einer dieser Methoden viele Ressourcen verbraucht.
Diese Methoden stellen nun eine Erneuerung am Ende jedes Kernzyklus in die Warteschlange.
Sie sollten auch Thread-sicher sein, so dass sie von Hintergrund-Threads aus aufgerufen werden können. (#15163)
* Offizielle Unterstützung für die Registrierung von benutzerdefinierten Braillezeilen-Treibern bei der automatischen Erkennung von Braillezeilen wurde hinzugefügt.
Lesen Sie die Dokumentation der Klasse `braille.BrailleDisplayDriver` für weitere Details.
Vor allem muss das Attribut `supportsAutomaticDetection` auf `True` gesetzt und `registerAutomaticDetection` als `classmethod` implementiert sein. (#15196)

#### Veraltete Funktionen

* `braille.BrailleHandler.handlePendingCaretUpdate` ist nun ersatzlos veraltet.
Es wird in 2024.1 entfernt. (#15163)
* Das Importieren der Konstanten `xlCenter`, `xlJustify`, `xlLeft`, `xlRight`, `xlDistributed`, `xlBottom`, `xlTop` aus `NVDAObjects.window.excel` sind veraltet.
Verwenden Sie stattdessen die Enumerationen `XlHAlign` oder `XlVAlign`. (#15205)
* Das Mapping `NVDAObjects.window.excel.alignmentLabels` ist veraltet.
Verwenden Sie stattdessen die Methoden `displayString` der `XlHAlign`- oder die Enumerationen `XlVAlign`. (#15205)
* `bdDetect.addUsbDevices` und `bdDetect.addBluetoothDevices` sind veraltet.
In Braillezeilen-Treiber sollte stattdessen die Methode `registerAutomaticDetection` implementiert werden.
Diese Methode erhält ein Objekt `DriverRegistrar`, auf das die Methoden `addUsbDevices` und `addBluetoothDevices` angewendet werden können. (#15200)
* Die Standard-Implementierung der Methode zur Überprüfung von `BrailleDisplayDriver` verwendet `bdDetect.driverHasPossibleDevices` für Geräte, die als Thread-sicher markiert sind.
Damit die Basis-Methode `bdDetect.driverHasPossibleDevices` verwendet werden kann, muss ab NVDA 2024.1 das Attribut `supportsAutomaticDetection` ebenfalls auf `True` gesetzt werden. (#15200)

## 2023.2

Mit dieser Version wird der Store für NVDA-Erweiterungen eingeführt, der den vorherigen Eintrag "Erweiterungen verwalten" ersetzt.
Im diesem Store können Sie nach NVDA-Erweiterungen aus der Community direkt suchen, installieren und aktualisieren.
Sie können jetzt Inkompatibilitätsprobleme mit veralteten NVDA-Erweiterungen auf eigene Gefahr manuell ausschalten.

Es gibt neue Braille-Funktionen, Befehle und Unterstützung für Braillezeilen.
Außerdem gibt es neue Tastenbefehle für die Texterkennung und die Navigation mit abgeflachten Objekten.
Die Navigation und Mitteilung von Formatierungen in Microsoft Office wurde verbessert.

Es gibt viele Fehlerbehebungen, insbesondere für Braille, Microsoft Office, Web-Browsern und Windows 11.

Die Sprachausgabe eSpeak-NG, der Braille-Übersetzer LibLouis, und das vom Unicode-Konsortium stammende Common Locale Data Repository (kurz CLDR) wurden aktualisiert.

### Neue Features

* Der Store für NVDA-Erweiterungen wurde in NVDA integriert. (#13985)
  * Durchsuchen, suchen, installieren und aktualisieren von NVDA-Erweiterungen aus der Community.
  * Inkompatibilitätsprobleme mit veralteten NVDA-Erweiterungen können manuell deaktiviert werden.
  * Der Eintrag "Erweiterungen verwalten" im Menü Werkzeuge wurde entfernt und durch den Store für NVDA-Erweiterungen ersetzt.
  * Für weitere Informationen lesen Sie bitte das aktualisierte NVDA-Benutzerhandbuch.
* Neue Tastenbefehle:
  * Ein nicht zugewiesener Tastenbefehl zum Wechseln der verfügbaren Sprachen für die Windows-Texterkennung. (#13036)
  * Ein nicht zugewiesener Tastenbefehl, um durch die Modi der Braillezeilen zu wechseln. (#14864)
  * Ein nicht zugewiesener Tastenbefehl, um die Anzeige des Auswahl-Indikators auf der Braillezeile umzuschalten. (#14948)
  * Es wurden Standard-Zuweisungen für die Tastenbefehle hinzugefügt, um in einer reduzierten Ansicht der Hierarchie zum nächsten oder vorherigen Objekt zu wechseln. (#15053)
    * Desktop: `NVDA+Nummernblock 9` und `NVDA+Nummernblock 3`, um zum vorherigen bzw. nächsten Objekt zu gelangen.
    * Laptop: `Umschalt+NVDA+Ü` und `Umschalt+NVDA+Plus`, um zum vorherigen bzw. nächsten Objekt zu gelangen.
* Neue Braille-Features:
  * Unterstützung für die Braillezeile des Help Tech Activator wurde hinzugefügt. (#14917)
  * Eine neue Option zum Umschalten der Anzeige des Auswahl-Indikators (Punkte 7 und 8). (#14948)
  * Eine neue Option zur optionalen Verschiebung des System-Cursors oder des Fokus beim Ändern der Position des NVDA-Cursors mit den Routing-Tasten auf der Braillezeile. (#14885, #3166)
  * Wenn man `Nummernblock 2` dreimal drückt, um den numerischen Wert des Zeichens an der Position des NVDA-Cursors anzuzeigen, wird die Information jetzt auch auf der Braillezeile angezeigt. (#14826)
  * Unterstützung für das ARIA 1.3-Attribut `aria-brailleroledescription` hinzugefügt, welches es Web-Autoren ermöglicht, den Typ eines auf der Braillezeile angezeigten Elements zu überschreiben. (#14748)
  * Braillezeilen-Treiber für Geräte von der ehemaligen Firma Baum Retec AG: Mehrere Braille-Tastenkombinationen zur Ausführung gängiger Tastaturbefehle wie `Windows+D` und `Alt+Tab` hinzugefügt.
  Eine vollständige Liste finden Sie im NVDA-Benutzerhandbuch. (#14714)
* Aussprache von Unicode-Symbolen hinzugefügt:
  * Braille-Symbole, wie z. B. `⠐⠣⠃⠗⠇⠐⠜`. (#14548)
  * Symbol der Mac-Optionstaste `⌥`. (#14682)
* Tastenbefehle für die Braillezeilen Albatross von Tivomatic Caiku hinzugefügt. (#14844, #15002)
  * Anzeigen des Dialogfelds für die Braille-Einstellungen
  * Zugriff auf die Statusleiste
  * Wechseln der Form des Braille-Cursors
  * Modus umschalten für die Anzeige von Meldungen in Braille-Schrift
  * Ein- / Ausschalten des Braille-Cursors
  * Umschalten des Zustands "Braille-Anzeige zur Auswahl"
  * Umschalten auf den Modus auf der Braillezeile verschiebt den System-Cursor beim folgen des NVDA-Cursors. (#15122)
* Microsoft Office-Features:
  * Wenn die Dokument-Formatierung für hervorgehobenen Text aktiviert ist, werden die Farben der Hervorhebungen jetzt in Microsoft Word mitgeteilt. (#7396, #12101, #5866)
  * Wenn Farben in der Dokument-Formatierung aktiviert sind, werden die Hintergrundfarben jetzt in Microsoft Word mitgeteilt. (#5866)
  * Wenn Sie Tastenkombinationen in Microsoft Excel verwenden, um Formatierungen wie Fett, Kursiv, Unterstrichen und Durchgestrichen für eine Zelle umzuschalten, wird das Ergebnis entsprechend mitgeteilt. (#14923)
* Verbessertes Sound-Management (experimentell):
  * NVDA kann jetzt Audio über die Windows-Audio-Session-API (WASAPI) ausgeben, was die Reaktionsfähigkeit, Leistung und Stabilität von NVDA-Sounds und Sprachausgaben verbessern kann. (#14697)
  * Die Verwendung von WASAPI kann in den erweiterten Einstellungen aktiviert werden.
  Wenn WASAPI aktiviert ist, können außerdem die folgenden erweiterten Einstellungen konfiguriert werden.
    * Eine Option, mit der die Lautstärke der NVDA-Sounds und Signaltöne an die Lautstärke-Einstellung der verwendeten Stimme angepasst werden kann. (#1409)
    * Eine Option zur separaten Konfiguration der Lautstärke von NVDA-Sounds. (#1409, #15038)
  * Es gibt ein bekanntes Problem mit zeitweiligen Abstürzen, falls WASAPI aktiviert ist. (#15150)
* In Mozilla Firefox und Google Chrome teilt NVDA nun mit, wenn ein Steuerelement einen Dialog, ein Gitter, eine Liste oder einen Baum öffnet, wenn der Autor dies mit `aria-haspopup` angegeben hat. (#14709)
* Es ist nun möglich, bei der Erstellung portabler NVDA-Versionen die Systemvariablen (wie `%temp%` oder `%homepath%`) in der Pfadangabe zu verwenden. (#14680)
* In Windows 10 Mai 2019 Update und neuer teilt NVDA die Namen virtueller Desktops beim Öffnen, Ändern und Schließen mit. (#5641)
* Es wurde ein systemweiter Parameter hinzugefügt, der es Benutzern und Systemadministratoren ermöglicht, den Start von NVDA im sicheren Modus zu erzwingen. (#10018)

### Änderungen

* Komponenten-Updates:
  * Die Sprachausgabe eSpeak NG wurde auf 1.52-dev commit `ed9a7bcf` aktualisiert. (#15036)
  * Der LibLouis-Braille-Übersetzer wurde auf [3.26.0](https://github.com/liblouis/liblouis/releases/tag/v3.26.0) akutalisiert. (#14970)
  * CLDR wurde auf Version 43.0 aktualisiert. (#14918)
* Änderungen für LibreOffice:
  * Bei der Meldung der Position des NVDA-Cursors wird in LibreOffice Writer 7.6 und neuer nun die aktuelle Cursor-Position des bzw. System-Cursors relativ zur aktuellen Seite gemeldet, ähnlich wie bei Microsoft Word. (#11696)
  * Die Mitteilung der Statusleiste (z. B. ausgelöst durch `NVDA+Ende`) funktioniert bei LibreOffice. (#11698)
  * Beim Wechsel zu einer anderen Zelle in LibreOffice Calc zeigt NVDA nicht mehr fälschlicherweise die Koordinaten der zuvor fokussierten Zelle an, wenn die Anzeige der Zellkoordinaten in den Einstellungen von NVDA deaktiviert ist. (#15098)
* Änderungen für Braille:
  * Bei Verwendung einer Braillezeile über den Standard-HID-Braillezeilen-Treiber kann das Daumen-Pad (D-Pad) zur Emulation der Pfeiltasten und der Eingabetaste verwendet werden.
  Auch `Leertaste+Punkt1` und `Leertaste+Punkt4` entsprechen jetzt den Pfeiltasten nach oben bzw. nach unten. (#14713)
  * Aktualisierungen dynamischer Web-Inhalte (ARIA-Live-Regionen) werden jetzt in auf der Braillezeile angezeigt.
  Diese Funktion kann im Bereich für die Erweiterte Einstellungen deaktiviert werden. (#7756)
* Bindestrich- und Strich-Symbole werden immer an die Sprachausgabe gesendet. (#13830)
* Bei Entfernungsangaben in Microsoft Word wird nun die in den erweiterten Optionen von Word definierte Einheit berücksichtigt, auch wenn UIA für den Zugriff auf Word-Dokumente verwendet wird. (#14542)
* NVDA reagiert nun etwas schneller auf Befehle und bei Fokus-Änderungen. (#14701)
* Das Skript für die Meldung der Link-Zieladresse geht nun von der Position des normalen Cursors und des System-Cursors aus und nicht mehr vom Navigator-Objekt. (#14659)
* Bei der Erstellung portabler NVDA-Versionen ist es nicht mehr erforderlich, dass ein Laufwerksbuchstabe als Teil des absoluten Pfads angegeben werden muss. (#14680)
* Bei der Sekunden-Anzeige der Uhrzeit in der Taskleiste von Windows wird diese Einstellung durch die Verwendung von `NVDA+F12` zur Anzeige der Uhrzeit berücksichtigt. (#14742)
* NVDA teilt jetzt nicht beschriftete Gruppierungen mit, die nützliche Positionsinformationen enthalten, wie z. B. in Menüs aktueller Versionen von Microsoft Office 365. (#14878)

### Fehlerbehebungen

* Braille:
  * Mehrere Korrekturen in der Stabilität bei der Eingabe bzw. Ausgabe für Braillezeilen, was zu weniger Fehlern und Abstürzen von NVDA führt. (#14627)
  * NVDA schaltet bei der automatischen Erkennung nicht mehr unnötigerweise mehrmals auf keine Braille-Schrift um, was zu einem saubereren Protokoll und weniger Overhead führt. (#14524)
  * NVDA schaltet nun wieder auf USB um, wenn ein HID-Bluetooth-Gerät (z. B. HumanWare Brailliant oder APH Mantis) automatisch erkannt wird und eine USB-Verbindung verfügbar ist.
  Dies funktionierte bisher nur bei seriellen Bluetooth-Schnittstellen. (#14524)
  * Ist keine Braillezeile angeschlossen und wird der Braille-Betrachter durch Drücken von `Alt+F4` oder durch Anklicken des Schalters "Schließen" geschlossen, wird die Anzeigegröße des Braille-Subsystems sowie auch die Braille-Module wieder zurückgesetzt. (#15214)
* Web-Browser:
  * NVDA führt nicht mehr gelegentlich dazu, dass Mozilla Firefox abstürzt oder nicht mehr antwortet. (#14647)
  * In Mozilla Firefox und Google Chrome werden Zeichen während der Eingabe in einigen Textfeldern nicht mehr angezeigt, auch wenn die Funktion "Zeichen während der Eingabe ansagen" deaktiviert ist. (#8442)
  * Sie können jetzt den Lesemodus in Chromium Embedded Controls verwenden, wo dies vorher nicht möglich war. (#13493, #8553)
  * In Mozilla Firefox wird der Text nach einem Link nun zuverlässig angezeigt, wenn man die Maus über den Text bewegt. (#9235)
  * Das Ziel von grafischen Links wird jetzt in Google Chrome und Microsoft Edge in mehr Fällen korrekt angezeigt.  (#14783)
  * Beim Versuch, die URL für einen Link ohne href-Attribut mitzuteilen, schweigt NVDA sich nicht mehr aus.
  Stattdessen teilt NVDA mit, dass der Link kein Ziel hat. (#14723)
  * Im Lesemodus ignoriert NVDA nicht mehr fälschlicherweise den Fokus, wenn er zu einem über- oder untergeordneten Steuerelement wechselt, z. B. wenn er von einem Steuerelement zu einem übergeordneten Listenelement oder einer Gitterzelle wechselt. (#14611)
    * Beachten Sie jedoch, dass diese Korrektur nur gilt, wenn die Option Fokus automatisch auf fokussierbare Elemente setzen" in den Einstellungen für den Lesemodus deaktiviert ist (was die Standard-Einstellung ist).
* Korrekturen für Windows 11:
  * NVDA zeigt wieder den Inhalt der Statusleiste im Editor (Notepad) an. (#14573)
  * Wenn Sie zwischen den Registerkarten wechseln, werden der neue Name und die neue Position der Registerkarte im Editor (Notepad) und Datei-Explorer angezeigt. (#14587, #14388)
  * NVDA teilt bei der Texteingabe in Sprachen wie Chinesisch und Japanisch wieder Kandidaten mit. (#14509)
  * Es ist nun wieder möglich, die Punkte Mitwirkende und Lizenz im NVDA-Hilfemenü aufzurufen. (#14725)
* Korrekturen für Microsoft Office:
  * Wenn Sie sich schnell durch Zellen in Excel bewegen, meldet NVDA jetzt seltener die falsche Zelle oder Auswahl. (#14983, #12200, #12108)
  * Wenn Sie von außerhalb eines Arbeitsblatts auf eine Zelle in Microsoft Excel zugreifen, werden der Highlighter für die Braille-Ausgabe und für den Fokus nicht mehr unnötigerweise auf das Objekt aktualisiert, das zuvor den Fokus hatte. (#15136)
  * NVDA teilt keine fokussierenden Passwortfelder in Microsoft Excel und Microsoft Outlook mehr mit. (#14839)
* Für Symbole, die keine Symbolbeschreibung im aktuellen Gebietsschema haben, wird standardmäßig die englische Symbolstufe entsprechend verwendet. (#14558, #14417)
* Es ist jetzt möglich, das Backslash-Zeichen im Ersetzungsfeld eines Wörterbucheintrags zu verwenden, wenn der Typ nicht auf regulären Ausdruck eingestellt ist. (#14556)
* Im Rechner von Windows 10 und 11 gibt eine portable NVDA-Version bei der Eingabe von Ausdrücken in den Standard-Taschenrechner im kompakten Überlagerungsmodus keine Fehlermeldungen mehr aus oder spielt Fehlertöne ab. (#14679)
* NVDA erholt sich wieder von vielen weiteren Situationen, wie z. B. von Anwendungen, die nicht mehr reagieren, was zuvor zu einem vollständigen Einfrieren führte. (#14759)
* Beim Erzwingen der UIA-Unterstützung mit bestimmten Terminals und Konsolen wurde ein Fehler behoben, der zu einem Einfrieren und einem Spamming der Protokolldatei führte. (#14689)
* NVDA verweigert nicht mehr die Konfiguration nach einem Zurücksetzen der Konfiguration zu speichern. (#13187)
* Wenn eine temporäre Version über den Launcher gestartet wird, führt NVDA den Benutzer nicht mehr in die Irre, dass er die Konfiguration speichern kann. (#14914)
* NVDA reagiert jetzt generell etwas schneller auf Befehle und Fokus-Änderungen. (#14928)
* Die Anzeige der Einstellungen für die Texterkennung schlägt auf einigen Systemen nicht mehr fehl. (#15017)
* Behebung eines Fehlers im Zusammenhang mit dem Speichern und Laden der NVDA-Konfiguration, einschließlich des Umschaltens von Sprachausgaben. (#14760)
* Es wurde ein Fehler behoben, der dazu führte, dass die Touch-Geste "Nach oben streichen" bei der Textansicht zum Verschieben der Seiten führte, anstatt zur vorherigen Zeile. (#15127)

### Änderungen für Entwickler

Bitte lesen Sie [das Entwicklerhandbuch](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) für Informationen über den Prozess bei API-Änderungen in NVDA.

* Die Spezifikation des Manifests bei NVDA-Erweiterungen wurde um vorgeschlagene Konventionen ergänzt.
Diese sind für die Kompatibilität für NVDA optional, werden aber für die Einreichung im Store für NVDA-Erweiterungen empfohlen oder benötigt. (#14754)
  * Verwenden Sie `lowerCamelCase` für das Namensfeld.
  * Verwenden Sie das Format `<major>.<minor>.<patch>` für das Versionsfeld (erforderlich für Datenspeicher der NVDA-Erweiterung).
  * Verwenden Sie `https://` als Schema für das Adressfeld (erforderlich für Datenspeicher der NVDA-Erweiterung).
* Es wurde ein neuer Erweiterungspunkttyp namens `Chain` hinzugefügt, der verwendet werden kann, um über Iterables zu iterieren, die von registrierten Handlern zurückgegeben werden. (#14531)
* Der Erweiterungspunkt `bdDetect.scanForDevices` wurde hinzugefügt.
Es können Handler registriert werden, die Paare `BrailleDisplayDriver/DeviceMatch` liefern, die nicht in die bestehenden Kategorien passen, wie USB oder Bluetooth. (#14531)
* Erweiterungspunkt hinzugefügt: `synthDriverHandler.synthChanged`. (#14618)
* Der Einstellungsring für die Sprachausgabe von NVDA speichert jetzt die verfügbaren Einstellungswerte, wenn sie zum ersten Mal benötigt werden, und nicht mehr beim Laden der Sprachausgabe. (#14704)
* Sie können jetzt die Exportmethode für eine Zusammenstellung der Tastenbefehlen aufrufen, um sie in ein Wörterbuch zu exportieren.
Dieses Wörterbuch kann in einen anderen Tastenbefehl importiert werden, indem es entweder an den Konstruktor von `GlobalGestureMap` oder an die Update-Methode einer bestehenden Zusammenstellung übergeben wird. (#14582)
* `hwIo.base.IoBase` und seine Derivate haben nun einen neuen Konstruktorparameter, der einen `hwIo.ioThread.IoThread` aufnehmen kann.
Wenn nicht angegeben, wird der Standard-Thread verwendet. (#14627)
* `hwIo.ioThread.IoThread` hat nun eine Methode `setWaitableTimer`, um einen verzögerten Timer mittels einer Python-Funktion zu setzen.
Ebenso erlaubt die neue Methode `getCompletionRoutine` die sichere Umwandlung einer Python-Methode in eine Abschlussroutine. (#14627)
* `offsets.OffsetsTextInfo._get_boundingRects` sollte nun immer `List[locationHelper.rectLTWH]` zurückgeben, wie es für eine Unterklasse von `textInfos.TextInfo` erwartet wird. (#12424)
* `Highlight-Farbe` ist nun ein Formatfeld-Attribut. (#14610)
* NVDA sollte genauer feststellen können, ob eine protokollierte Meldung vom NVDA-Kern stammt. (#14812)
* NVDA protokolliert keine unpräzisen Warnungen oder Fehler über veraltete appModules mehr. (#14806)
* Alle NVDA-Erweiterungspunkte werden jetzt in einem neuen, eigenen Kapitel im Entwicklerhandbuch kurz beschrieben. (#14648)
* `scons checkpot` überprüft nun nicht mehr den Unterordner `userConfig`. (#14820)
* Zu übersetzende Strings können nun mit Hilfe von `ngettext` und `npgettext` mit einer Singular- und einer Pluralform definiert werden. (#12445)

#### Veraltete Funktionen

* Die Übergabe von Lambda-Funktionen an `hwIo.ioThread.IoThread.queueAsApc` ist veraltet.
Stattdessen sollten Funktionen schwach referenzierbar sein. (#14627)
* Der Import von `LPOVERLAPPED_COMPLETION_ROUTINE` aus `hwIo.base` ist veraltet.
Stattdessen besser aus `hwIo.ioThread` importieren. (#14627)
* `IoThread.autoDeleteApcReference` ist veraltet.
Dies wurde in NVDA 2023.1 eingeführt und war nie als Teil der öffentlichen API gedacht.
Solange er nicht entfernt wird, verhält er sich wie ein No-op, d. h., ein Kontext-Manager, ohne Auswirkung. (#14924)
* `gui.MainFrame.onAddonsManagerCommand` ist veraltet, verwenden Sie stattdessen `gui.MainFrame.onAddonStoreCommand`. (#13985)
* `speechDictHandler.speechDictVars.speechDictsPath` ist veraltet, verwenden Sie stattdessen `NVDAState.WritePaths.speechDictsDir`. (#15021)
* Importieren von `voiceDictsPath` und `voiceDictsBackupPath` aus `speechDictHandler.dictFormatUpgrade` ist veraltet.
Verwenden Sie stattdessen `WritePaths.voiceDictsDir` und `WritePaths.voiceDictsBackupDir` aus `NVDAState`. (#15048)
* `config.CONFIG_IN_LOCAL_APPDATA_SUBKEY` ist veraltet.
Verwenden Sie stattdessen `config.RegistryKey.CONFIG_IN_LOCAL_APPDATA_SUBKEY`. (#15049)

## 2023.1

Eine neue Option wurde hinzugefügt, "Absatzstil" in "Dokument-Navigation".
Dies kann mit Text-Editoren verwendet werden, die die Absatznavigation nicht von Haus aus unterstützen, wie Notepad und Notepad++.

Es gibt einen neuen globalen Befehl, um das Ziel eines Links mitzuteilen, der über `NVDA+K` abgerufen werden kann.

Die Unterstützung für kommentierte Webinhalte (wie Kommentare und Fußnoten) wurde verbessert.
Drücken Sie `NVDA+D`, um durch die Zusammenfassungen zu navigieren, wenn Anmerkungen mitgeteilt werden (z. B. "enthält Kommentar, enthält Fußnote").

Die Braillezeilen Tivomatic Caiku Albatross 46 und 80 werden nun unterstützt.

Die Unterstützung für ARM64- und AMD64-Versionen von Windows wurde verbessert.

Es gibt viele Fehlerbehebungen, vor allem für Windows 11.

eSpeak, LibLouis, Sonic Rate Boost und Unicode CLDR wurden aktualisiert.
Es gibt neue Braille-Tabellen für Georgisch, Swahili (Kenia) und Chichewa (Malawi).

Hinweis:

* In dieser Version müssen die Kompatibilitätsanforderungen mit bestehenden NVDA-Erweiterungen überprüft werden.

### Neue Features

* Microsoft Excel über UIA: Automatische Mitteilung von Spalten- und Zeilenüberschriften in Tabellen. (#14228)
  * Hinweis: Dies bezieht sich auf Tabellen, die über die Schaltfläche "Tabelle" im Bereich "Einfügen" der Multifunktionsleiste formatiert werden.
  "Erste Spalte" und "Kopfzeile" in "Tabellen-Eigenschaftens-Optionen" entsprechen den Spalten- bzw. Zeilenköpfen.
  * Dies bezieht sich nicht auf Screenreader-spezifische Überschriften über benannte Bereiche, die derzeit von UIA nicht unterstützt werden.
* Ein nicht zugewiesenes Skript wurde hinzugefügt, um verzögerte Zeichen-Beschreibungen umzuschalten. (#14267)
* Es wurde eine experimentelle Option zur Nutzung der UIA-Benachrichtigungsunterstützung in Windows-Terminal hinzugefügt, um neuen oder geänderten Text im Terminal mitzuteilen, was zu einer verbesserten Stabilität und Reaktionsfähigkeit führt. (#13781)
  * Informationen zu den Einschränkungen dieser experimentellen Option finden Sie im Benutzerhandbuch.
* Unter Windows 11 ARM64 ist der Browse-Modus jetzt in AMD64-Anwendungen wie Mozilla Firefox, Google Chrome und 1Password verfügbar. (#14397)
* Eine neue Option wurde hinzugefügt, "Absatz-Eigenschaften" in "Dokument-Navigation".
Damit wird die Absatz-Navigation mit einfachem Zeilenumbruch (normal) und mehrzeiligem Umbruch (Block) unterstützt.
Dies kann mit Text-Editoren verwendet werden, die die Absatz-Navigation nicht nativ unterstützen, wie Editor und Notepad++. (#13797)
* Das Vorhandensein von mehreren Anmerkungen wird nun mitgeteilt.
Die Tastenkombination `NVDA+D` durchläuft nun die Zusammenfassung jedes Anmerkungsziels für Ursprünge mit mehreren Anmerkungszielen.
Zum Beispiel, wenn der Text mit einem Kommentar und einer Fußnote versehen ist. (#14507, #14480)
* Unterstützung für Braillezeilen Tivomatic Caiku Albatross 46/80 hinzugefügt. (#13045)
* Neuer globaler Befehl: Link-Ziel mitteilen (`NVDA+K`).
Einmaliges Drücken wird das Ziel des Links im Navigator-Objekt mitgeteilt.
Zweimaliges Drücken zeigt die Information in einem Fenster an, welches eine genauere Überprüfung ermöglicht. (#14583)
* Neuer, nicht zugeordneter globaler Befehl (Kategorie Werkzeuge): Link-Ziel in einem Fenster mitteilen.
Entspricht dem zweimaligen Drücken von `NVDA+K`, kann aber für Braille-Nutzer nützlicher sein. (#14583)

### Änderungen

* Der LibLouis-Braille-Übersetzer wurde auf [3.24.0](https://github.com/liblouis/liblouis/releases/tag/v3.24.0) aktualisiert. (#14436)
  * Wichtige Aktualisierungen der ungarischen, UEB- und chinesischen Bopomofo-Schrift.
  * Unterstützung der dänischen Braille-Schriftnorm 2022.
  * Neue Braille-Tabellen für die georgische Braille-Schrift, Suaheli (Kenia) und Chichewa (Malawi).
* Sonic-Rate-Boost-Bibliothek auf Commit `1d70513` aktualisiert. (#14180)
* CLDR wurde auf Version 42.0 aktualisiert. (#14273)
* eSpeak NG wurde auf 1.52-dev commit `f520fecb` aktualisiert. (#14281, #14675)
  * Die Ansage großer Zahlen wurde korrigiert. (#14241)
* Java-Anwendungen mit Steuerelementen, die den auswählbaren Zustand verwenden, teilen nun mit, wenn ein Element nicht ausgewählt ist, anstatt wenn das Element ausgewählt ist. (#14336)

### Fehlerbehebungen

* Für Windows 11:
  * NVDA zeigt beim Öffnen des Startmenüs die Highlights der Suche an. (#13841)
  * Auf ARM werden x64-Anwendungen nicht mehr als ARM64-Anwendungen erkannt. (#14403)
  * Auf Menüpunkte der Zwischenablage wie z. B. "Element anheften" kann zugegriffen werden. (#14508)
  * In Windows 11 Version 22H2 und neuer ist es wieder möglich, Maus- und Touch-Interaktion zu nutzen, um mit Bereichen wie dem Überlauf-Fenster der Taskleiste und dem Dialogfeld "Öffnen mit" zu interagieren. (#14538, #14539)
* Vorschläge werden beim Eingeben einer @Erwähnung in Microsoft Excel-Kommentaren gemeldet. (#13764)
* In der Standortleiste von Google Chrome werden die Steuerelemente für Vorschläge (zu einer Registerkarte wechseln, Vorschlag entfernen, etc.) nun mitgeteilt, wenn sie ausgewählt werden. (#13522)
* Bei der Abfrage von Formatierungsinformationen werden die Farben nun explizit in WordPad oder im Protokoll-Betrachter angezeigt und nicht mehr nur "Standardfarbe". (#13959)
* In Mozilla Firefox funktioniert die Aktivierung der Schaltfläche "Optionen anzeigen" auf GitHub-Ausgabeseiten nun zuverlässig. (#14269)
* Die Steuerelemente für die Datumsauswahl im Dialogfeld für die Erweiterte Suche von Outlook 2016 / 365 teilt nun deren Bezeichnung und Wert mit. (#12726)
* ARIA-Switch-Steuerelemente werden in Firefox, Chrome und Edge jetzt tatsächlich als Schalter und nicht mehr als Kontrollkästchen angezeigt. (#11310)
* NVDA teilt automatisch den Sortierstatus einer HTML-Tabellenspaltenüberschrift mit, wenn dieser durch Drücken einer inneren Schaltfläche geändert wird. (#10890)
* Der Name eines Wahrzeichens oder einer Region wird immer automatisch gesprochen, wenn man von außen nach innen springt, indem man die Schnellnavigation oder den Fokus im Lesemodus verwendet. (#13307)
* Wenn der Signalton oder die Ansage von "Groß" für Großbuchstaben mit verzögerten Zeichen-Beschreibungen aktiviert ist, wird nicht mehr zweimal angesagt in NVDA "Groß" oder gibt hierbei keinen Signalton mehr doppelt wieder. (#14239)
* Steuerelemente in Tabellen in Java-Anwendungen werden jetzt von NVDA präziser angezeigt. (#14347)
* Einige Einstellungen werden nicht mehr unerwartet unterschiedlich sein, wenn sie mit mehreren Profilen verwendet werden. (#14170)
  * Die folgenden Einstellungen wurden berücksichtigt:
    * Zeileneinrückungen in den Einstellungen für die Dokument-Formatierungen.
    * Zellrahmen in den Einstellungen für die Dokument-Formatierungen
    * Anzeigen von Benachrichtigungen in Braille-Einstellungen
    * Braille-Kopplung in den Braille-Einstellungen
  * In einigen seltenen Fällen können diese in Profilen verwendeten Einstellungen bei der Installation dieser NVDA-Version unerwartet geändert werden.
  * Bitte überprüfen Sie diese Optionen in Ihren Profilen, nachdem Sie NVDA auf diese Version aktualisiert haben.
* Emojis sollten nun in mehreren Sprachen mitgeteilt werden. (#14433)
* Das Vorhandensein einer Anmerkung fehlt auf der braillezeile bei einigen Elementen nicht mehr. (#13815)
* Ein Problem wurde behoben, bei dem Änderung in der Konfiguration nicht korrekt gespeichert wurden, wenn zwischen einer "Standard"-Option und dem Wert der "Standard"-Option gewechselt wurde. (#14133)
* Bei der Konfiguration von NVDA wird immer mindestens eine Taste als NVDA-Taste definiert. (#14527)
* Wenn Sie das NVDA-Menü über den Infobereich aufrufen, schlägt NVDA kein ausstehendes Update mehr vor, wenn kein Update verfügbar ist. (#14523)
* Die verbleibende, verstrichene und gesamte Zeit wird nun für Audiodateien, die mehr als einen Tag lang sind, in Foobar2000 korrekt angezeigt. (#14127)
* In Web-Browsern wie Google Chrome und Mozilla Firefox werden Warnmeldungen, z. B. zum Herunterladen von Dateien, nicht nur gesprochen, sondern auch in Braille-Schrift angezeigt. (#14562)
* Fehler beim Navigieren zur ersten und letzten Spalte in einer Tabelle in Firefox behoben. (#14554)
* Wenn NVDA mit dem Parameter `--lang=Windows` gestartet wird, ist es wieder möglich, den Dialog Allgemeine Einstellungen von NVDA zu öffnen. (#14407)
* Beim Umblättern einer Seite im Kindle für PC unterbricht NVDA das Vorlesen nicht mehr. (#14390)

### Änderungen für Entwickler

Hinweis: Dies ist eine Version, die die Kompatibilität der API für NVDA-Erweiterungen verändert.
Die NVDA-Erweiterungen müssen erneut getestet werden und die Manifest-Datei muss aktualisiert werden.
Bitte lesen Sie das [Entwicklerhandbuch](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) für Informationen über den Abkündigungs- und Entfernungsprozess für die API in NVDA.

* Die Systemtests sollten nun erfolgreich sein, wenn diese lokal auf nicht-englischsprachigen Systemen ausgeführt werden. (#13362)
* In Windows 11 auf ARM werden x64-Anwendungen nicht mehr als ARM64-Anwendungen erkannt. (#14403)
* Es ist nicht mehr notwendig, `SearchField` und `SuggestionListItem` `UIA` `NVDAObjects` in neuen UIA-Szenarien zu verwenden, in denen automatisch Suchvorschläge mitgeteilt werden und in denen die Eingabe über UIA mit dem Muster `ControllerFor` ausgesetzt wurde.
Diese Funktionalität ist nun generisch über `behaviours.EditableText` bzw. die Basis `NVDAObject` verfügbar. (#14222)
* Wenn die UIA-Debug-Protokollierungskategorie aktiviert ist, wird jetzt deutlich mehr Protokollierung für UIA-Ereignishandler und Dienstprogramme erzeugt. (#14256)
* Die NVDAHelper-Build-Standards wurden aktualisiert. (#13072)
  * Verwendet nun den C++20-Standard, vorher war es C++17.
  * Nun wird der Compiler-Flag `/permissive-` verwendet, das das permissive Verhalten deaktiviert und die Compiler-Optionen `/Zc` für strenge Konformität gesetzt.
* Einige Plugin-Objekte (z. B. Treiber und NVDA-Erweiterungen) haben nun eine informativere Beschreibung in der NVDA-Python-Konsole. (#14463)
* NVDA kann nun vollständig mit Visual Studio 2022 kompiliert werden und benötigt keine Visual Studio 2019 Build-Tools mehr.  (#14326)
* Detailliertere Protokollierung für Einfrierungen von NVDA zur Unterstützung der Fehlersuche. (#14309)
* Die Singleton-Klasse `braille._BgThread` wurde durch `hwIo.ioThread.IoThread` ersetzt. (#14130)
  * Eine einzelne Instanz `hwIo.bgThread` (im NVDA-Kern) dieser Klasse bietet Hintergrund-Informationen für Ein- und Ausgaben bei Thread-sichere Braillezeilen-Treiber.
  * Diese neue Klasse ist nicht als Singleton konzipiert, Entwickler von NVDA-Erweiterungen sind aufgefordert, ihre eigene Instanz zu verwenden, wenn sie Hardware-Eingabe bzw. -Ausgabe verwenden.
* Die Prozessor-Architektur des Computers kann über das Attribut `winVersion.WinVersion.processorArchitecture` abgefragt werden (#14439)
* Es wurden neue Skripte hinzugefügt. (#14503)
  * `inputCore.decide_executeGesture`
  * `tones.decide_beep`
  * `nvwave.decide_playWaveFile`
  * `braille.pre_writeCells`
  * `braille.filter_displaySize`
  * `braille.decide_enabled`
  * `braille.displayChanged`
  * `braille.displaySizeChanged`
* Es ist möglich, useConfig bei unterstützten Einstellungen für einen Synthesizer-Treiber auf False zu setzen. (#14601)

#### API-Änderungen

Dies sind die neuen API-Änderungen.
Bitte öffnen Sie ein Ticket auf GitHub, wenn eine NVDA-Erweiterung ein Problem mit der Aktualisierung auf die neue API hat.

* Die Konfigurationsspezifikation wurde geändert, Schlüssel wurden entfernt oder geändert:
  * Im Abschnitt `[documentFormatting]` (#14233):
    * `reportLineIndentation` speichert einen INT-Wert (0 bis 3) anstelle eines booleschen Wertes
    * `reportLineIndentationWithTones` wurde entfernt.
    * `reportBorderStyle` und `reportBorderColor` wurden entfernt und sind durch `reportCellBorders` ersetzt worden.
  * Im Abschnitt `[braille]` (#14233):
    * `noMessageTimeout` wurde entfernt und durch einen Wert für `showMessages` ersetzt.
    * `messageTimeout` kann nicht mehr den Wert 0 annehmen und wurde durch einen Wert für `showMessages` ersetzt.
    * `autoTether` wurde entfernt; `tetherTo` kann nun stattdessen den Wert "auto" annehmen.
  * Im Abschnitt `[keyboard]` (#14528):
    * `useCapsLockAsNVDAModifierKey`, `useNumpadInsertAsNVDAModifierKey`, `useExtendedInsertAsNVDAModifierKey` wurden entfernt.
    Sie wurden durch `NVDAModifierKeys` ersetzt.
* Die Klasse `NVDAHelper.RemoteLoader64` wurde ersatzlos entfernt. (#14449)
* Die folgenden Funktionen in `winAPI.sessionTracking` werden ersatzlos entfernt. (#14416, #14490)
  * `isWindowsLocked`
  * `handleSessionChange`
  * `unregister`
  * `register`
  * `isLockStateSuccessfullyTracked`
* Es ist nicht mehr möglich den Braille-Handler durch die Einstellung `braille.handler.enabled` einzuschalten.
Um den Braille-Handler programmatisch zu deaktivieren, registrieren Sie einen Handler für `braille.handler.decide_enabled`. (#14503)
* Es ist nicht mehr möglich, die Anzeigegröße des Handlers durch definieren von `braille.handler.displaySize` zu aktualisieren.
Um displaySize programmatisch zu aktualisieren, registrieren Sie einen Handler für `braille.handler.filter_displaySize`.
Siehe `brailleViewer` für ein Beispiel, wie das erledigt werden kann. (#14503)
* Es gab Änderungen bei der Verwendung von `addonHandler.Addon.loadModule`. (#14481)
  * `loadModule` erwartet nun einen Punkt als Trennzeichen, statt eines Backslashs.
  Zum Beispiel "lib.example" anstelle von "lib\example".
  * `loadModule` löst nun eine Exception aus, wenn ein Modul nicht geladen werden kann oder Fehler aufweist, anstatt `None` zurückzugeben, ohne Informationen über die Ursache zu geben.
* Die folgenden Symbole wurden aus der Datei `appModules.foobar2000` entfernt und nicht direkt ersetzt. (#14570)
  * `statusBarTimes`
  * `parseIntervalToTimestamp`
  * `getOutputFormat`
  * `getParsingFormat`
* Die Folgenden sind keine Singletons mehr - deren get-Methode wurde entfernt.
Die Verwendung von `Example.get()` ist jetzt `Example()`. (#14248)
  * `UIAHandler.customAnnotations.CustomAnnotationTypesCommon`
  * `UIAHandler.customProps.CustomPropertiesCommon`
  * `NVDAObjects.UIA.excel.ExcelCustomProperties`
  * `NVDAObjects.UIA.excel.ExcelCustomAnnotationTypes`

#### Veraltete Funktionen

* `NVDAObjects.UIA.winConsoleUIA.WinTerminalUIA` ist veraltet und es wird von der Verwendung abgeraten. (#14047)
* `config.addConfigDirsToPythonPackagePath` wurde verschoben.
Verwenden Sie stattdessen `addonHandler.packaging.addDirsToPythonPackagePath`. (#14350)
* `braille.BrailleHandler.TETHER_*` sind veraltet.
Verwenden Sie stattdessen `configFlags.TetherTo.*.value`. (#14233)
* `utils.security.postSessionLockStateChanged` ist veraltet.
Verwenden Sie stattdessen `utils.security.post_sessionLockStateChanged`. (#14486)
* `NVDAObject.hasDetails`, `NVDAObject.detailsSummary`, `NVDAObject.detailsRole` sind veraltet.
Verwenden Sie stattdessen `NVDAObject.annotations`. (#14507)
* `keyboardHandler.SUPPORTED_NVDA_MODIFIER_KEYS` ist veraltet und wird nicht direkt ersetzt.
Verwenden Sie stattdessen die Klasse `config.configFlags.NVDAKey`. (#14528)
* `gui.MainFrame.evaluateUpdatePendingUpdateMenuItemCommand` ist veraltet.
Verwenden Sie stattdessen `gui.MainFrame.SysTrayIcon.evaluateUpdatePendingUpdateMenuItemCommand`. (#14523)

## 2022.4

Diese Version enthält mehrere neue Tastenkombinationen, darunter die Tastenbefehle für das Vorlesen von Tabellen.
Das Benutzerhandbuch wurde um den Abschnitt "Schnellstartanleitung" erweitert.
Außerdem wurden mehrere Fehler behoben.

Die Sprachausgabe eSpeak und der Braille-Übersetzer LibLouis wurden aktualisiert.
Es gibt neue Braille-Tabellen für Chinesisch, Schwedisch, Luganda und Kinyarwanda.

### Neue Features

* Dem Benutzerhandbuch wurde ein Abschnitt "Schnellstartanleitung" hinzugefügt. (#13934)
* Es wurde ein neuer Tastenbefehl eingeführt, um das Tastaturkürzel des aktuellen Fokus zu überprüfen. (#13960)
  * Desktop: `Umschalt+Nummernblock 2`.
  * Laptop: `NVDA+Strg+Umschalt+Punkt`.
* Es wurden neue Tastenbefehle eingeführt, um den NVDA-Cursor seitenweise zu navigieren, sofern dies von der Anwendung unterstützt wird. (#14021)
  * Zur vorherigen Seite wechseln:
    * Desktop: `NVDA+Seite nach oben`.
    * Laptop: `NVDA+Umschalt+Seite nach oben`.
  * Zur nächsten  Seite wechseln:
    * Desktop: `NVDA+Seite nach unten`.
    * Laptop: `NVDA+Umschalt+Seite nach unten`.
* Die folgenden Tabellenbefehle wurden hinzugefügt. (#14070)
  * Aktuelle Spalte vorlesen: `NVDA+Strg+Alt+Pfeiltaste nach unten`
  * Aktuelle Zeile vorlesen: `NVDA+Strg+Alt+Pfeiltaste nach rechts`
  * Gesamte Spalte vorlesen `NVDA+Strg+Alt+Pfeiltaste nach oben`
  * Gesamte Zeile vorlesen: `NVDA+Strg+Alt+Pfeiltaste nach links`
* Microsoft Excel über UIA: NVDA teilt nun mit, sobald Sie eine Tabelle innerhalb einer Tabelle verlassen. (#14165)
* Das Mitteilen von Überschriften in Tabellen können nun für Zeilen und Spalten getrennt konfiguriert werden. (#14075)

### Änderungen

* Die Sprachausgabe eSpeak NG wurde aktualisiert auf 1.52-dev commit `735ecdb8`. (#14060, #14079, #14118, #14203)
  * Die Ansage von lateinischen Schriftzeichen bei der Verwendung von Mandarin wurde korrigiert. (#12952, #13572, #14197)
* Der Braille-Übersetzer LibLouis wurde aktualisiert auf [3.23.0](https://github.com/liblouis/liblouis/releases/tag/v3.23.0). (#14112)
  * Braille-Tabellen hinzugefügt:
    * Chinesische Braille-Schrift (vereinfachte chinesische Schriftzeichen)
    * Literatur-Braille (Kinyarwanda)
    * Literatur-Braille-Schrift (Luganda)
    * Schwedische basisschrift
    * Schwedische Vollschrift
    * Schwedische Kurzschrift
    * Chinesisch (China, Mandarin) Aktuelles Braille-System (ohne Laute) (#14138)
* NVDA erfasst nun die Architektur des Betriebssystems als Teil der Benutzer-Statistiken. (#14019)

### Fehlerbehebungen

* Bei der Aktualisierung von NVDA mit dem Windows Package Manager CLI (aka winget) wird eine freigegebene Version von NVDA nicht mehr immer als neuer als die installierte Alpha-Version behandelt. (#12469)
* NVDA zeigt nun Gruppenfelder in Java-Anwendungen korrekt an. (#13962)
* Der System-Cursor folgt dem vorgelesenen Text während "Alles Lesen" in Anwendungen wie Bookworm, WordPad oder dem NVDA-Protokollbetrachter. (#13420, #9179)
* In Programmen, die UIA verwenden, werden teilweise angehakte Kontrollkästchen korrekt mitgeteilt. (#13975)
* Verbesserte Leistung und Stabilität in Microsoft Visual Studio, Windows Terminal und anderen auf UIA-basierenden Anwendungen. (#11077, #11209)
  * Diese Anpassungen  gelten für Windows 11 Version 22H2 bzw. 2022 (Sun Valley 2).
  * Ausgewählte Registrierung für UIA-Ereignisse und Eigenschaftsänderungen nun standardmäßig aktiviert.
* Text vorlesen, Braille-Ausgabe und Passwort-Unterdrückung funktionieren jetzt wie erwartet im eingebetteten Windows-Terminal-Steuerelement in Visual Studio 2022. (#14194)
* NVDA kann nun mit mehreren Monitoren umgehen, die verschiedene Auflösungen verwenden.
Es gibt mehrere Lösungen für die Verwendung einer DPI-Einstellung von mehr als 100 % oder mehrerer Monitore.
Bei älteren Windows-Versionen als Windows 10 Version 1809 können weiterhin Probleme auftreten.
Damit diese Anpassungen  funktionieren, müssen die Anwendungen, mit denen NVDA interagiert, ebenfalls DPI-kompatibel sein.
Beachten Sie, dass es immer noch bekannte Probleme mit Google Chrome und Microsoft Edge gibt. (#13254)
  * Visuelle Hervorhebungsrahmen sollten nun in den meisten Anwendungen korrekt platziert werden. (#13370, #3875, #12070)
  * Die Touchscreen-Interaktionen sollte nun für die meisten Anwendungen präzise sein. (#7083)
  * Die Mausverfolgung sollte nun für die meisten Anwendungen funktionieren. (#6722)
* Änderungen der Ausrichtung (Querformat/Hochformat) werden nun korrekt ignoriert, wenn es keine Änderung gibt (z. B. beim Umschalten des Monitors). (#14035)
* NVDA teilt mit, dass das Ziehen von Elementen auf dem Bildschirm an Stellen wie der Neuanordnung von Kacheln im Startmenü von Windows 10 und virtuellen Desktops in Windows 11 möglich ist. (#12271, #14081)
* In den erweiterten Einstellungen wird die Option "Bei protokollierten Fehlern einen Signalton wiedergeben" nun korrekt auf den Standardwert zurückgesetzt, wenn die Schaltfläche "Standardwerte wiederherstellen" betätigt wird. (#14149)
* NVDA kann nun Text mit dem Tastaturkürzel `NVDA+F10` in Java-Anwendungen auswählen. (#14163)
* NVDA bleibt nicht mehr in einem Menü hängen, wenn Sie in Microsoft Teams mit den Pfeiltasten nach oben oder unten durch die Unterhaltungen gehen. (#14355)

### Änderungen für Entwickler

Bitte lesen Sie das [Entwicklerhandbuch](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) für Informationen über den NVDA-API-Abkündigungs- und Entfernungsprozess.

* Die [Mailingliste für NVDA-API-Ankündigungen](https://groups.google.com/a/nvaccess.org/g/nvda-api/about) wurde ins Leben gerufen. (#13999)
* NVDA verarbeitet keine `TextChange`-Ereignisse mehr für die meisten UIA-Anwendungen, da diese extrem negative Auswirkungen auf die Leistung haben. (#11002, #14067)

#### Veraltete Funktionen

* `core.post_windowMessageReceipt` ist veraltet, verwenden Sie stattdessen `winAPI.messageWindow.pre_handleWindowMessage`.
* `winKernel.SYSTEM_POWER_STATUS` ist veraltet und es wird von der Verwendung abgeraten, dies wurde nach `winAPI._powerTracking.SystemPowerStatus` verschoben.
* `winUser.SM_*`-Konstanten sind veraltet, verwenden Sie stattdessen `winAPI.winUser.constants.SystemMetrics`.

## 2022.3.3

Dies ist eine kleinere Version, die Fehler in 2022.3.2, 2022.3.1 und 2022.3 behebt.
Damit wird auch ein Sicherheitsproblem gelöst.

### Sicherheitskorrekturen

* Verhindert den möglichen Systemzugang (z. B. durch die Python-Konsole in NVDA) für nicht authentifizierte Benutzer.
([GHSA-fpwc-2gxx-j9v7](https://github.com/nvaccess/nvda/security/advisories/GHSA-fpwc-2gxx-j9v7))

### Fehlerbehebungen

* Wenn NVDA beim Sperren einfriert, erlaubt NVDA den Zugriff auf den Desktop des Benutzers, während der Windows-Sperrbildschirm angezeigt wird. (#14416)
* Fehler behoben, bei dem NVDA sich nicht korrekt verhält, wenn es beim Sperren einfriert, als ob das Gerät noch gesperrt wäre. (#14416)
* Zugänglichkeitsprobleme mit dem Windows-Prozess "PIN vergessen" und der Windows-Update-/Installationserfahrung wurden behoben. (#14368)
* Fehler bei der NVDA-Installation in einigen Windows-Umgebungen, z. B. Windows Server, behoben. (#14379)

### Änderungen für Entwickler

#### Veraltete Funktionen

* `utils.security.isObjectAboveLockScreen(obj)` ist veraltet, verwenden Sie stattdessen `obj.isBelowLockScreen`. (#14416)
* Die folgenden Funktionen in `winAPI.sessionTracking` sind veraltet und werden in 2023.1 entfernt. (#14416)
  * `isWindowsLocked`
  * `handleSessionChange`
  * `unregister`
  * `register`
  * `isLockStateSuccessfullyTracked`

## 2022.3.2

Dies ist eine kleinere Version, die Probleme mit 2022.3.1 behebt und eine Sicherheitslücke schließt.

### Sicherheitskorrekturen

* Verhindert den möglichen Zugriff auf Systemebene für nicht authentifizierte Benutzer.
([GHSA-3jj9-295f-h69w](https://github.com/nvaccess/nvda/security/advisories/GHSA-3jj9-295f-h69w))

### Fehlerbehebungen

* Behebt ein Problem aus 2022.3.1, bei der bestimmte Funktionen während der Anzeige von Sicherheitsmeldungen deaktiviert wurden. (#14286)
* Behebt ein Problem aus 2022.3.1, bei der bestimmte Funktionen nach der Anmeldung deaktiviert wurden, sobald NVDA auf dem Sperrbildschirm gestartet wurde. (#14301)

## 2022.3.1

Dies ist eine kleinere Version, die mehrere Sicherheitsprobleme behebt.
Bitte melden Sie Sicherheitsprobleme umgehend an <info@nvaccess.org>.

### Sicherheitskorrekturen

* Ein Exploit wurde behoben, durch den es möglich war, von Benutzer- zu Systemrechten zu gelangen.
([GHSA-q7c2-pgqm-vvw5](https://github.com/nvaccess/nvda/security/advisories/GHSA-q7c2-pgqm-vvw5))
* Es wurde ein Sicherheitsproblem behoben, das den Zugriff auf die Python-Konsole auf dem Sperrbildschirm über eine Laufbedingung beim NVDA-Start ermöglichte.
([GHSA-72mj-mqhj-qh4w](https://github.com/nvaccess/nvda/security/advisories/GHSA-72mj-mqhj-qh4w))
* Es wurde ein Problem behoben, bei dem der Text des Sprachausgaben-Betrachters beim Sperren von Windows zwischengespeichert wurde.
([GHSA-grvr-j2h8-3qm4](https://github.com/nvaccess/nvda/security/advisories/GHSA-grvr-j2h8-3qm4))

### Fehlerbehebungen

* Verhindert, dass ein nicht authentifizierter Benutzer die Einstellungen für die Anzeige von Sprach- und Braille-Ausgaben auf dem Sperrbildschirm aktualisiert. ([GHSA-grvr-j2h8-3qm4](https://github.com/nvaccess/nvda/security/advisories/GHSA-grvr-j2h8-3qm4))

## 2022.3

Ein großer Teil dieser Version wurde von der NVDA-Entwicklergemeinschaft beigesteuert.
Dazu gehören verzögerte Zeichenbeschreibungen und eine verbesserte Unterstützung der Windows-Konsole.

Diese Version enthält auch mehrere Fehlerbehebungen.
Insbesondere stürzen aktuelle Versionen von Adobe Acrobat bzw. Adobe Reader beim Lesen von PDF-Dokumenten nicht mehr  ab.

ESpeak wurde aktualisiert, wodurch drei neue Sprachen hinzugekommen sind: Belarussisch, Luxemburgisch und Totontepec Mixe.

### Neue Features

* Im Windows-Konsolen-Host, der von der Eingabeaufforderung, PowerShell und dem Windows-Subsystem für Linux unter Windows 11 Version 22H2 (Sun Valley 2) und neuer verwendet wird:
  * Deutlich verbesserte Leistung und Stabilität. (#10964)
  * Wenn Sie `Strg+F` drücken, um nach Text zu suchen, wird die Position des NVDA-Cursors aktualisiert, um dem gefundenen Begriff zu folgen. (#11172)
  * Die Meldung von eingegebenem Text, der nicht auf dem Bildschirm erscheint (z. B. Kennwörter), ist standardmäßig deaktiviert.
Dies kann in den erweiterten NVDA-Einstellungen wieder aktiviert werden. (#11554)
  * Text, der aus dem Bildschirm gescrollt wurde, kann ohne Scrollen des Konsolenfensters nachgelesen werden. (#12669)
  * Ausführlichere Informationen zur Textformatierung sind verfügbar. ([Microsoft Windows-Terminal PR 10336](https://github.com/microsoft/terminal/pull/10336))
* Eine neue Sprachoption wurde hinzugefügt, um Zeichenbeschreibungen nach einer Verzögerung zu lesen. (#13509)
* Eine neue Braille-Option wurde hinzugefügt, mit der festgelegt werden kann, ob beim Vorwärts- bzw. Rückwärtsscrollen der Anzeige die Sprachausgabe unterbrochen werden soll. (#2124)

### Änderungen

* eSpeak NG wurde auf 1.52-dev commit `9de65fcb` aktualisiert. (#13295)
  * Weitere Sprachen hinzugefügt:
    * Belarussisch
    * Luxembourgisch
    * Totontepec Mixe
* Bei Verwendung von UIA für den Zugriff auf Steuerelemente von Microsoft Excel-Tabellenkalkulationen teilt NVDA nun mit, sobald eine Zelle zusammengeführt wird. (#12843)
* Anstatt "hat Details" zu melden, wird, sofern möglich, der Zweck der Details angegeben, zum Beispiel "enthält Kommentar". (#13649)
* Die Installationsgröße von NVDA wird nun im Abschnitt Windows-Programme und -Funktionen angezeigt. (#13909)

### Fehlerbehebungen

* Der Adobe Acrobat bzw. Adobe Reader (64-Bit) stürzt beim Lesen eines PDF-Dokuments nicht mehr ab. (#12920)
  * Bitte beachten Sie, dass die aktuellste Version von Adobe Acrobat bzw. Adobe Reader ebenfalls erforderlich ist, um den Absturz zu vermeiden.
* Die Maßeinheiten von Schriftgrößen sind nun in NVDA übersetzbar. (#13573)
* NVDA ignoriert Java Access Bridge-Ereignisse, bei denen kein Fensterhandle für Java-Anwendungen gefunden werden kann.
Dies verbessert die Leistung für einige Java-Anwendungen, einschließlich IntelliJ IDEA. (#13039)
* Die Mitteilungen ausgewählter Zellen für LibreOffice Calc ist effizienter und führt nicht mehr zu einem Einfrieren von Calc, wenn viele Zellen ausgewählt sind. (#13232)
* Wenn Microsoft Edge unter einem anderen Benutzer ausgeführt wird, ist es (weiterhin) zugänglich. (#13032)
* Wenn die Erhöhung der Geschwindigkeit ausgeschaltet ist, sinkt die Geschwindigkeit von eSpeak nicht mehr zwischen 99 und 100 %. (#13876)
* Behebung eines Fehlers, der das Öffnen von doppelten Dialogfeldern der Tastenbefehle ermöglichte. (#13854)

### Änderungen für Entwickler

* Comtypes auf Version 1.1.11 aktualisiert. (#12953)
* In Builds der Windows-Konsole (`conhost.exe`) mit einem NVDA-API-Level von 2 (`FORMATTED`) oder höher, wie sie in Windows 11 Version 22H2 (Sun Valley 2) enthalten sind, wird nun standardmäßig UIA verwendet. (#10964)
  * Dies kann durch Ändern der Einstellung der Unterstützung für Windows-Konsolen in den erweiterten Einstellungen von NVDA außer Kraft gesetzt werden.
  * Um die NVDA-API-Level Ihrer Windows-Konsole zu ermitteln, setzen Sie "Windows-Konsolenunterstützung" auf "UIA, wenn verfügbar" und überprüfen Sie dann das Protokoll mit NVDA+F1, das von einer laufenden Windows-Konsoleninstanz geöffnet wurde.
* Die virtuelle Chromium-Ansicht wird nun auch dann geladen, wenn das Dokumentobjekt den MSAA `STATE_SYSTEM_BUSY` hat, der über IA2 ausgesetzt ist. (#13306)
* Für die Verwendung mit experimentellen Funktionen in NVDA wurde ein Konfigurationsspezifikationstyp `featureFlag` erstellt. Siehe `devDocs/featureFlag.md` für weitere Informationen. (#13859)

#### Veraltete Funktionen

Für 2022.3 wurden keine Änderungen an der API vorgenommen.

## 2022.2.4

Dies ist ein Patch-Release zur Behebung einer Sicherheitslücke.

### Fehlerbehebungen

* Es wurde ein Exploit behoben, bei dem es möglich war, die Python-Konsole von NVDA über die Protokollanzeige auf dem Sperrbildschirm zu öffnen.
([GHSA-585m-rpvv-93qg](https://github.com/nvaccess/nvda/security/advisories/GHSA-585m-rpvv-93qg))

## 2022.2.3

Dies ist ein Patch-Release, um einen versehentlichen API-Fehler zu beheben, der sich in 2022.2.1 einschlich.

### Fehlerbehebungen

* Ein Fehler wurde behoben, bei dem NVDA beim Aufrufen eines geschützten Desktops nicht "Geschützter Desktop" ausgab.
Dies führte dazu, dass NVDA Remote keine geschützten Desktops mehr erkannte. (#14094)

## 2022.2.2

Dieser Patch behebt einen Fehler, der in Version 2022.2.1 beim Öffnen der Tastenbefehle auftrat.

### Fehlerbehebung

* Ein Fehler wurde behoben, bei dem Tastenbefehle nicht immer funktionierten. (#14065)

## 2022.2.1

Dies ist eine kleinere Version zur Behebung einer Sicherheitslücke.
Bitte melden Sie Sicherheitsprobleme umgehend an <info@nvaccess.org>.

### Sicherheitskorrekturen

* Es wurde ein Exploit behoben, durch den es möglich war, die Python-Konsole über den Sperrbildschirm zu starten. (GHSA-rmq3-vvhq-gp32)
* Es wurde ein Exploit behoben, bei dem es möglich war, den Sperrbildschirm durch die Objekt-Navigation zu umgehen. (GHSA-rmq3-vvhq-gp32)

### Änderungen für Entwickler

#### Veraltete Funktionen

Die veralteten Funktionen sind derzeit nicht zur Entfernung  vorgesehen.
Die veralteten Aliasnamen werden bis auf weiteres beibehalten.
Bitte testen Sie die neue API und teilen Sie uns Ihr Feedback mit.
Autoren von NVDA-Erweiterungen sollten bitte ein Ticket bei GitHub einreichen, wenn diese Änderungen dazu führen, dass die API nicht mehr Ihren Anforderungen entspricht.

* `appModules.lockapp.LockAppObject` sollte durch `NVDAObjects.lockscreen.LockScreenObject` ersetzt werden. (GHSA-rmq3-vvhq-gp32)
* `appModules.lockapp.AppModule.SAFE_SCRIPTS` sollte durch `utils.security.getSafeScripts()` ersetzt werden. (GHSA-rmq3-vvhq-gp32)

## 2022.2

Diese Version enthält viele Fehlerbehebungen.
Vor allem für Java-basierte Anwendungen, Braillezeilen und Windows-Funktionen gibt es erhebliche Verbesserungen.

Neue Befehle für die Tabellennavigation wurden eingeführt.
Unicode CLDR wurde aktualisiert.
LibLouis wurde aktualisiert und enthält eine neue deutsche Braille-Tabelle.

### Neue Features

* Unterstützung für die Interaktion mit Microsoft Loop-Komponenten in Microsoft Office-Produkten. (#13617)
* Es wurden neue Befehle für die Tabellen-Navigation hinzugefügt. (#957)
 * `Strg+Alt+Pos1/Ende`, um zur ersten/letzten Spalte zu springen.
 * `Strg+Alt+Seite nach oben/unten`, um zur ersten/letzten Zeile zu springen.
* Ein nicht zugewiesenes Skript zum Durchlaufen der Sprach- und Dialektwechselmodi wurde hinzugefügt. (#10253)

### Änderungen

* NSIS wurde auf Version 3.08 aktualisiert. (#9134)
* CLDR wurde auf Version 41.0 aktualisiert. (#13582)
* LibLouis-Braille-Übersetzer wurde auf Version [3.22.0](https://github.com/liblouis/liblouis/releases/tag/v3.22.0) aktualisiert. (#13775)
  * Neue Braille-Tabelle: Deutsche Kurzschrift (ausführlich)
* Neue Rolle für Steuerelemente "Beschäftigt-Status" hinzugefügt. (#10644)
* NVDA teilt nun mit, sobald eine Aktion in NVDA nicht ausgeführt werden konnte. (#13500)
  * Dies gilt beim:
    * Verwenden der NVDA Windows-Store-Version.
    * Lesen in einem geschützten Kontext.
    * Warten auf eine Antwort eines modalen Dialogfeldes.

### Fehlerbehebungen

* Für Java-basierte Anwendungen:
  * NVDA teilt nun den schreibgeschützten Zustand mit. (#13692)
  * NVDA teilt nun den deaktivierten oder aktivierten Status korrekt mit. (#10993)
  * NVDA gibt nun Tastenkombinationen mit F-Tasten aus. (#13643)
  * NVDA teilt nun die Fortschrittsbalken entweder durch Signaltöne oder über die Sprachausgabe mit. (#13594)
  * NVDA entfernt nicht mehr fälschlicherweise Text aus Widgets, wenn diese dem Benutzer angezeigt werden. (#13102)
  * NVDA teilt nun den Zustand von Umschalt-Tasten mit. (#9728)
  * NVDA erkennt nun das Fenster in einer Java-Anwendung mit mehreren Fenstern. (#9184)
  * NVDA zeigt nun Informationen der Position für Registerkarten an. (#13744)
* Braille:
  * Braille-Ausgabe beim Navigieren in bestimmten Texten in Mozilla-RichEdit-Steuerelementen behoben, z. B. beim Verfassen einer Nachricht in Thunderbird. (#12542)
  * Wenn die Braillezeile automatisch verbunden wird und die Maus bei aktivierter Mausverfolgung bewegt wird,
   Befehle für die Textanzeige aktualisieren nun die Ausgabe auf der Braillezeile mit dem vorgelesenen Inhalt. (#11519)
  * Es ist nun möglich, die Braillezeile nach der Verwendung von Befehlen für die Textanzeige durch den Inhalt zu navigieren. (#8682)
* Das NVDA-Installationsprogramm kann fortan von Verzeichnissen mit Sonderzeichen aus gestartet werden. (#13270)
* In Firefox teilt NVDA keine Elemente auf Webseiten mehr mit, wenn die Attribute aria-rowindex, aria-colindex, aria-rowcount oder aria-colcount ungültig sind. (#13405)
* Der Cursor wechselt nicht mehr die Zeile oder Spalte, wenn Sie die Tabellennavigation verwenden, um durch zusammengeführte Zellen zu navigieren. (#7278)
* Beim Lesen nicht-interaktiver PDF-Dateien in Adobe Reader werden nun Typ und Zustand von Formularfeldern (z. B. Kontrollkästchen und Optionsfelder) mitgeteilt. (#13285)
* Die Funktion "Konfiguration auf Standard-Einstellungen zurücksetzen" ist nun im NVDA-Menü im geschützten Modus verfügbar. (#13547)
* Gesperrte Maus-Tasten werden beim Beenden von NVDA wieder entsperrt, vorher blieb die Maus-Taste gesperrt. (#13410)
* In Visual Studio werden nun Zeilennummern mitgeteilt. (#13604)
  * Beachten Sie, dass die Anzeige von Zeilennummern in Visual Studio und NVDA aktiviert sein muss, damit die Zeilennummernanzeige funktioniert.
* In Visual Studio werden die Zeileneinrückungen nun korrekt mitgeteilt. (#13574)
* NVDA teilt in den neuen Versionen von Windows 10 und 11 erneut Details zu den Suchergebnissen im Startmenü mit. (#13544)
* Im Rechner in Windows 10 und 11 Version 10.1908 und neuer,
teilt NVDA die Ergebnisse mit, wenn weitere Befehle gedrückt werden, z. B. Befehle aus dem wissenschaftlichen Modus. (#13383)
* In Windows 11 ist es wieder möglich, mit Elementen der Benutzeroberfläche zu navigieren und zu interagieren,
wie z. B. die Taskleiste und die Task-Ansicht mit Hilfe von Maus- und Touch-Interaktion. (#13506)
* NVDA zeigt nun den Inhalt der Statusleiste in Windows 11 Notepad an. (#13388)
* Die Hervorhebung von Navigationsobjekten wird nun sofort nach Aktivierung der Funktion angezeigt. (#13641)
* Das Auslesen einspaltiger Elemente in Listenansichten wurde behoben. (#13659, #13735)
* Automatische Sprachumschaltung von eSpeak für Englisch und Französisch wurde behoben, falls nicht möglich auf britisches Englisch und Französisch (Frankreich). (#13727)
* Automatische Sprachumschaltung in OneCore wurde behoben, wenn versucht wird, zu einer zuvor installierten Sprache zu wechseln. (#13732)

### Änderungen für Entwickler

* Die Kompilierung von NVDA-Abhängigkeiten mit Visual Studio 2022 (17.0) wird jetzt unterstützt.
Für Entwicklungs- und Release-Builds wird weiterhin Visual Studio 2019 verwendet. (#13033)
* Beim Abrufen der Anzahl der ausgewählten untergeordneten Elemente über accSelection,
wird der Fall, dass eine negative ID des untergeorneten Elements oder ein IDispatch von `IAccessible::get_accSelection` zurückgegeben wird, wird nun korrekt behandelt. (#13277)
* Neue praktische Funktionen `registerExecutableWithAppModule` und `unregisterExecutable` wurden dem Modul `appModuleHandler` hinzugefügt.
Diese können verwendet werden, um ein einzelnes App-Modul mit mehreren ausführbaren Dateien zu verwenden. (#13366)

#### Veraltete Funktionen

Es handelt sich um vorgeschlagene API-Änderungen.
Der veraltete  Teil der API wird bis zur angegebenen Version weiterhin verfügbar sein.
Wenn keine Freigabe angegeben ist, wurde der Plan für die Entfernung noch nicht festgelegt.
Beachten Sie, dass die Roadmap für Umzüge nach bestem Wissen und Gewissen erstellt wurde und sich noch ändern kann.
Bitte testen Sie die neue API und geben Sie uns Rückmeldung.
Autoren von Erweiterungen sollten bitte ein Problem auf GitHub einreichen, falls diese Änderungen dazu führen, dass die API nicht mehr Ihren Anforderungen entspricht.

* `appModuleHandler.NVDAProcessID` ist veraltet, verwenden Sie stattdessen `globalVars.appPid`. (#13646)
* `gui.quit` ist veraltet, verwenden Sie stattdessen `wx.CallAfter(mainFrame.onExitCommand, None)`. (#13498)
  -
* Einige Alias-AppModule sind als veraltet gekennzeichnet.
Code, der von einem dieser Module importiert, sollte stattdessen von dem Ersatzmodul importiert werden. (#13366)

| Entfernter Modulname |Ersatzmodul|
|---|---|
|azuredatastudio |code|
|azuredatastudio-insiders |code|
|calculatorapp |calculator|
|code - insiders |code|
|commsapps |hxmail|
|dbeaver |eclipse|
|digitaleditionspreview |digitaleditions|
|esybraille |esysuite|
|hxoutlook |hxmail|
|miranda64 |miranda32|
|mpc-hc |mplayerc|
|mpc-hc64 |mplayerc|
|notepad++ |notepadPlusPlus|
|searchapp |searchui|
|searchhost |searchui|
|springtoolsuite4 |eclipse|
|sts |eclipse|
|teamtalk3 |teamtalk4classic|
|textinputhost |windowsinternal_composableshell_experiences_textinput_inputapp|
|totalcmd64 |totalcmd|
|win32calc |calc|
|winmail |msimn|
|zend-eclipse-php |eclipse|
|zendstudio |eclipse|

## 2022.1

Diese Version enthält wichtige Verbesserungen der UIA-Unterstützung für Microsoft Office.
Für Microsoft Office 16.0.15000 und neuer unter Windows 11 verwendet NVDA standardmäßig UIA für den Zugriff auf Dokumente in Microsoft Word.
Dies stellt eine erhebliche Leistungsverbesserung gegenüber dem älteren Objektmodell-Zugriff dar.

Verbesserungen bei Braillezeilen-Treibern, darunter Seika Notetaker, Papenmeier und HID-Braille.
Des Weiteren gibt es verschiedene Windows 11 Fehlerbehebungen für Apps wie Rechner, Konsole, Terminal, Mail und Emoji-Panel.

Die Sprachausgabe eSpeak-NG und der braille-Übersetzer LibLouis wurden aktualisiert und liblouis wurde um neue japanische, deutsche und katalanische Braillen-Tabellen ergänzt.

Hinweis:

 * Diese Version beeinträchtigt die Kompatibilität mit bestehenden NVDA-Erweiterungen.

### Neue Features

* Unterstützung für die Mitteilung von Notizen in Microsoft Excel mit aktivierter UIA unter Windows 11. (#12861)
* In neueren Builds von Microsoft Word über UIA unter Windows 11 werden Lesezeichen, Entwurfskommentare und Kommentare nun sowohl mit der Sprachausgabe als auch in Braille mitgeteilt. (#12861)
* Der neue Kommandozeilen-Parameter `--lang` erlaubt das Überschreiben der konfigurierten NVDA-Sprache. (#10044)
* NVDA warnt nun vor unbekannten Kommandozeilen-Parametern, die von keiner Erweiterung verwendet werden. (#12795)
* In Microsoft Word, auf das über UIA zugegriffen wird, verwendet NVDA nun den mathPlayer, um mathematische Gleichungen in Office zu lesen und zu navigieren. (#12946)
  * Damit dies funktioniert, müssen Sie Microsoft Word 365 / 2016 Build 14326 oder neuer verwenden.
  * MathType-Gleichungen müssen auch manuell in Office-Mathematik umgewandelt werden, indem Sie die Gleichungen markieren, das Kontextmenü öffnen und "Gleichungsoptionen", "In Office-Mathematik umwandeln" auswählen.
* Die Meldung "hat Details" und der zugehörige Befehl zum Zusammenfassen der Detailbeziehung wurden aktualisiert und funktionieren nun auch im Fokus-Modus. (#13106)
* Seika Notetaker kann nun automatisch erkannt werden, wenn es über USB und Bluetooth verbunden ist. (#13191, #13142)
  * Dies betrifft die folgenden Geräte: MiniSeika (mit 16 und 24 Modulen), V6 und V6Pro (mit 40 Modulen).
  * Die manuelle Auswahl des Bluetooth-COM-Ports wird nun ebenfalls unterstützt.
* Es wurde ein Befehl zum Umschalten des Braille-Betrachters hinzugefügt, allerdings gibt es keinen standardmäßig zugehörigen Tastenbefehl. (#13258)
* Befehle zum gleichzeitigen Umschalten mehrerer Modifikatoren mit einer Braillezeile hinzugefügt (#13152)
* Das Dialogfeld "Sprachwörterbuch" verfügt nun über eine Schaltfläche "Alles entfernen", mit der ein ganzes Wörterbuch geleert werden kann. (#11802)
* Unterstützung für den Rechner unter Windows 11 hinzugefügt. (#13212)
* In Microsoft Word bei aktivierter UIA unter Windows 11 können nun Zeilennummern und Abschnittsnummern mitgeteilt werden. (#13283, #13515)
* Für Microsoft Office 16.0.15000 und neuer unter Windows 11 verwendet NVDA standardmäßig UIA für den Zugriff in dokumenten in Microsoft Word, was eine erhebliche Leistungsverbesserung gegenüber dem älteren Objektmodell-Zugriff bedeutet. (#13437)
 * Dies gilt sowohl für Dokumente in Microsoft Word selbst als auch beim Lesen der Nachrichten und die Erstellung von Nachrichten in Microsoft Outlook.

### Änderungen

* Espeak-ng wurde auf 1.51-dev commit `7e5457f91e10` aktualisiert. (#12950)
* Der Braille-Übersetzer LibLouis wurde auf Version [3.21.0](https://github.com/liblouis/liblouis/releases/tag/v3.21.0) aktualisiert. (#13141, #13438)
  * Neue Braille-Tabellen hinzugefügt: Japanisches Literatur-Braille (Kantenji).
  * Neue Deutsche Computerbraille-Tabelle für 6-Punkt-Darstellung hinzugefügt.
  * Katalanische Vollschrift hinzugefügt. (#13408)
* NVDA teilt nun Auswahl und zusammengeführte Zellen in LibreOffice Calc 7.3 und neuer mit. (#9310, #6897)
* Unicode Common Locale Data Repository (CLDR) wurde auf 40.0 aktualisiert. (#12999)
* `NVDA+Nummernblock Komma` teilt standardmäßig die Position des Cursor oder des fokussierten Objekts mit. (#13060)
* `NVDA+Umschalt+Nummernblock Komma` teilt die Position des NVDA-Cursors mit. (#13060)
* Standard-Tastenbefehle für das Umschalten von NVDA-Tasten für Braillezeilen von Freedom Scientific hinzugefügt (#13152)
* Das Wort "Grundlinie" wird nicht mehr über den Befehl zur Textformatierung mittels `NVDA+F` mitgeteilt. (#11815)
* Für die Aktivierung der langen Beschreibungen ist kein Standard-Tastenbefehl mehr zugewiesen. (#13380)
* Für die Zusammenfassung der Details wurde nun standardmäßig der Tastenbefehl `NVDA+D` zugewiesen. (#13380)
* NVDA muss nach der Installation des MathPlayers neu gestartet werden. (#13486)

### Fehlerbehebungen

* Im Verwaltungsbereich für die Zwischenablage sollte der Fokus nicht mehr verloren gehen, sobald einige Office-Programme geöffnet werden. (#12736)
* Auf einem System, auf dem der Benutzer die primäre Maustaste von der linken auf die rechte Maustaste umgestellt hat, ruft NVDA in Anwendungen wie Webbrowsern nicht mehr versehentlich ein Kontextmenü auf, anstatt ein Element zu aktivieren. (#12642)
* Wenn der NVDA-Cursor über das Ende von Textsteuerelementen hinaus bewegt wird, z. B. in Microsoft Word mit UIA, wird nun in mehreren Situationen "unten" korrekt mitgeteilt. (#12808)
* NVDA kann den Anwendungsnamen und die Version für Binärdateien mitteilen, die in system32 abgelegt sind, wenn sie unter der 64-Bit-Version von Windows laufen. (#12943)
* Verbesserte Konsistenz beim Lesen von Ausgaben in Terminal-Anwendungen. (#12974)
  * Beachten Sie, dass in manchen Situationen beim Einfügen oder Löschen von Zeichen in der Mitte einer Zeile die Zeichen nach dem System-Cursor wieder ausgelesen werden können.
* Microsoft Word mit UIA: Überschriften-Schnellnavigation im Blätternmodus bleibt nicht mehr an der letzten Überschrift eines Dokuments hängen, noch wird diese Überschrift in der NVDA-Elementliste doppelt angezeigt. (#9540)
* In Windows 8 und höher kann die Statusleiste des Datei-Explorers nun mit dem Standard-Tastenbefehl NVDA+Ende (Desktop) bzw. NVDA+Umschalt+Ende (Laptop) abgefragt  werden. (#12845)
* Eingehende Nachrichten im Chat von Skype for Business werden wieder mitgeteilt. (#9295)
* NVDA kann bei Verwendung des SAPI5-Synthesizers unter Windows 11 wieder Audio ausblenden. (#12913)
* Im Rechner von Windows 10 zeigt NVDA Beschriftungen für Verlaufs- und Speicherlistenelemente an. (#11858)
* Tastenbefehle und Gesten wie Scrollen und Weiterleiten funktionieren wieder mit HID-Braille-Geräten. (#13228)
* Windows 11 Mail: Nach dem Umschalten des Fokus zwischen Anwendungen beim Lesen einer langen E-Mail bleibt NVDA nicht mehr in einer Zeile der E-Mail hängen. (#13050)
* HID-Braille: Tastenkombinationen (z. B. `Leertaste+Punkt4`) können erfolgreich über die Braillezeile ausgeführt werden. (#13326)
* Ein Problem wurde behoben, bei dem mehrere Einstellungsdialoge gleichzeitig geöffnet werden konnten. (#12818)
* Es wurde ein Problem behoben, bei dem einige Braillezeilen wie Focus Blue nach dem Aufwachen des Computers aus dem Ruhezustand nicht mehr funktionierten. (#9830)
* Das Wort "Grundlinie" wird nicht mehr fälschlicherweise mitgeteilt, sobald die Option für die Mitteilung hoch- und tiefgestellter Zeichen aktiviert ist. (#11078)
* In Windows 11 verhindert NVDA nicht mehr die Navigation im Emoji-Panel, wenn Emojis ausgewählt werden. (#13104)
* Behebt einen Fehler, der bei der Verwendung von Windows-Konsole und Terminal zu Doppelmeldungen führt. (#13261)
* Mehrere Fälle wurden behoben, in denen Listenelemente in 64-Bit-Anwendungen, wie z. B. in Reaper, nicht mitgeteilt werden konnten. (#8175)
* Im Download-Manager in Microsoft Edge wechselt NVDA jetzt automatisch in den Fokus-Modus, sobald das Listenelement mit dem zuletzt getätigten Download den Fokus erhält. (#13221)
* NVDA verursacht bei 64-Bit-Versionen von Notepad++ 8.3 und neuer keinen Absturz mehr. (#13311)
* Der Adobe Reader stürzt nicht mehr beim Start ab, sobald der geschützte Modus von Adobe Reader aktiviert wird. (#11568)
* Ein Fehler wurde behoben, bei dem die Auswahl des Braillezeilen-Treibers von Papenmeier zu einem Absturz in NVDA führte. (#13348)
* In Microsoft Word mit UIA: Seitenzahlen und andere Formatierungen werden nicht mehr fälschlicherweise angezeigt, wenn man von einer leeren Tabellenzelle in eine Zelle mit Inhalt oder vom Ende des Dokuments in einen bestehenden Inhalt wechselt. (#13458, #13459)
* NVDA liest den Seitentitel vor und beginnt automatisch mit dem Lesen, wenn eine Seite in Google Chrome 100 geladen wurde. (#13571)
* NVDA stürzt nicht mehr ab, wenn die NVDA-Konfiguration auf die Standard-Einstellungen zurückgesetzt wird, während die Befehlstasten zum Vorlesen verwendet werden. (#13634)

### Änderungen für entwickler

* Hinweis: Dies ist eine Version, die die Kompatibilität der API für Erweiterungen beeinträchtigt. NVDA-Erweiterungen müssen erneut getestet werden und die Manifest-Datei muss aktualisiert werden.
* Obwohl NVDA immer noch Visual Studio 2019 benötigt, sollten Builds nicht mehr fehlschlagen, sobald eine neuere Version von Visual Studio (z. B. 2022) parallel zu 2019 installiert ist. (#13033, #13387)
* SCons wurde auf Version 4.3.0 aktualisiert. (#13033)
* Py2exe wurde auf Version 0.11.1.0 aktualisiert. (#13510)
* `NVDAObjects.UIA.winConsoleUIA.WinConsoleUIA.isImprovedTextRangeAvailable` wurde entfernt. Verwenden Sie stattdessen `apiLevel`. (#12955, #12660)
* `TVItemStruct` wurde aus `sysTreeView32` entfernt. (#12935)
* `MessageItem` wurde aus dem App-Modul für Microsoft Outlook entfernt. (#12935)
* Die Konstanten `audioDucking.AUDIODUCKINGMODE_*` sind jetzt eine `DisplayStringIntEnum`. (#12926)
  * sollte durch `AudioDuckingMode.*` ersetzt werden
  * Verwendungen von `audioDucking.audioDuckingModes` sollten durch `AudioDuckingMode.*.displayString` ersetzt werden
* Die Verwendung der Konstanten `audioDucking.ANRUS_ducking_*` sollte durch `ANRUSDucking.*` ersetzt werden. (#12926)
* Änderungen in `synthDrivers.sapi5` (#12927):
  * Die Verwendung von `SPAS_*` sollte durch `SPAudioState.*` ersetzt werden
  * Die Verwendung von `constants.SVSF*` sollte durch `SpeechVoiceSpeakFlags.*` ersetzt werden
    * Hinweis: `SVSFlagsAsync` sollte durch `SpeechVoiceSpeakFlags.Async` ersetzt werden, nicht durch `SpeechVoiceSpeakFlags.lagsAsync`
  * Die Verwendung von `constants.SVE*` sollte durch `SpeechVoiceEvents.*` ersetzt werden
* Aus dem App-Modul `soffice` wurden die folgenden Klassen und Funktionen entfernt `JAB_OOTableCell`, `JAB_OOTable`, `gridCoordStringToNumbers`. (#12849)
* `core.CallCancelled` ist jetzt `exceptions.CallCancelled`. (#12940)
* Alle Konstanten, die mit RPC beginnen, aus `core` und `logHandler` wurden in `RPCConstants.RPC` enum verschoben. (#12940)
* Es wird empfohlen, die Funktionen `mouseHandler.doPrimaryClick` und `mouseHandler.doSecondaryClick` zu verwenden, um mit einem Mausklick eine logische Aktion wie die Aktivierung (primär) oder die Anzeige des Kontextmenüs (sekundär) durchzuführen,
anstatt `executeMouseEvent` zu verwenden und speziell die linke oder rechte Maustaste anzugeben.
Dadurch wird sichergestellt, dass der Code die Windows-Benutzereinstellung für das Umschalten der primären Maustaste berücksichtigt. (#12642)
* `config.getSystemConfigPath` wurde entfernt - es gibt keinen Ersatz. (#12943)
* `shlobj.SHGetFolderPath` wurde entfernt - bitte verwenden Sie stattdessen `shlobj.SHGetKnownFolderPath`. (#12943)
* Die `shlobj`-Konstanten wurden entfernt. Ein neues Enum wurde erstellt, `shlobj.FolderId` für die Verwendung mit `SHGetKnownFolderPath`. (#12943)
* `diffHandler.get_dmp_algo` und `diffHandler.get_difflib_algo` wurden ersetzt durch `diffHandler.prefer_dmp` bzw. `diffHandler.prefer_difflib`. (#12974)
* `languageHandler.curLang` wurde entfernt - um die aktuelle NVDA Sprache zu erhalten, verwenden Sie `languageHandler.getLanguage()`. (#13082)
* Die Methode `getStatusBarText` kann in ein appModule implementiert werden, um die Art und Weise, wie NVDA den Text aus der Statusleiste holt, anzupassen. (#12845)
* `globalVars.appArgsExtra` wurde entfernt. (#13087)
  * Wenn Ihre Erweiterung zusätzliche Kommandozeilen-Argumente verarbeiten muss, lesen Sie die Dokumentation von `addonHandler.isCLIParamKnown` und das Entwicklerhandbuch für Details.
* Das UIA-Handler-Modul und andere UIA-Unterstützungsmodule sind jetzt Teil eines UIAHandler-Pakets. (#10916)
  * `UIAUtils` ist jetzt `UIAHandler.utils`
  * `UIABrowseMode` ist jetzt `UIAHandler.browseMode`
  * `_UIAConstants` ist jetzt `UIAHandler.constants`
  * `_UIACustomProps` ist jetzt `UIAHandler.customProps`
  * `_UIACustomAnnotations` ist jetzt `UIAHandler.customAnnotations`
* Die `IAccessibleHandler`-Konstanten `IA2_RELATION_*` wurden durch Enum der `IAccessibleHandler.RelationType` ersetzt. (#13096)
  * `IA2_RELATION_FLOWS_FROM` entfernt
  * `IA2_RELATION_FLOWS_TO` entfernt
  * `IA2_RELATION_CONTAINING_DOCUMENT` entfernt
* `LOCALE_SLANGUAGE`, `LOCALE_SLIST` und `LOCALE_SLANGDISPLAYNAME` wurden aus `languageHandler` entfernt. Verwenden Sie stattdessen Mitglieder von `languageHandler.LOCALE`. (#12753)
* Umstellung von Minhook auf Microsoft Detours als Hooking-Bibliothek für NVDA. Mit dieser Hooking-Bibliothek wird hauptsächlich zur Unterstützung des Anzeigemodells verwendet. (#12964)
* `winVersion.WIN10_RELEASE_NAME_TO_BUILDS` wurde entfernt. (#13211)
* SCons warnt nun davor, basierend mit einer Anzahl von Aufträgen, die der Anzahl der logischen Prozessorkerne im System entspricht.
Dies kann die Erstellungszeit bei mehreren Kernen drastisch verkürzen. (#13226, #13371)
* Die Konstanten `characterProcessing.SYMLVL_*` wurden entfernt. Bitte verwenden Sie stattdessen `characterProcessing.SymbolLevel.*`. (#13248)
* Die Funktionen `loadState` und `saveState` wurden aus addonHandler entfernt. Bitte verwenden Sie stattdessen `addonHandler.state.load` und `addonHandler.state.save`. (#13245)
* Die Interaktionsbefehle aus NVDAHelper für UWP/OneCore wurden [von C++/CX nach C++/Winrt](https://docs.microsoft.com/de-de/windows/uwp/cpp-and-winrt-apis/move-to-winrt-from-cx) verschoben. (#10662)
* Es ist nun obligatorisch, die Unterklasse `DictionaryDialog` zu benutzen. (#13268)
* `config.RUN_REGKEY`, `config.NVDA_REGKEY` sind veraltet. Bitte verwenden Sie stattdessen `config.RegistryKey.RUN`, `config.RegistryKey.NVDA`. Diese werden 2023 entfernt. (#13242)
* `easeOfAccess.ROOT_KEY`, `easeOfAccess.APP_KEY_PATH` sind veraltet. Bitte verwenden Sie stattdessen `easeOfAccess.RegistryKey.ROOT`, `easeOfAccess.RegistryKey.APP`. Diese werden 2023 entfernt. (#13242)
* `easeOfAccess.APP_KEY_NAME` ist veraltet und wird 2023 entfernt. (#13242)
* `DictionaryDialog` und `DictionaryEntryDialog` wurden von `gui.settingsDialogs` nach `gui.speechDict` verschoben. (#13294)
* IAccessible2-Beziehungen werden nun in der Entwickler-Info für IAccessible2-Objekte angezeigt. (#13315)
* `languageHandler.windowsPrimaryLCIDsToLocaleNames` wurde entfernt, verwenden Sie stattdessen `languageHandler.windowsLCIDToLocaleName` oder `winKernel.LCIDToLocaleName`. (#13342)
* Die Eigenschaft `UIAAutomationId` für UIA-Objekte sollte gegenüber `cachedAutomationId` bevorzugt werden. (#13125, #11447)
  * `cachedAutomationId` kann verwendet werden, wenn sie direkt vom Element bezogen wird.
* `NVDAObjects.window.scintilla.CharacterRangeStruct` wurde verschoben nach `NVDAObjects.window.scintilla.Scintilla.CharacterRangeStruct`. (#13364)
* `gui.isInMessageBox` (Boolean) wurde entfernt, bitte verwenden Sie stattdessen die Function `gui.message.isModalMessageBoxActive`. (#12984, #13376)
* `controlTypes` wurde in mehreren Submodulen aufgeteilt. (#12510, #13588)
  * `ROLE_*` und `STATE_*` wurden ersetzt durch `Role.*` und `State.*`.
  * Obwohl sie noch verfügbar sind, sollten die Folgenden als veraltet betrachtet werden:
    * `ROLE_*` und `STATE_*`, verwenden Sie stattdessen `Role.*` und `State.*`.
    * `roleLabels`, `stateLabels` und `negativeStateLabels`, verwenden Sie stattdessen `roleLabels[ROLE_*]` und deren Entsprechung `Role.*.displayString` oder `State.*.negativeDisplayString`.
    * `processPositiveStates` und `processNegativeStates`, verwenden Sie stattdessen `processAndLabelStates`.
* Die Konstanten für den Status einer Excel-Zelle (`NVSTATE_*`) sind nun Werte im `NvCellState`-Enum, gespiegelt im `NvCellState`-Enum in `NVDAObjects/window/excel.py` und abgebildet auf `controlTypes.State` über _nvCellStatesToStates. (#13465)
* Die Information für die Struktur `state` in `EXCEL_CELLINFO` befindet sich nun in `nvCellStates`.
* `mathPres.ensureInit` wurde entfernt, der MathPlayer wird nun beim Start von NVDA initialisiert. (#13486)

## 2021.3.5

Dies ist eine kleinere Version zur Behebung einer Sicherheitslücke.
Bitte melden Sie Sicherheitsprobleme umgehend an <info@nvaccess.org>.

### Sicherheitskorrekturen

* Behoben wurde der Sicherheitshinweis `GHSA-xc5m-v23f-pgr7`.
  * Das Dialogfeld für die Ansage von Symbolen wurde im geschützten Modus deaktiviert.

## 2021.3.4

In dieser Version wurden mehrere Sicherheitsprobleme behoben.
Bitte melden Sie Sicherheitsprobleme umgehend an <info@nvaccess.org>! Vielen Dank.

### Sicherheitskorrekturen

* Behoben wurde der Sicherheitshinweis `GHSA-354r-wr4v-cx28`. (#13488)
  * Die Möglichkeit, NVDA mit aktivierter Debug-Protokollierung zu starten, sobald NVDA im geschützten Modus läuft, wurde entfernt.
  * Die Möglichkeit, NVDA zu aktualisieren, sobald NVDA im geschützten Modus läuft, wurde entfernt.
* Behoben wurde der Sicherheitshinweis `GHSA-wg65-7r23-h6p9`. (#13489)
  * Die Möglichkeit, das Dialogfeld für Tastenbefehle im geschützten Modus zu öffnen, wurde entfernt.
  * Die Möglichkeit, die Dialogfelder für die verschiedenen Wörterbücher im geschützten Modus zu öffnen, wurde entfernt.
* Behoben wurde der Sicherheitshinweis `GHSA-mvc8-5rv9-w3hx`. (#13487)
  * Die WX-GUI für das Inspektionswerkzeug wurde im geschützten Modus deaktiviert.

## 2021.3.3

Diese Version ist identisch mit 2021.3.2.
Es gab einen Fehler in NVDA 2021.3.2, der sich fälschlicherweise als 2021.3.1 identifizierte.
Diese Version gibt sich korrekt als 2021.3.3 zu erkennen.

## 2021.3.2

Mehrere kritische Sicherheitsprobleme wurden in dieser Version behoben.
Bitte melden Sie Sicherheitsprobleme umgehend an die E-Mail-Adresse <info@nvaccess.org>! Vielen Dank.

### Fehlerbehebungen

* Sicherheitsproblem behoben: Verhindert die Objektnavigation außerhalb des Sperrbildschirms in Windows 10 und Windows 11. (#13328)
* Sicherheitsproblem behoben: Das Dialogfeld für die Verwaltung der Erweiterungen ist nun im geschützten Bereich deaktiviert. (#13059)
* Sicherheitsproblem behoben: Die Kontexthilfe in NVDA ist im geschützten Bereich nicht mehr verfügbar. (#13353)

## 2021.3.1

Diese Version behebt mehrere Probleme in 2021.3.

### Änderungen

* Das neue HID-Protokoll für Braillezeilen wird nicht mehr bevorzugt, wenn ein anderer Braillezeilen-Treiber verwendet wird. (#13153)
* Das neue HID-Protokoll für Braillezeilen kann über eine Einstellung in den erweiterten Einstellungen deaktiviert werden. (#13180)

### Fehlerbehebungen

* Landmark wird wieder auf der Braillezeile abgekürzt. #13158
* Die automatische Erkennung der Braillezeilen für Humanware Brailliant und APH Mantis Q40 in Verwendung mit Bluetooth wurde behoben. (#13153)

## 2021.3

Diese Version bietet Unterstützung für die neue HID-Braille-Spezifikation.
Diese Spezifikation vereinfacht die Unterstützung für Braillezeilen zu standardisieren, ohne dass individuelle Treiber benötigt werden.
Neue Updates für eSpeak-NG und LibLouis, einschließlich neue Braille-Tabellen für Russisch und Tshivenda.
Fehlertöne können in stabilen Builds von NVDA über eine neue Option für erweiterte Einstellungen aktiviert werden.
Alles Lesen in Microsoft Word scrollt nun durch die Ansicht, um die aktuelle Position sichtbar zu halten.
Es gibt viele Verbesserungen bei der Verwendung von UIA in Office-Anwendungen.
Ein Problem mit UIA wurde behoben, dass Outlook jetzt mehr Arten von Layouttabellen in Nachrichten ignoriert.

Wichtige Anmerkungen:

Auf Grund einer Aktualisierung unseres Sicherheitszertifikats erhalten einige Benutzer einen Fehler, wenn NVDA 2021.2 nach Updates sucht.
NVDA fordert nun Windows auf, Sicherheitszertifikate zu aktualisieren, wodurch dieser Fehler in Zukunft verhindert wird.
Betroffene Benutzer müssen dieses Update manuell herunterladen.

### Neue Features

* Fügt einen Tastenbefehl zum Umschalten der Einstellungen zum Mitteilen des Stils von Zellenrahmen hinzu. (#10408)
* Unterstützung der neuen HID-Braille-Spezifikation, die darauf abzielt, die Unterstützung für Braille-Displays zu standardisieren. (#12523)
  * Geräte, die diese Spezifikation unterstützen, werden von NVDA automatisch erkannt.
  * Technische Details zur Implementierung dieser Spezifikation durch NVDA finden Sie unter https://github.com/nvaccess/nvda/blob/master/devDocs/hidBrailleTechnicalNotes.md
* Unterstützung für VisioBraille Vario 4 Braille hinzugefügt. (#12607)
* Fehlermeldungen können bei Verwendung einer beliebigen Version von NVDA aktiviert werden (erweiterte Einstellungen). (#12672)
* In Windows 10 und neuer gibt NVDA die Anzahl der Vorschläge bei der Eingabe von Suchbegriffen in Apps wie Einstellungen und Microsoft Store an. (#7330, #12758, #12790)
* Die Tabellen-Navigation wird nun in Rastersteuerelementen unterstützt, die mit dem Out-GridView-Cmdlet in PowerShell erstellt wurden. (#12928)

### Änderungen

* Die Sprachausgabe eSpeak NG wurde auf 1.51-dev commit `74068b91bcd578bd7030a7a6cde2085114b79b44` aktualisiert. (#12665)
* NVDA verwendet standardmäßig eSpeak, wenn keine installierten OneCore-Stimmen die von NVDA bevorzugte Sprache unterstützen. (#10451)
* Wenn die Windows OneCore-Stimmen nicht verwendet werden können, wird die Sprachausgabe auf eSpeak zurückgesetzt. (#11544)
* Beim Lesen der Statusleiste mit `NVDA+Ende` wird der NVDA-Cursor nicht mehr an die Position verschoben.
Wenn Sie jedoch diese Funktionalität benötigen, weisen Sie dem entsprechenden Skript in der Kategorie "Objekt-Navigation" im Dialogfeld für die Tastenbefehle einen entsprechenden Tastenbefehl zu. (#8600)
* Beim Öffnen eines bereits geöffneten Einstellungsdialogs legt NVDA den Fokus auf den vorhandenen Dialog, anstatt einen Fehler auszulösen. (#5383)
* Der Braille-Übersetzer LibLouis wurde aktualisiert auf [3.19.0](https://github.com/liblouis/liblouis/releases/tag/v3.19.0). (#12810)
  * Neue Braille-Tabellen: Russisch Vollschrift, Tshivenda Vollschrift, Tshivenda Kurzschrift
* Anstelle von "Markierter Inhalt" oder "mrkd" wird "hervorgehoben" in Braille oder mit der Sprachausgabe mitgeteilt. (#12892)
* NVDA versucht nicht länger unter manchen Umständen das geöffnete Dialogfeld selbst zu schließen, wenn Dialogfelder auf eine erforderliche Aktion warten (z. B. bei Bestätigen bzw. Abbrechen). (#12984)

### Fehlerbehebung

* Das Verfolgen von NVDA-Tasten (wie Strg oder Einfügen) ist robuster, wenn "Watchdog" wiederhergestellt wird. (#12609)
* Es ist wieder möglich, auf bestimmten Systemen nach NVDA-Updates zu suchen; z. B. nach einer Bereinigung oder kompletten Neuinstallationen von Windows. (#12729)
* NVDA teilt leere Tabellenzellen in Microsoft Word nun korrekt mit, wenn UIA verwendet wird. (#11043)
* In ARIA-Datenrasterzellen im Web wird die Escape-Taste jetzt an das Raster weitergegeben und deaktiviert den Fokusmodus nicht mehr bedingungslos. (#12413)
* Beim Lesen einer Kopfzeile einer Tabelle in Chrome wurde korrigiert, dass der Spaltenname zweimal angesagt wird. (#10840)
* NVDA meldet keinen numerischen Wert mehr für UIA-Schieberegler, für die eine Textdarstellung ihres Wertes definiert ist. (UIA ValuePattern wird jetzt RangeValuePattern vorgezogen). (#12724)
* NVDA behandelt den Wert von UIA-Schiebereglern nicht mehr immer prozentual.
* Das Mitteilen des Standorts einer Zelle in Microsoft Excel beim Zugriff über die UIA funktioniert unter Windows 11 wieder ordnungsgemäß. (#12782)
* NVDA legt keine ungültigen Python-Gebietsschemas mehr fest. (#12753)
* Wenn eine deaktivierte Erweiterung deinstalliert und dann erneut wieder installiert wird, wird diese nun automatisch aktiviert. (#12792)
* Fehler beim Aktualisieren und Entfernen von Erweiterungen behoben, bei denen der Ordner der Erweiterung umbenannt wurde oder Dateien geöffnet wurden. (#12792, #12629)
* Bei Verwendung der UIA für den Zugriff auf Steuerelemente in Microsoft Excel-Tabellenkalkulationen gibt NVDA nicht mehr redundant an, wenn eine einzelne Zelle ausgewählt wird. (#12530)
* Weitere Dialogtexte werden in LibreOffice Writer automatisch vorgelesen, beispielsweise in Bestätigungsdialogen. (#11687)
* Das Lesen bzw. Navigieren im Lesemodus in Microsoft Word über die UIA stellt nun sicher, dass das Dokument immer gescrollt wird, so dass die aktuelle Position im Lesemodus sichtbar ist und dass die Position des System-Cursors im Fokus-Modus die Position des Lesemodus korrekt widerspiegelt. (#9611)
* Beim Ausführen von Alles Lesen in Microsoft Word über die UIA wird das Dokument nun automatisch gescrollt und die Position der Einfügemarke wird korrekt aktualisiert. (#9611)
* Wenn E-Mails in Outlook gelesen werden und NVDA mit der UIA auf die Nachricht zugreift, werden bestimmte Tabellen jetzt als Layouttabellen markiert, was bedeutet, dass sie nicht mehr standardmäßig mitgeteilt werden. (#11430)
* Ein seltener Fehler beim Wechseln von Audio-Geräten wurde behoben. (#12620)
* Eingaben in Kurzschrift sollten sich in Eingabefeldern zuverlässiger verhalten. (#12667)
* Beim Navigieren im Windows-Taskleistenkalender teilt NVDA nun den Wochentag vollständig mit. (#12757)
* Bei Verwendung einer chinesischen Eingabemethode wie Taiwan - Microsoft Quick in Microsoft Word springt das Vor- und Zurücknavigieren der Braillezeile nicht mehr fälschlicherweise immer wieder an die ursprüngliche Position der Einfügemarke zurück. (#12855)
* Beim Zugriff auf Microsoft Word-Dokumente über UIA ist die satzweise Navigation (Alt+Pfeil nach oben/unten) wieder möglich. (#9254)
* Beim Zugriff auf MS Word mit UIA wird jetzt das Einrücken von Absätzen mitgeteilt. (#12899)
* Beim Zugriff auf MS Word mit UIA werden der Befehl zur Änderungsverfolgung und einige andere lokalisierte Befehle jetzt in Word mitgeteilt. (#12904)
* Doppelte Ausgaben in Braille und der Sprachausgabe behoben, wenn "description" mit "content" oder "name" übereinstimmt. (#12888)
* Bei der Eingabe in Microsoft Word mit aktiviertem UIA teilt NVDA die Rechtschreibfehler exakter mit. (#12161)
* In Windows 11 sagt NVDA nicht mehr "Fenster", wenn Sie Alt+Tab drücken, um zwischen den Anwendungen zu wechseln. (#12648)
* Der neue Bereich der Modernen Kommentare wird nun in Microsoft Word unterstützt, wenn nicht über UIA auf das Dokument zugegriffen wird. Drücken Sie Alt+F12, um zwischen dem Panel und dem Dokument zu wechseln. (#12982)

### Änderungen für Entwickler

* Das Erstellen von NVDA erfordert jetzt Visual Studio 2019 Version 16.10.4 oder neuer.
Aktualisieren Sie Visual Studio, damit es der Produktionsumgebung des Builds entspricht, damit es mit der [aktuellen Version von AppVeyor verwendet](https://www.appveyor.com/docs/windows-images-software/#visual-studio-2019) synchronisiert bleibt. (#12728)
* `NVDAObjects.UIA.winConsoleUIA.WinConsoleUIA.isImprovedTextRangeAvailable` wurde für die Entfernung in 2022.1 eingestellt. (#12660)
  * Verwenden Sie stattdessen `apiLevel` (siehe die Kommentare zu `_UIAConstants.WinConsoleAPILevel` für Details).
* Die Transparenz der Texthintergrundfarbe, die aus GDI-Anwendungen (über das Anzeigemodell) stammt, wird nun für Erweiterungen oder App-Modulen verfügbar gemacht. (#12658)
* `LOCALE_SLANGUAGE`, `LOCALE_SLIST` und `LOCALE_SLANGDISPLAYNAME` werden in die `LOCALE`-Enumeration im languageHandler verschoben.
Sie sind weiterhin auf Modulebene verfügbar, aber veraltet und werden in NVDA 2022.1 entfernt. (#12753)
* Die Verwendung der Funktionen `addonHandler.loadState` und `addonHandler.saveState` sollte vor 2022.1 durch ihre Äquivalente `addonHandler.state.save` und `addonHandler.state.load` ersetzt werden. (#12792)
* Die Braille-Ausgabe kann nun in System-Tests überprüft werden. (#12917)

## 2021.2

Diese Version führt die vorläufige Unterstützung für Windows 11 ein.
Während Windows 11 noch veröffentlicht werden muss, wurde diese Version auf Vorab-Versionen von Windows 11 getestet.
Dies beinhaltet eine wichtige Korrektur für den Bildschirmvorhang (siehe Wichtige Hinweise).
Das Behebungs-Tool für die COM-Registrierung kann nun mehr Probleme beim Ausführen von NVDA beheben.
Außerdem gibt es Updates für die Sprachausgabe eSpeak und den Braille-Übersetzer LibLouis.
Ferner sind auch verschiedene Fehlerbehebungen und Verbesserungen, insbesondere für Braille-Unterstützung und Windows-Terminals, Rechner, Emoji-Panel und Zwischenablageverlauf mit dabei.

### Wichtige Hinweise

Auf Grund einer Änderung in der API für die Windows-Lupe musste die Funktion für den Bildschirmvorhang aktualisiert werden, um die neuesten Versionen von Windows zu unterstützen.
Verwenden Sie NVDA 2021.2, um den Bildschirmvorhang mit Windows 10 21H2 (10.0.19044) oder neuer zu aktivieren.
Dazu gehören Insider Builds für Windows 10 und Windows 11.
Wenn Sie eine neuere Windows-Version verwenden, erhalten Sie aus Sicherheitsgründen eine visuelle Bestätigung, dass der Bildschirmvorhang den Bildschirm vollständig verdunkelt.

### Neue Features

* Experimentelle Unterstützung für ARIA-Anmerkungen:
  * Fügt einen Befehl hinzu, um eine Zusammenfassung der Details eines Objekts mit "aria-details" zu lesen. (#12364)
  * Fügt eine Option in den Erweiterten Einstellungen hinzu, um zu benachrichtigen, sobald ein Objekt Details im Lesemodus enthält. (#12439)
* In Windows 10 Version 1909 und neuer (einschließlich Windows 11) gibt NVDA die Anzahl der Vorschläge an, wenn Suchvorgänge im Datei-Explorer durchgeführt werden. (#10341, #12628)
* In Microsoft Word teilt NVDA nun bei der Ausführung das Ergebnis von Einrückungen und hängenden Absätzen mit. (#6269)

### Änderungen

* Aktualisiert wurde eSpeak-NG auf 1.51-dev commit `ab11439b18238b7a08b965d1d5a6ef31cbb05cbb`. (#12449, #12202, #12280, #12568)
* Wenn Artikel in den Benutzereinstellungen für die Dokument-Formatierung aktiviert ist, teilt NVDA "Artikel" nach dem Inhalt mit. (#11103)
* Der Braille-Übersetzer LibLouis wurde auf [3.18.0](https://github.com/liblouis/liblouis/releases/tag/v3.18.0) aktualisiert. (#12526)
  * Neue Braille-Tabellen: Bulgarische Vollschrift, Burmesische Vollschrift, Burmesische Kurzschrift, Kasachische Vollschrift, Vollschrift für Khmer, Nordkurdische Basisschrift, Voll- und Kurzschrift für Sepedi, Voll- und Kurzschrift für Sesotho, Voll- und Kurzschrift für Setswana, Vollschrift für Tatar, Vietnamesische Basisschrift, Vietnamesische Kurzschrift, Südvietnamesische Vollschrift, Voll- und Kurzschrift für Xhosa, Vollschrift für Yakut, Voll und Kurzschrift fürZulu
* Der Eintrag "Windows 10-Texterkennung" in den NVDA-Einstellungen wurde in "Windows-Texterkennung" umbenannt. (#12690)

### Fehlerbehebung

* In Windows 10 Rechner teilt NVDA Rechenausdrücke auf der Braillezeile mit. (#12268)
* In Terminal-Anwendungen unter Windows 10 ab Version 1607 werden beim Einfügen oder Löschen von Zeichen in der Mitte einer Zeile die Zeichen rechts neben der Einfügemarke nicht mehr vorgelesen. (#3200)
  * Diff Match Patch jetzt standardmäßig aktiviert. (#12485)
* Die Braille-Eingabe funktioniert einwandfrei mit den folgenden Kurzschrift-Tabellen: Arabisch, Spanisch, Urdu, Chinesisch (China, Mandarin). (#12541)
* Das Tool zur Behebung für die COM-Registrierung behebt jetzt mehr Probleme, insbesondere unter 64-Bit-Windows. (#12560)
* Verbesserungen bei der Tastenbedienung für das Braillegerät Seika Notetaker von Nippon Telesoft. (#12598)
* Verbesserungen bei der Ankündigung des Windows-Emoji-Bedienfelds und des Zwischenablageverlaufs. (#11485)
* Die Zeichen-Beschreibungen des bengalischen Alphabets wurden aktualisiert. (#12502)
* NVDA wird sicher beendet, wenn ein neuer Prozess gestartet wird. (#12605)
* Die erneute Auswahl des Braillezeilen-Treibers von HandyTech aus dem Dialogfeld der Braillezeilen auswählen führt nicht mehr zu Fehlern. (#12618)
* Windows Version 10.0.22000 oder höher wird als Windows 11 erkannt, nicht als Windows 10. (#12626)
* Die Unterstützung für den Bildschirmvorhang wurde behoben und für Windows-Versionen bis 10.0.22000 getestet. (#12684)
* Wenn beim Filtern von Tastenbefehle keine Ergebnisse angezeigt werden, funktioniert das Dialogfeld für diese Konfiguration für die Tastenbefehle weiterhin wie erwartet. (#12673)
* Es wurde ein Fehler behoben, bei dem der erste Menü-Eintrag eines Untermenüs in einigen Kontexten nicht vorgelesen wurde. (#12624)

### Änderungen für Entwickler

* `characterProcessing.SYMLVL_*`-Konstanten sollten vor 2022.1 durch deren Äquivalent `SymbolLevel.*` ersetzt werden. (#11856, #12636)
* `controlTypes` wurde in verschiedene Submodule aufgeteilt, als veraltet markierte Symbole müssen vor 2022.1 ersetzt werden. (#12510)
  * Die Konstanten `ROLE_*` und `STATE_*` sollten durch entsprechende `Role.*` und `State.*` ersetzt werden.
  * `roleLabels`, `stateLabels` und `negativeStateLabels` sind veraltet, Verwendungen wie `roleLabels[ROLE_*]` sollten entsprechenden durch `Role.*.displayString` ersetzt werden oder `State.*.negativeDisplayString`.
  * `processPositiveStates` und `processNegativeStates` sind zum Entfernen veraltet.
* Unter Windows 10 Version 1511 und neuer (einschließlich Insider-Builds) wird der aktuelle Versionsname des Windows-Feature-Updates aus der Windows-Registrierung abgerufen. (#12509)
* Veraltet: `winVersion.WIN10_RELEASE_NAME_TO_BUILDS` wird in 2022.1 entfernt, es gibt keinen direkten Ersatz. (#12544)

## 2021.1

Diese Version enthält optionale experimentelle Unterstützung für UIA in Microsoft Excel und Chromium-basierte Browser.
Viele Korrekturen für mehrere Sprachen und für den Zugriff auf Links in Braille-Schrift wurden durchgeführt.
Daneben gibt es auch Updates für Unicode CLDR und mathematische Symbole, die Sprachausgabe eSpeak-NG und den braille-Übersetzer LibLouis.
Sowie viele Fehlerbehebungen und Verbesserungen, einschließlich in Office, Visual Studio und mehreren Sprachen.

Hinweis:

 * Für diese Version muss die Kompatibilität aller Erweiterungen überprüft und ggf. angepasst werden.
 * In dieser Version wurde auch die Unterstützung für Adobe Flash endgültig eingestellt.

### Neue Features

* Frühe Unterstützung für UIA mit Chromium-basierte Browser (wie Microsoft Edge). (#12025)
* Optionale experimentelle Unterstützung für Microsoft Excel über UIA. Nur empfohlen für Microsoft Excel Build 16.0.13522.10000 oder neuer. (#12210)
* Vereinfachtere Navigation der Ausgabe in der NVDA-Python-Konsole. (#9784)
  * Mit Alt+Pfeiltasten nach oben/unten springt man zum vorherigen/nächsten Ausgabe-Ergebnis (zum Auswählen Umschalt-Taste zusätzlich drücken).
  * Mit Strg+L wird das Ausgabefenster geleert.
* NVDA sagt nun die Kategorien an, die einem Termin in Microsoft Outlook zugeordnet sind, sofern vorhanden. (#11598)
* Unterstützung für die Braillezeile Seika Notetaker von Nippon Telesoft. (#11514)

### Änderungen

* Im Lesemodus können Steuerelemente nun mit Braille-Cursor-Routing auf ihrem Deskriptor (z. B. "lnk" für einen Link) aktiviert werden. Dies ist besonders nützlich, um z. B. Kontrollkästchen ohne Beschriftung zu aktivieren. (#7447)
* NVDA verhindert jetzt, dass der Benutzer die Windows 10-Texterkennung ausführt, wenn der Bildschirmvorhang aktiviert ist. (#11911)
* Das Unicode Common Locale Data Repository (CLDR) wurde auf 39.0 aktualisiert. (#11943, #12314)
* Weitere mathematische Symbole zum Symbolwörterbuch hinzugefügt. (#11467)
* Das Benutzerhandbuch, Was ist neu und die Auflistung der Kurzübersicht der Befehle haben jetzt ein aktualisiertes Aussehen. (#12027)
* Die Meldung "Nicht unterstützt" wird jetzt gemeldet, wenn versucht wird, das Bildschirmlayout in Anwendungen umzuschalten, die dies nicht unterstützen, wie z. B. in Microsoft Word. (#7297)
* Die Option "Versuch, die Sprachausgabe bei abgelaufenen Fokus-Ereignissen abzubrechen" in der Kategorie "Erweiterte Einstellungen" nun standardmäßig aktiviert. (#10885)
  * Dieses Verhalten kann deaktiviert werden, indem diese Option auf "Nein" gesetzt wird.
  * In Web-Anwendungen, wie z. B. Gmail, werden nicht mehr veraltete Informationen mitgeteilt, wenn der Fokus schnell verschoben wird.
* Der Braille-Übersetzer LibLouis wurde auf [3.17.0](https://github.com/liblouis/liblouis/releases/tag/v3.17.0) aktualisiert. (#12137)
  * Neue Braille-Tabellen: Belarussisches Literaturbraille, Belarussisches Computer-Braille sowie Voll- und Kurzschrift in Urdu (Indien und Pakistan).
* Die Unterstützung für Adobe Flash wurde aus NVDA vollständig entfernt, da Adobe die Entwicklung eingestellt hat und damit der Support auch bereits Ende 2020 auslief. (#11131)
* NVDA beendet sich auch bei noch geöffneten Fenstern, der Beendigungsvorgang schließt nun alle NVDA-Fenster und -Dialoge. (#1740)
* Der Sprachausgaben-Betrachter kann nun mit `Alt+F4` geschlossen werden und hat einen Schließen-Schalter für eine einfachere Interaktion mit Benutzern von Zeigegeräten. (#12330)
* Der Braille-Betrachter verfügt nun standardmäßig über einen Schließen-Schalter, um die Interaktion mit Benutzern von Zeigegeräten zu erleichtern. (#12328)
* Im Dialog "Elementliste" wurde in einigen Sprachumgebungen die Beschleunigungstaste auf der Schaltfläche "Aktivieren" entfernt, um Konflikte mit der Beschriftung eines Optionsfeldes für den Elementtyp zu vermeiden. Sofern vorhanden, ist die Schaltfläche immer noch der Standard des Dialogs und kann als solcher weiterhin durch einfaches Drücken der Eingabetaste in der Elementliste selbst aufgerufen werden. (#6167)

### Fehlerbehebungen

* Die Liste der Nachrichten in Microsoft Outlook 2010 ist wieder auslesbar. (#12241)
* In Terminalprogrammen unter Windows 10 ab Version 1607 werden beim Einfügen oder Löschen von Zeichen in der Mitte einer Zeile die Zeichen rechts vom Cursor nicht mehr mit vorgelesen. (#3200)
  * Diese experimentelle Korrektur kann manuell in den erweiterten Einstellungen von NVDA aktiviert werden, indem der Diff-Algorithmus auf "Diff-Match-Patch zulassen" geändert wird.
* In Microsoft Outlook sollte die unangemessene Abstandsmeldung beim Verwenden von Umschalt+Tab vom Nachrichtentext zum Betreff-Feld nicht mehr vorkommen. (#10254)
* In der Python-Konsole wird nun das Einfügen eines Tabulators zur Einrückung am Anfang einer nicht leeren Eingabezeile und das Ausführen der Tabulator-Vervollständigung in der Mitte einer Eingabezeile unterstützt. (#11532)
* Formatierungsinformationen und andere blätterbare Meldungen zeigen keine unerwarteten Leerzeilen mehr an, wenn das Bildschirmlayout ausgeschaltet ist. (#12004)
* Es ist jetzt möglich, Kommentare in Microsoft Word mit aktivierter UIA zu auszulesen. (#9285)
* Die Leistung bei der Interaktion mit Visual Studio wurde verbessert. (#12171)
* Behebung von Grafikfehlern wie fehlende Elemente bei Verwendung von NVDA mit einem Layout von Rechts nach Links. (#8859)
* Die Richtung des GUI-Layouts wird nun basierend auf der NVDA-Sprache und nicht auf dem Systemgebietsschema berücksichtigt. (#638)
  * Ein bekanntes Problem für Sprachen, die von Rechts nach Links verlaufen: der rechte Rand von Gruppierungen klammert mit Beschriftungen/Steuerungen. (#12181)
* Die Landessprache für Python wird konsistent auf die in den Voreinstellungen gewählte Sprache eingestellt und tritt bei Verwendung der Standardsprache auf. (#12214)
* TextInfo.getTextInChunks friert nicht mehr ein, wenn es auf Rich-Edit-Steuerelementen wie dem NVDA Log Viewer aufgerufen wird. (#11613)
* Es ist wieder möglich, NVDA in Sprachen zu verwenden, die Unterstriche im Gebietsschemennamen enthalten, wie z. B. de_CH unter Windows 10 Version 1803 und 1809. (#12250)
* In WordPad funktioniert die Konfiguration der Hochstellung/Tiefstellung wie erwartet. (#12262)
* NVDA zeigt den neu fokussierten Inhalt auf einer Webseite nicht mehr an, wenn der alte Fokus verschwindet und durch den neuen Fokus an der gleichen Position ersetzt wird. (#12147)
* Durchgestrichene, hoch- und tiefgestellte Formatierungen für die komplette Zelle in Microsoft Excel werden nun gemeldet, wenn die entsprechende Option aktiviert ist. (#12264)
* Das Kopieren der Konfiguration während der Installation aus einer portablen Kopie wurde korrigiert, wenn das Standard-Zielverzeichnis für die Konfiguration leer ist. (#12071, #12205)
* Fehlerhafte Ansage einiger Buchstaben mit Akzenten oder diakritischen Zeichen behoben, wenn die Option 'Großbuchstaben vor Großbuchstaben sagen' aktiviert ist. (#11948)
* Fehler bei der Tonhöhenänderung in Sprachausgaben für SAPI4 behoben. (#12311)
* Das NVDA-Installationsprogramm beachtet nun auch den `--minimal` Kommandozeilen-Parameter und spielt keinen Start-Sound ab. Es folgt damit dem gleichen dokumentierten Verhalten wie eine installierte oder portable Kopie des NVDA-Programms. (#12289)
* In Microsoft Word oder Microsoft Outlook kann die Tabellenschnellnavigationstaste jetzt zur Layouttabelle springen, wenn die Option "Layout-Tabellen einbeziehen" in den Einstellungen des Lesemodus aktiviert ist. (#11899)
* NVDA sagt nicht mehr "↑↑↑" bei manchen Emojis in bestimmten Sprachen. (#11963)
* Die Sprachausgabe eSpeak unterstützt nun wieder Kantonesisch und Mandarin. (#10418)
* Im neuen Chromium-basierten Microsoft Edge werden Textfelder wie die Adressleiste nun angesagt, wenn sie leer sind. (#12474)
* Der Treiber für die Seika-Braillezeilen funktioniert nun wieder. (#10787)

### Änderungen für Entwickler

* Hinweis: Dies ist eine Version, die die Kompatibilität der API für Erweiterungen inkompatibel macht. Daher sollten Erweiterungen erneut getestet und deren Manifest-Dateien aktualisiert werden.
* Das Build-System von NVDA holt jetzt alle Python-Abhängigkeiten mit pip und speichert sie in einer virtuellen Python-Umgebung. Dies geschieht alles transparent.
  * Um NVDA zu kompilieren, sollte SCons weiterhin auf die übliche Weise verwendet werden, z. B. Ausführen von "scons.bat" im Stammverzeichnis des Repositorys. Die Ausführung von `py -m SCons` wird nicht mehr unterstützt. Die Datei `scons.py` wurde ebenfalls entfernt.
  * Um NVDA aus dem Quellcode zu starten, sollte der Entwickler nun `runnvda.bat` im Wurzelverzeichnis des Repositorys verwenden, anstatt `source/nvda.pyw` direkt auszuführen. Wenn Sie versuchen, `source/nvda.pyw` auszuführen, werden Sie in einem Meldungsfenster darauf hingewiesen, dass dies nicht mehr unterstützt wird.
  * Um Unit-Tests durchzuführen, führen Sie `rununittests.bat [<extra unittest discover options>]` aus.
  * Um Systemtests durchzuführen: führen Sie `runsystemtests.bat [<extra robot options>]` aus.
  * Um Linting auszuführen, führen Sie `runlint.bat <Basiszweig>` aus.
  * Weitere Details entnehmen Sie bitte der englischsprachigen Datei "readme.md".
* Die folgenden Python-Abhängigkeiten wurden ebenfalls aktualisiert:
  * comtypes wurde auf 1.1.8 aktualisiert.
  * pySerial wurde auf 3.5 aktualisiert.
  * wxPython wurde auf 4.1.1 aktualisiert.
  * Py2exe wurde auf 0.10.1.0 aktualisiert.
* Die Funktion `LiveText._getTextLines` wurde entfernt. (#11639)
  * Überschreiben Sie stattdessen `_getText`, welches eine Zeichenkette mit dem gesamten Text des Objekts zurückgibt.
* Die Objekte von `LiveText` können nun Diffs nach Zeichen berechnen. (#11639)
  * Um das Diff-Verhalten für ein bestimmtes Objekt zu ändern, überschreiben Sie die Eigenschaft `diffAlgo` (siehe den Docstring für Details).
* Bei der Definition eines Skripts mit dem Skript-Dekorator kann das boolesche Argument "allowInSleepMode" angegeben werden, um zu signalisieren, ob ein Skript im Schlafmodus verfügbar ist oder nicht. (#11979)
* Die folgenden Funktionen wurden aus dem Konfigurationsmodul entfernt. (#11935)
  * "canStartOnSecureScreens" - verwenden Sie stattdessen "config.isInstalledCopy".
  * "hasUiAccess" und "execElevated" - verwenden Sie diese aus dem systemUtils-Modul.
  * "getConfigDirs" - verwenden Sie stattdessen "globalVars.appArgs.configPath".
* Die Konstanten aus "REASON_*" auf Modulebene wurden aus "controlTypes" entfernt - bitte verwenden Sie stattdessen "controlTypes.OutputReason". (#11969)
* Die Konstante "REASON_QUICKNAV" wurde aus browseMode entfernt - verwenden Sie stattdessen "controlTypes.OutputReason.QUICKNAV". (#11969)
* Die Eigenschaft `isCurrent` von `NVDAObject` (und Derivaten) liefert nun strikt die Enum-Klasse `controlTypes.IsCurrent` zurück. (#11782)
  * `isCurrent` ist nicht länger mehr optional und gibt daher keinen Wert zurück.
    * Wenn ein Objekt nicht aktuell ist, wird `controlTypes.IsCurrent.NO` zurückgegeben.
* Das Mapping `controlTypes.isCurrentLabels` wurde entfernt. (#11782)
  * Verwenden Sie stattdessen die Eigenschaft `displayString` für einen Enum-Wert `controlTypes.IsCurrent`.
    * Zum Beispiel: `controlTypes.IsCurrent.YES.displayString`.
* `winKernel.GetTimeFormat` wurde entfernt - verwenden Sie stattdessen `winKernel.GetTimeFormatEx`. (#12139)
* `winKernel.GetDateFormat` wurde entfernt - verwenden Sie stattdessen `winKernel.GetDateFormatEx`. (#12139)
* `gui.DriverSettingsMixin` wurde entfernt - verwenden Sie `gui.AutoSettingsMixin`. (#12144)
* `speech.getSpeechForSpelling` wurde entfernt - verwenden Sie `speech.getSpellingSpeech`. (#12145)
* Befehle können nicht direkt aus "speech" als `import speech; speech.ExampleCommand()` oder `import speech.manager; speech.manager.ExampleCommand()` importiert werden - verwenden Sie stattdessen `from speech.commands import ExampleCommand`. (#12126)
* `speakTextInfo` schleift die Sprachausgabe nicht mehr durch `speakWithoutPauses`, wenn der Grund `SAYALL` ist, da `SayAllHandler` dies nun manuell macht. (#12150)
* Das Modul `SynthDriverHandler` wird nicht mehr in `globalCommands` und `gui.settingsDialogs` importiert - verwenden Sie stattdessen `from synthDriverHandler import synthFunctionExample`. (#12172)
* `ROLE_EQUATION` wurde aus "controlTypes" entfernt - verwenden Sie stattdessen `ROLE_MATH`. (#12164)
* Die Klassen `autoSettingsUtils.driverSetting` wurden aus dem `driverHandler` entfernt - bitte verwenden Sie diese aus `autoSettingsUtils.driverSetting`. (#12168)
* Die Klassen `autoSettingsUtils.utils` wurden aus `driverHandler` entfernt - bitte verwenden Sie diese aus `autoSettingsUtils.utils`. (#12168)
* Die Unterstützung von `TextInfo`, die nicht von `contentRecog.BaseContentRecogTextInfo` erben, wurde entfernt. (#12157)
* `speech.speakWithoutPauses` wurde entfernt - bitte verwenden Sie stattdessen `speech.speechWithoutPauses.SpeechWithoutPauses(speakFunc=speech.speak).speakWithoutPauses`. (#12195, #12251)
* `speech.re_last_pause` wurde entfernt - bitte verwenden Sie stattdessen `speech.speechWithoutPauses.SpeechWithoutPauses.re_last_pause`. (#12195, #12251)
* `WelcomeDialog`, `LauncherDialog` und `AskAllowUsageStatsDialog` wurden nach `gui.startupDialogs` verschoben. (#12105)
* `getDocFilePath` wurde von `gui` in das Modul `documentationUtils` verschoben. (#12105)
* Das Modul "gui.accPropServer" sowie die Klassen "AccPropertyOverride" und "ListCtrlAccPropServer" aus dem Modul "gui.nvdaControls" wurden zugunsten der nativen WX-Unterstützung für das Überschreiben von eigenschaften der Barrierefreiheit entfernt. Wenn Sie die Barrierefreiheit von WX-Steuerelementen verbessern, implementieren Sie stattdessen "wx.Accessible". (#12215)
* Dateien in `source/comInterfaces/` sind nun leichter von Entwicklerwerkzeugen wie IDEs verwendbar. (#12201)
* Dem winVersion-Modul wurden komfortablere Methoden und -Typen hinzugefügt, um Windows-Versionen zu erhalten und besser zu vergleichen. (#11909)
  * Die Funktion "isWin10" wurde aus dem Modul "winVersion" entfernt.
  * Die Klasse "winVersion.WinVersion" ist ein vergleichbarer und bestellbarer Typ, der Windows-Versionsinformationen kapselt.
  * Die Funktion "winVersion.getWinVer" wurde hinzugefügt, um "winVersion.WinVersion" zu erhalten, die das aktuelle Betriebssystem zurückgibt.
  * Komfortablere Konstanten für bekannte Windows-Versionen hinzugefügt, siehe winVersion.WIN*-Konstanten.
* IAccessibleHandler importiert nicht mehr alles von IAccessible und IA2 COM Schnittstellen - bitte verwenden Sie diese direkt. (#12232)
* TextInfo-Objekte haben jetzt Start- und Endeigenschaften, die mit Operatoren wie < <= == != >= > mathematisch verglichen werden können. (#11613)
  * Z. B. ti1.start <= ti2.end
  * Diese Verwendung wird nun anstelle von ti1.compareEndPoints(ti2, "startToEnd") <= 0 bevorzugt
* TextInfo-Start- und -Ende-Eigenschaften können auch zueinander gesetzt werden. (#11613)
  * Z. B. ti1.start = ti2.end
  * Diese Verwendung wird anstelle von ti1.SetEndPoint(ti2, "startToEnd") bevorzugt
* `wx.CENTRE_ON_SCREEN` und `wx.CENTER_ON_SCREEN` wurden entfernt, verwenden Sie stattdessen `self.CentreOnScreen()`. (#12309)
* `easeOfAccess.isSupported` wurde entfernt, NVDA unterstützt nur noch Versionen von Windows, bei denen dies als `True` ausgewertet wird. (#12222)
* `sayAllHandler` wurde nach `speech.sayAll` verschoben. (#12251)
  * `speech.sayAll.SayAllHandler` stellt die Funktionen `stop`, `isRunning`, `readObjects`, `readText`, `lastSayAllMode` zur Verfügung.
  * `SayAllHandler.stop` setzt auch die `SayAllHandler`-Instanz `SpeechWithoutPauses` zurück.
  * `CURSOR_REVIEW` und `CURSOR_CARET` wurde durch `CURSOR.REVIEW` und `CURSOR.CARET` ersetzt.
* `speech.SpeechWithoutPauses` wurde nach `speech.speechWithoutPauses.SpeechWithoutPauses` verschoben. (#12251)
* `speech.curWordChars` wurde umbenannt in `speech._curWordChars`. (#12395)
* Die folgenden Werte wurden aus `speech` entfernt und können über `speech.getState()` abgerufen werden. Diese sind nun schreibgeschützte Werte. (#12395)
  * speechMode
  * speechMode_beeps_ms
  * beenCanceled
  * isPaused
* Um `speech.speechMode` zu aktualisieren, verwenden Sie `speech.setSpeechMode`. (#12395)
* Die folgenden Funktionen wurden nach `speech.SpeechMode` verschoben. (#12395)
  * Aus `speech.speechMode_off` wurde `speech.SpeechMode.off`
  * Aus `speech.speechMode_beeps` wurde `speech.SpeechMode.beeps`
  * Aus `speech.speechMode_talk` wurde `speech.SpeechMode.talk`
* `IAccessibleHandler.IAccessibleObjectIdentifierType` ist jetzt `IAccessibleHandler.types.IAccessibleObjectIdentifierType`. (#12367)
* Folgendes in `NVDAObjects.UIA.WinConsoleUIA` wurde geändert (#12094)
  * `NVDAObjects.UIA.winConsoleUIA.is21H1Plus` wurde umbenannt in `NVDAObjects.UIA.winConsoleUIA.isImprovedTextRangeAvailable`.
  * `NVDAObjects.UIA.winConsoleUIA.consoleUIATextInfo` umbenannt, um den Klassennamen mit Großbuchstaben zu beginnen.
  * `NVDAObjects.UIA.winConsoleUIA.consoleUIATextInfoPre21H1` umbenannt in `NVDAObjects.UIA.winConsoleUIA.ConsoleUIATextInfoWorkaroundEndInclusive`
    * Die Implementierung arbeitet einschließlich mit den beiden Endpunkten (in Textbereichen) vor [Microsoft/Terminal PR 4018](https://github.com/microsoft/terminal/pull/4018).
    * Workarounds für `expand`, `collapse`, `compareEndPoints`, `setEndPoint`, etc

## 2020.4

Diese Version enthält neue chinesische Eingabemethoden, ein Update für den Braille-Übersetzer LibLouis und die Elementliste (NVDA+F7) funktioniert jetzt im Fokusmodus.
Die kontextbezogene Hilfe ist jetzt in NVDA-Dialogfeldern mit der Taste F1 erreichbar.
Verbesserungen der Regeln für die Aussprache von Symbolen, des Sprachwörterbuchs, der Braille-Nachricht und des Überfliegens.
Fehlerbehebungen und Verbesserungen für Mail, Outlook, Teams, Visual Studio, Azure Data Studio und Foobar2000.
Im Web gibt es Verbesserungen an Google Text & Tabellen und eine bessere Unterstützung für ARIA.
Diverse weitere Fehlerbehebungen und Verbesserungen.

### Neue Features

* Durch Drücken von F1 in NVDA-Dialogfeldern wird nun die Hilfedatei für den relevantesten Abschnitt geöffnet. (#7757)
* Unterstützung für Vorschläge zur automatischen Vervollständigung (IntelliSense) in Microsoft SQL Server Management Studio sowie Visual Studio 2017 und neuer. (#7504)
* Aussprache von Symbolen: Unterstützung für die Gruppierung in einer komplexen Symboldefinition und Unterstützung von Gruppenreferenzen in einer Ersetzungsregel, um sie einfacher und leistungsfähiger zu machen. (#11107)
* Anwender werden jetzt benachrichtigt, wenn sie versuchen, Sprachwörterbucheinträge mit ungültigen Ersetzungen für reguläre Ausdrücke zu erstellen. (#11407)
  * Speziell Gruppierungsfehler werden jetzt erkannt.
* Unterstützung für die neuen chinesischen traditionellen Schnell- und Pinyin-Eingabemethoden in Windows 10 hinzugefügt. (#11562)
* Registerkartenüberschriften werden jetzt als Formularfelder mit der Schnellnavigationstaste "f" betrachtet. (#10432)
* Es wurde ein Befehl zum Umschalten der Berichterstellung für markierten (hervorgehobenen) Text hinzugefügt. Es gibt keinen standardmäßig zugeordneten Tastenbefehl. (#11807)
* Der Befehlszeilenparameter "--copy-portable-config" wurde hinzugefügt, mit dem Sie die bereitgestellte Konfiguration automatisch in das Benutzerkonto kopieren können, wenn Sie NVDA unbeaufsichtigt installieren. (#9676)
* Das Braille-Routing wird jetzt mit dem Braille-Betrachter für Maus-Anwender unterstützt. Bewegen Sie den Mauszeiger, um zu einer Braille-Zelle zu springen. (#11804)
* NVDA erkennt die braillezeilen Humanware Brailliant BI 40X und 20X nun automatisch über USB und Bluetooth. (#11819)

### Änderungen

* Der Braille-Übersetzer LibLouis wurde auf Version 3.16.1 aktualisiert:
 * Mehrere Abstürze behoben
 * Braille-Tabelle für Baschkirische Vollschrift hinzugefügt
 * Koptische Tabelle für 8-Punkt-Computer-Braille hinzugefügt
 * Braille-Tabelle für Kurzschrift (Afrikaans) hinzugefügt
 * Russische literarische Braille- und russische literarische Braille-Tabellen (detailliert) hinzugefügt
 * Die russische Braille-Tabelle für Vollschrift wurde entfernt
* Wenn Sie im Suchmodus mit "Alles Lesen" sich vorlesen lassen, werden die Befehle "Weiter suchen" und "Vorherige suchen" nicht mehr beendet, wenn die Option "Überfliegen des Lesens zulassen" aktiviert ist. Sagen wir, alle werden eher nach dem nächsten oder vorherigen gefundenen Begriff fortgesetzt. (#11563)
* Für HIMS-Braillezeilen wurde für F3 Leerzeichen+Punkte 148 neu zugeordnet. (#11710)
* Verbesserungen an der Benutzeroberfläche der Optionen "Zeitlimit für Braille-Meldungen" und "Nachrichten auf unbestimmte Zeit anzeigen". (#11602)
* In Web-Browsern und anderen Anwendungen, die den Suchmodus unterstützen, kann das Dialogfeld "Elementliste" (NVDA+F7) jetzt im Fokusmodus aufgerufen werden. (#10453)
* Aktualisierungen von ARIA-Live-Regionen werden jetzt unterdrückt, wenn die Berichterstellung für dynamische Inhaltsänderungen deaktiviert ist. (#9077)
* NVDA meldet jetzt "In die Zwischenablage kopiert" vor dem kopierten Text. (#6757)
* Die Darstellung der grafischen Ansichtstabelle in der Datenträgerverwaltung wurde verbessert. (#10048)
* Beschriftungen für Steuerelemente sind jetzt deaktiviert (ausgegraut), wenn das Steuerelement deaktiviert ist. (#11809)
* Die CLDR-Emoji-Annotation wurde auf Version 38 aktualisiert. (#11817)
* Die integrierte Funktion "Fokus-Highlight" wurde in "Visuell hervorheben" umbenannt. (#11700)

### Fehlerbehebungen

* NVDA arbeitet wieder korrekt mit Eingabefeldern, wenn die Anwendung Fast Log Entry verwendet wird. (#8996)
* Die abgelaufene Zeit wird in Foobar2000 angesagt, sofern keine Gesamtzeit zur Verfügung steht (z. B. beim Abspielen eines Livestreams). (#11337)
* NVDA berücksichtigt jetzt das Attribut "aria-roledescription" für Elemente in bearbeitbaren Inhalten auf Webseiten.
* "Liste" wird nicht mehr in jeder Zeile einer Liste in Google Text und Tabellen oder anderen bearbeitbaren Inhalten in Google Chrome mitgeteilt. (#7562)
* Wenn Sie in bearbeitbaren Inhalten im Web nach Zeichen oder Wörtern von einem Listenelement zu einem anderen mit den Pfeiltasten gehen, wird jetzt die Eingabe des neuen Listenelements mitgeteilt. (#11569)
* NVDA liest jetzt die richtige Zeile vor, wenn der System-Cursor am Ende eines Links am Ende eines Listenelements in Google Text und Tabellen oder anderen bearbeitbaren Inhalten im Web platziert wird. (#11606)
* Unter Windows 7 setzt das Öffnen und Schließen des Startmenüs vom Desktop aus den Fokus korrekt. (#10567)
* Wenn "Versuch, abgelaufene Fokus-Ereignisse abzubrechen" aktiviert ist, wird der Titel der Registerkarte jetzt beim Wechseln der Registerkarten in Firefox erneut angekündigt. (#11397)
* NVDA meldet kein Listenelement mehr zurück, nachdem ein Zeichen in eine Liste eingegeben wurde, wenn die Ivona-Stimmen (SAPI5) verwendet werden. (#11651)
* Es ist wieder möglich, den Suchmodus beim Lesen von E-Mails in Windows 10 Mail 16005.13110 und neuer zu verwenden. (#11439)
* Bei Verwendung der Ivona-Stimmen (SAPI5) von harposoftware.com kann NVDA jetzt die Konfiguration speichern, die Sprachausgabe wechseln und nach dem Neustart nicht mehr stumm bleiben. (#11650)
* Es ist jetzt möglich, Nummer 6 in Computer-Braille über eine Braille-Tastatur auf HIMS-Braillezeilen einzugeben. (#11710)
* Wesentliche Leistungsverbesserungen in Azure Data Studio. (#11533, #11715)
* Wenn "Versuch, die Sprachausgabe für abgelaufene Fokus-Ereignisse abzubrechen" aktiviert ist, wird der Titel des NVDA-Suchdialogs erneut mitgeteilt. (#11632)
* NVDA sollte beim Aufwecken des Computers nicht mehr einfrieren, wenn der Fokus in einem Microsoft Edge-Dokument landet. (#11576)
* Nach dem Schließen eines Kontextmenüs in Microsoft Edge muss nicht mehr die Tabulatortaste gedrückt oder der Fokus verschoben werden, damit der Suchmodus wieder funktioniert. (#11202)
* NVDA kann Elemente in Listenansichten in einer 64-Bit-Anwendung wie Tortoise SVN nicht mehr lesen. (#8175)
* ARIA-Treegrids werden jetzt sowohl in Firefox als auch in Chrome als normale Tabellen im Suchmodus angezeigt. (#9715)
* Eine umgekehrte Suche kann jetzt mit der Rückwärtssuche über NVDA+Umschalt+F3 erfolgen. (#11770)
* Ein NVDA-Skript wird nicht mehr als wiederholt behandelt, wenn zwischen den beiden Ausführungen des Skripts ein nicht zusammenhängender Tastendruck erfolgt. (#11388)
* Strong- und Emphasis-Tags im Internet Explorer können wieder unterdrückt werden, indem man die Report Emphasis in den NVDA-Einstellungen unter "Dokument-Formatierung" ausschaltet. (#11808)
* Ein Einfrieren von mehreren Sekunden, das bei einer kleinen Anzahl von Benutzern beim Navigieren mit den Pfeiltasten zwischen Zellen in Microsoft Excel auftritt, sollte nicht mehr auftreten. (#11818)
* In Microsoft Teams-Builds mit Versionsnummern wie 1.3.00.28xxx schlägt NVDA das Lesen von Nachrichten in Chats oder Team-Channels auf Grund eines falsch fokussierten Menüs nicht mehr fehl. (#11821)
* Text, der in Google Chrome gleichzeitig als Rechtschreib- und Grammatikfehler markiert ist, wird von NVDA entsprechend als Rechtschreib- und Grammatikfehler mitgeteilt. (#11787)
* Bei Verwendung von Microsoft Outlook (französisches Gebietsschema) funktioniert die Verknüpfung für "Allen antworten" (Strg+Umschalt+R) wieder. (#11196)
* In Visual Studio werden IntelliSense-Tooltipps, die zusätzliche Details zum aktuell ausgewählten IntelliSense-Element enthalten, nur noch einmal mitgeteilt. (#11611)
* In Windows 10-Rechner gibt NVDA den Fortschritt der Berechnungen nicht aus, wenn die Ansage der Zeichen während der Eingabe deaktiviert sind. (#9428)
* NVDA stürzt nicht mehr bei der Verwendung der amerikanische Kurzschrift ab und Sie mit aktiviertem Cursor auf Computer-Braille umschalten, wenn bestimmte Inhalte wie eine URL in Braille angezeigt werden. (#11754)
* In Microsoft Excel ist es wieder möglich, Formatierungsinformationen für die aktuelle Zelle mit NVDA+F abzufragen. (#11914)
* Die QWERTZ-Eingabe auf Papenmeier-Braillezeilen, die dies unterstützen, funktioniert wieder und bewirkt nicht mehr, dass NVDA zufällig einfriert. (#11944)
* In Chromium-basierten Browsern wurden mehrere Fälle behoben, in denen die Tabellen-Navigation nicht funktionierte und NVDA nicht die Anzahl der Zeilen und/oder Spalten der Tabelle meldete. (#12359)

### Änderungen für Entwickler

* Systemtests können jetzt Schlüssel mit "spy.emulateKeyPress" senden, das einen Schlüsselbezeichner verwendet, der mit den NVDA-eigenen Schlüsselnamen übereinstimmt und standardmäßig auch blockiert, bis die Aktion ausgeführt wird. (#11581)
* NVDA benötigt nicht mehr das aktuelle NVDA-Anwendungsverzeichnis, um zu funktionieren. (#6491)
* Die Einstellung "Aria Live Politeness" für Live-Regionen kann jetzt auf NVDA-Objekten mit der Eigenschaft "liveRegionPoliteness" gefunden werden. (#11596)
* Es ist nun möglich, separate Gesten für Outlook- und Word-Dokumente zu definieren. (#11196)

## 2020.3

Diese Version enthält mehrere große Verbesserungen der Stabilität und Leistung, insbesondere bei Microsoft Office-Anwendungen. Es gibt neue Einstellungen zum Umschalten zwischen Touchscreen-Unterstützung und Ansage von Grafiken.
Markierte (hervorgehobenene) Inhalte kann man in Browsern sich ansagen lassen. Außerdem gibt es neue deutsche Braille-Tabellen.

### Neue Features

* Sie können nun die Ansage der Einstellung von Grafiken aus den Dokument-Formatierungen von NVDA ausschalten. Beachten Sie, dass die Deaktivierung dieser Option weiterhin die alternativen Texte von Grafiken vorliest. (#4837)
* Sie können jetzt die Touchscreen-Unterstützung von NVDA umschalten. In den Einstellungen von NVDA wurde eine Option für Berührungsinteraktion auf Touchscreens hinzugefügt. Die Standard-Tastenkombination ist NVDA+Strg+Alt+T. (#9682)
* Neue deutsche Braille-Tabellen hinzugefügt. (#11268)
* NVDA erkennt jetzt schreibgeschützte Text-UIA-Steuerelemente. (#10494)
* Markierter (hervorgehobener) Text wird sowohl mit der Sprachausgabe als auch in Braille in allen Web-Browsern ausgegeben. (#11436)
 * Dies kann durch die Option in den Dokument-Formatierung von NVDA für die Hervorhebung ein- und ausgeschaltet werden.
* Tasten für die emulierte Systemtastatur können über das Dialogfeld für die Tastenbefehle von NVDA hinzugefügt werden. (#6060)
  * Klicken Sie dazu die Schaltfläche "Hinzufügen", nachdem Sie die Kategorie "Tasten der emulierten Systemtastatur" ausgewählt haben.
* Active Braille mit Joystick von HandyTech wird nun unterstützt. (#11655)
* Die Einstellung "Automatischer Fokusmodus für Bewegung des System-Cursors" ist nun kompatibel mit der Deaktivierung von "Automatisch den Fokus auf fokussierbare Elemente setzen". (#11663)

### Änderungen

* Das Skript für die Berichtsformatierung (NVDA+F) wurde jetzt so geändert, dass die Formatierung unter dem System-Cursor und nicht an der Cursor-Position des NVDA-Cursors ausgegeben wird. Um die Formatierung an der Cursor-Position zu erhalten, betätigen Sie NVDA+Umschalt+F. (#9505)
* NVDA setzt den System-Fokus im Lesemodus nicht mehr automatisch standardmäßig auf fokussierbare Elemente, wodurch Leistung und Stabilität verbessert werden. (#11190)
* CLDR von Version 36.1 auf Version 37 aktualisiert. (#11303)
* Aktualisiert wurde eSpeak-NG auf 1.51-dev, commit 1fb68ffffea4
* Sie können jetzt die Tabellennavigation in Listenfeldern mit auswählbaren Listenelementen verwenden, wenn die jeweilige Liste mehrere Spalten enthält. (#8857)
* Wenn Sie eine Erweiterung in NVDA entfernen und Sie aufgefordert werden, dies zu bestätigen, ist der Schalter "Nein" jetzt standardmäßig ausgewählt. (#10015)
* In Microsoft Excel zeigt das Dialogfeld für die Elementliste jetzt Formeln in der entsprechenden Sprache der Anwendung an. (#9144)
* NVDA teilt nun die korrekte Terminologie für Anmerkungen in Microsoft Excel mit. (#11311)
* Wenn Sie den Befehl "NVDA-Cursor zum Fokus ziehen" im Lesemodus verwenden, wird der NVDA-Cursor jetzt auf die Position des virtuellen Cursors gesetzt. (#9622)
* Im Lesemodus angezeigte Informationen, wie z. B. die Informationen zur Textformatierung mit NVDA+F, werden nun in einem etwas größeren Fenster zentriert auf dem Bildschirm angezeigt. (#9910)

### Fehlerbehebungen

* NVDA spricht nun immer, wenn man nach Wörtern navigiert und auf einem einzelnen Symbol, gefolgt von einem Leerzeichen, landet, unabhängig von den Ausführlichkeitseinstellungen. (#5133)
* Bei Anwendungen, die QT 5.11 oder neuer verwenden, werden wieder Objekt-Beschreibungen mitgeteilt. (#8604)
* Wenn ein Wort mit Strg+Entf gelöscht wird, schweigt NVDA nicht mehr. (#3298, #11029)
  * Es wird nun das nächste Wort davon angesagt.
* In den allgemeinen Einstellungen ist die Sprachliste jetzt korrekt sortiert. (#10348)
* Im Dialogfeld für die Tastenbefehle wurde die Leistung beim Filtern erheblich verbessert. (#10307)
* Sie können nun Unicode-Zeichen, die über U+FFFF hinausgehen, von einer Braillezeile aus senden. (#10796)
* NVDA sagt das Dialogfeld "Öffnen mit" in Windows 10 Mai 2020 Update an. (#11335)
* Eine neue experimentelle Option in den erweiterten Einstellungen (Selektive Registrierung für UIA-Ereignisse und Eigenschaftsänderungen aktivieren) kann bei Aktivierung erhebliche Leistungsverbesserungen in Microsoft Visual Studio und anderen UIAutomation-basierten Anwendungen bieten. (#11077, #11209)
* Bei überprüfbaren Listeneinträgen wird der ausgewählte Zustand nicht mehr redundant angesagt und gegebenenfalls wird stattdessen der nicht ausgewählte Zustand mitgeteilt. (#8554)
* Mit dem Windows 10 Mai 2020 Update zeigt NVDA jetzt den Microsoft Sound Mapper an, wenn die Ausgabegeräte im Dialogfeld für die Sprachausgabe eingestellt wird. (#11349)
* In Internet Explorer werden Zahlen jetzt bei geordneten Listen korrekt angesagt, wenn die Liste nicht mit der Zahl 1 beginnt (#8438)
* In Google Chrom meldet NVDA jetzt für alle aktivierbaren Kontrollen (nicht nur für Kontrollkästchen), die derzeit nicht aktiviert sind, dass sie nicht aktiviert sind. (#11377)
* Es ist wieder möglich, in verschiedenen Bedienelementen zu navigieren, wenn  Aragonisch als Sprache in NVDA verwendet wird. (#11384)
* NVDA sollte teilweise nicht mehr verstummen in Microsoft Word, wenn man schnell die Tasten Pfeil nach oben und/oder Pfeil nach unten drückt oder Zeichen über die Braille-Eingabe eintippt. (#11431, #11425, #11414)
* NVDA hängt keine Leerzeichen beim Kopieren des aktuellen Navigator-Objekts in die Zwischenablage mehr am Ende an. (#11438)
* Wenn kein Text vorhanden ist, führt NVDA auch die "Alles Lesen"-Funktion nicht mehr aus. (#10899, #9947)
* NVDA liest nun die Features-Liste im Internet-Informations-Service (IIS) vor. (#11468)
* NVDA hält das Audiogerät nun offen und verbessert die Leistung einiger Soundkarten (#5172, #10721)
* NVDA friert nicht mehr ein oder wird nicht mehr beendet, wenn in Microsoft Word die Tastenkombination Strg+Umschalttaste+Pfeil nach unten gedrückt wird. (#9463)
* In der Navigationsbaumansicht auf drive.google.com wird der Zustand, ob ein Verzeichnis eingeklappt oder ausgeklappt ist, immer von NVDA angesagt. (#11520)
* NVDA erkennt nun die Braillezeile NLS eReader von Humanware über Bluetooth automatisch, da der Bluethooth-Name nun "NLS eReader Humanware" lautet. (#11561)
* Wesentliche Leistungsverbesserungen in Visual Studio Code. (#11533)

### Änderungen für Entwickler

* BoxSizerHelper.addDialogDismissButtons der GUI-Hilfe unterstützt ein neues "getrenntes" Schlüsselwort-Argument zum Hinzufügen eines horizontalen Standard-Trennzeichens zu Dialogen (mit Ausnahme von Meldungen und einzelnen Eingabefeldern). (#6468)
* Den Anwendungsmodulen wurden zusätzliche Eigenschaften hinzugefügt, darunter der Pfad für die ausführbare Datei (appPath), eine Windows-Store-Anwendung (isWindowsStoreApp) und die Anwendungs-Architektur (appArchitecture). (#7894)
* Es ist jetzt möglich, Anwendungsmodule für in wwahost.exe gehostete Anwendungen unter Windows 8 und neuer zu erstellen. (#4569)
* Ein Protokoll-Abschnitt kann nun markiert werden und dann mit NVDA+Strg+Umschalt+F1 in die Zwischenablage kopiert werden. (#9280)
* Spezifische Objekte in NVDA, die vom zyklischen Garbage-Collector von Python gefunden werden, werden jetzt beim Löschen durch den Collector protokolliert, um das Entfernen von Referenzzyklen aus NVDA zu unterstützen. (#11499)
 * Die Mehrzahl der NVDA-Klassen wird verfolgt, darunter NVDAObjects, appModules, GlobalPlugins, SynthDrivers und TreeInterceptors.
 * Eine Klasse, die verfolgt werden muss, sollte von "garbageHandler.TrackedObject" erben.
* Signifikante Debug-Protokollierung für MSAA-Ereignisse kann nun in den erweiterten Einstellungen von NVDA aktiviert werden. (#11521)
* MSAA-Ereignisse von Windows für das aktuell fokussierte Objekt werden nicht mehr zusammen mit anderen Ereignissen herausgefiltert, wenn die Ereignisanzahl für einen bestimmten Thread überschritten wird. (#11520)

## 2020.2

Zu den Highlights dieser Version gehören die Unterstützung für eine neue Braillezeile von Nattiq, verbessere Unterstützung für ESET Antivirus und Windows-Terminal, Leistungsverbesserungen in 1Password und mit Windows OneCore-Sprachausgaben und viele wietere wichtige Fehlerbehebungen und Verbesserungen.

### Neue Features

* Unterstützungen neuer braillezeilen::
  * Nattiq nBraille (#10778)
* Ein Skript zum Öffnen des NVDA-Benutzerverzeichnis wurde hinzugefügt (ist keinem Tastenbefehl zugeordnet). (#2214)
* Verbesserte Unterstützung für die Oberfläche von ESET Antivirus. (#10894)
* Unterstützung für das Windows-Terminal hinzugefügt. (#10305)
* Ein Befehl zum Ansagen des aktiven Konfigurationsprofils wurde hinzugefügt (ohne Standard-Tastenbefehl). (#9325)
* Ein Tastenbefehl wurde hinzugefügt, um die Ansage von hoch- und tiefgestellten Zeichen umzuschalten (ohne Standard-Tastenbefehl). (#10985)
* In Web-Anwendungen (z. B. Gmail) werden beim schnellen Navigieren mit dem Fokus nicht länger veraltete Informationen mehr angesagt. (#10885)
  * Diese experimentelle Funktion muss manuell über die Option "Sprachausgabe unterbrechen, wenn das Ereignis für den Fokus abgelaufen ist" im Erweiterten Einstellungsfenster aktiviert werden.
* Viele weitere Symbole wurden ergänzt. (#11105)

### Änderungen

* Der Braille-Übersetzer LibLouis wurde von Version 3.12.0 auf [3.14.0](https://github.com/liblouis/liblouis/releases/tag/v3.14.0) aktualisiert. (#10832, #11221)
* Die Ansage von hoch- und tiefgestellte Zeichen werden nun getrennt von den Meldungen der Schrift-Attribute gesteuert. (#10919)
* Auf Grund von Änderungen im VS-Code deaktiviert NVDA den Lesemodus im Code standardmäßig nicht mehr. (#10888)
* NVDA sagt nicht mehr "Nach oben" und "Nach unten" an, wenn der NVDA-Cursor direkt auf das erste oder letzte Zeichen der Zeile für das aktuelle Navigator-Objekt mit der Bewegung zum Anfang der Zeile bzw. zum Ende der Zeile bewegt wird. (#9551)
* NVDA sagt nicht mehr "Nach links" und "Nach rechts" an, wenn der NVDA-Cursor direkt auf das erste oder letzte Zeichen der Zeile für das aktuelle Navigator-Objekt mit der Bewegung zum Anfang der Zeile bzw. zum Ende der Zeile bewegt wird. (#9551)

### Fehlerbehebungen

* NVDA startet nun korrekt, wenn keine Protokolldatei angelegt werden konnte. (#6330)
* In neueren Versionen von Microsoft Word 365 meldet NVDA nicht mehr, dass "Rückwort löschen" beim Drücken von Strg+Rücktaste während der Bearbeitung eines Dokuments gelöscht wird. (#10851)
* In Winamp meldet NVDA wieder die Umschaltung von der Zufallswiedergabe und der Wiederholen. (#10945)
* NVDA reagiert nicht mehr extrem langsam beim navigieren in den Listeneinträgen in 1Password. (#10508)
* Die Windows OneCore-Sprachausgabe verzögert nicht mehr bei den Ansagen. (#10721)
* NVDA hängt sich nicht mehr auf, sobald Sie das Kontextmenü für 1Passwort aus dem Infobereich heraus öffnen. (#11017)
* In Microsoft Office 2013 und älter:
  * Die Menübänder werden angesagt, sobald sie fokussiert werden. (#4207)
  * Kontextmenüeinträge werden wieder korrekt vorgelesen. (#9252)
  * Die Menübänder werden beim Navigieren mit Strg+Pfeiltasten durchgehend angesagt. (#7067)
* Im Lesemodus in Mozilla Firefox und Google Chrome wird Text nicht mehr fälschlicherweise in einer separaten Zeile angezeigt, wenn Web-Inhalte die CSS-Darstellung verwenden: Inline-Flex. (#11075)
* Im Lesemodus mit deaktiviertem System-Fokus automatisch auf fokussierbare Elemente setzen ist es nun möglich, Elemente zu aktivieren, die nicht fokussierbar sind.
* Im Lesemodus mit deaktiviertem automatischen Setzen des System-Fokus auf fokussierbare Elemente ist es nun möglich, Elemente zu aktivieren, die durch Drücken der Tabulatortaste erreicht werden. (#8528)
* Im Lesemodus mit deaktiviertem automatischen Setzen des System-Fokus auf fokussierbare Elemente werden bestimmte Elemente aktiviert und der Klick wird nicht mehr an einer falschen Stelle ausgeführt. (#9886)
* Es sind keine NVDA-Fehlertöne mehr zu hören, wenn auf Textsteuerelemente von DevExpress zugegriffen wird. (#10918)
* Die Tool-Tipps der Symbole im Infobereich werden bei der Tastatur-Navigation nicht mehr gemeldet, wenn ihr Text mit dem Namen der Icons übereinstimmt, um eine doppelte Ansage zu vermeiden. (#6656)
* Im Lesemodus mit deaktiviertem "Automatisch den System-Fokus auf fokussierbare Elemente setzen" fokussiert der Wechsel in den Fokusmodus mit NVDA+Leertaste nun das Element unter dem Cursor. (#11206)
* Auf bestimmten Systemen kann wieder nach NVDA-Updates gesucht werden, z. B. nach einer sauberen Windows-Installationen. (#11253)
* Der Fokus wird in einer Java-Anwendung nicht mehr verschoben, wenn die Auswahl in einem unfokussierten Bereich geändert wird. (#5989)

### Änderungen für Entwickler

* Die Funktionen "execElevated" und "hasUiAccess" sind vom Konfigurationsmodul in das "systemUtils"-Modul umgezogen. Die Verwendung über das Konfigurationsmodul ist veraltet. (#10493)
* Das Python-Modul "configObj" wurde auf Version 5.1.0dev Commit f9a265c4 aktualisiert. (#10939)
* Automatisiertes Testen von NVDA mit Google Chrome und einem HTML-Beispiel ist nun möglich. (#10553)
* Das Modul "IAccessibleHandler" wurde in ein Paket umgewandelt, "OrderedWinEventLimiter" wurde in ein Modul ausgelagert und Unit-Tests hinzugefügt. (#10934)
* BrlApi auf Version 0.8 (BRLTTY 6.1) aktualisiert. (#11065)
* Die Ansage der Statusleiste kann nun durch ein Anwendungsmodul angepasst werden. (#2125, #4640)
* NVDA reagiert nicht mehr auf "EVENT_OBJECT_REORDER" von "IAccessible". (#11076)
* Ein defektes ScriptableObject (z. B. ein GlobalPlugin, bei dem ein Aufruf der "init"-Methode dessen Basisklasse fehlt) unterbricht nicht mehr die Skriptbehandlung von NVDA. (#5446)

## 2020.1

Zu den Highlights dieser Version gehört die Unterstützung mehrerer neuer Braillezeilen von Humanware und APH sowie viele andere wichtige Fehlerbehebungen, wie z. B. die Möglichkeit, mit MathPlayer / MathType wieder Mathematik in Microsoft Word lesen zu können.

### Neue Features

* Das aktuell ausgewählte Element in Ausklapplisten wird im Lesemodus in Google Chrome wieder angezeigt, ähnlich wie in NVDA 2019.1. (#10713)
* Sie können nun einen rechthen Mausklick auf Geräten mit Touchscreens ausführen, indem Sie mit einem Finger tippen und halten. (#3886)
* Unterstützung für neue Braillezeilen: APH Chameleon 20, APH Mantis Q40, Humanware BrailleOne, BrailleNote Touch v2 und NLS eReader. (#10830)

### Änderungen

* NVDA verhindert nun, dass das System sich abschaltet oder in den Schlafmodus wechselt, während Alles Lesen aktiviert ist. (#10643)
* Unterstützung für Out-of-Process iFrames in Mozilla Firefox. (#10707)
* Der Braille-Übersetzer LibLouis wurde auf Version 3.12 aktualisiert. (#10161)

### Fehlerbehebungen

* Ein Problem wurde behoben, bei dem das Unicode-Minus-Symbol nicht angesagt wurde (U+2212). (#10633)
* Bei der Installation von Erweiterungen aus dem Dialog "Erweiterungen verwalten" werden die Datei- und Ordnernamen nicht mehr doppelt gemeldet. (#10620, #2395)
* In Mozilla Firefox werden nun beim Laden von Mastodon mit aktivierter erweiterter Web-Oberfläche im Lesemodus alle Zeitleisten korrekt gerendert. (#10776)
* Ein Problem wurde behoben, bei dem nicht ausgewählte Kontrollkästchen im Lesemodus manchmal nicht angesagt wurden. (#10781)
* Die ARIA-Umschaltelemente melden nicht mehr verwirrende Informationen wie "nicht gedrückt aktiviert" oder "gedrückt aktiviert". (#9187)
* Ein Problem wurde behoben, bei dem SAPI4-Stimmen bestimmte Texte nicht ansagten. (#10792)
* NVDA kann wieder mathematische Gleichungen in Microsoft Word lesen und mit ihnen interagieren. (#10803)
* NVDA sagt wieder an, dass der Text im Lesemodus nicht ausgewählt ist, wenn nach dem Auswählen des Textes eine Pfeiltaste gedrückt wird. (#10731).
* NVDA beendet sich nicht mehr selbst, wenn ein Fehler bei der Initialisierung von eSpeak auftritt. (#10607)
* Während des Installationsvorgangs bricht das Installationsprogramm nicht mehr ab, wenn ein Unicode-Zeichen in der Tastenkombination für die Desktopverknüpfung unerwarteter Weise auftritt. Es wird stattdessen die englische Originalbezeichnung verwendet. (#5166, #6326)
* Beim Navigieren mit den Pfeiltasten bzw. beim Verlassen von Listen und Tabellen wird während Alles Lesen nicht mehr ständig "listenende" oder tabellenende" angesagt. (#10706)
* Korrektur der Mausverfolgung für einige MSHTML-Elemente in Internet Explorer. (#10736)

### Änderungen für Entwickler

* Die Entwickler-Dokumentation wird zukünftig mit Sphinx erstellt. (#9840)
* Mehrere Sprachfunktionen wurden in zwei Teile aufgeteilt. (#10593)
  Die speakX-Version bleibt bestehen, hängt aber nun von einer getXSpeech-Funktion ab, die eine Sprachsequenz zurückgibt.
  * speakObjectProperties verlässt sich jetzt auf getObjectPropertiesSpeech
  * speakObject verlässt sich jetzt auf getObjectSpeech
  * speakTextInfo setzt jetzt auf getTextInfoSpeech
  * speakWithoutPauses wurde zu einer Class konvertiert und refaktorisiert, sollte aber die Kompatibilität nicht beeinträchtigen.
  * Die Klasse "getSpeechForSpelling" ist veraltet (aber immer noch verfügbar), verwenden Sie stattdessen "getSpellingSpeech".
  Kernänderungen, die jedoch die Entwickler von Erweiterungen nicht betreffen sollten:
  * _speakPlaceholderIfEmpty wurde in _getPlaceholderSpeechIfTextEmpty umbenannt
  * _speakTextInfo_addMath wurde in _extendSpeechSequence_addMathForTextInfo umbenannt
* Die Klasse Speech 'reason' wurde in eine Enum umgewandelt (siehe Klasse controlTypes.OutputReason). (#10703)
  * Die Konstanten der Modulebene "REASON_*" sind nicht mehr verfügbar.
* Visual Studio 2019 (16.2 oder neuer) wird zum Kompilieren von NVDA-Abhängigkeiten benötigt. (#10169)
* SCons auf Version 3.1.1 aktualisiert. (#10169)
* Die Funktion behaviors._FakeTableCell kann wieder ohne definierte Position genutzt werden. (#10864)

## 2019.3

NVDA 2019.3 ist ein umfangreiches Release, das viele Änderungen unter der Haube mit sich bringt. Darunter das Upgrade von Python 2 auf Python 3 und ein komplett neu überarbeitetes Subsystem für die Sprachausgaben in NVDA.
Obwohl diese Änderungen die Kompatibilität mit älteren NVDA-Erweiterungen nicht mehr besteht, ist das Upgrade auf Python 3 aus Sicherheitsgründen notwendig. Weitere Änderungen an der Sprachausgabe folgen in naher Zukunft.
 Weitere Highlights in dieser Version sind die 64-Bit-Unterstützung für Java-VMs, die Funktionalität für den Bildschirmvorhang und die Fokus-Hervorhebung, die Unterstützung weiterer Braillezeilen und einem neuen Braille-Betrachter sowie diverse Fehlerbehebungen.

### Neue Features

* Die Genauigkeit des Befehls zum Ziehen der Maus zum Navigator-Objekt wurde in Textfeldern in Java-Anwendungen verbessert. (#10157)
* Unterstützung für die folgenden HandyTech-Braillezeilen hinzugefügt (#8955):
 * Basic Braille Plus 40
 * Basic Braille Plus 32
 * Connect Braille
* Alle Tastenbefehle können nun über einen neuen Schalter "Auf Standard-Einstellungen zurücksetzen" im Dialogfeld "Tastenbefehle" entfernt werden. (#10293)
* Die Ansage der Schriftarten in Microsoft Word berücksichtigt nun auch, wenn Text als Verborgen markiert ist. (#8713)
* Es wurde ein Befehl hinzugefügt, um den NVDA-Cursor an die zuvor als Startmarke für die Auswahl oder das Kopieren markierte Position zu bewegen: NVDA+Umschalt+F9. (#1969)
* In Internet Explorer, Microsoft Edge und neue Versionen von Mozilla Firefox und Google Chrome werden Sprungmarken nun auch im Fokusmodus und Objekt-Navigation angesagt. (#10101)
* In Internet Explorer, Google Chrome und Mozilla Firefox können Sie nun mit Hilfe der Schnellnavigationsbefehle zu Artikeln und Gruppierungen navigieren. Diese Befehle sind standardmäßig nicht zugewiesen und können im Dialogfeld "Tastenbefehle" zugewiesen werden, wenn das Dialogfeld aus einem Dokument im Lesemodus geöffnet wird. (#9485, #9227)
 * Es werden auch Illustrationen erkannt und angesagt. Sie gelten als Objekte und sind daher mit der Schnellnavigationstaste "o" navigierbar.
* In Internet Explorer, Google Chrome und Mozilla Firefox werden nun Artikel-Elemente in der Objektnavigation und optional im Lesemodus angezeigt, wenn sie in den Einstellungen für die Dokumentenformatierung aktiviert sind. (#10424)
* Die Funktion eines Bildschirmvorhangs wurde hinzugefügt, die bei Aktivierung den gesamten Bildschirminhalt unter Windows 8 und neuer ausblendet und das Bildschirm verdunkelt. (#7857)
 * Ein Skript zum Aktivieren des Bildschirmvorhangs wurde hinzugefügt, jedoch wurde kein Tastenbefehl zugewiesen. Bei einmal Drücken wird der Bildschirmvorhang bis zum nächsten Neustart aktiviert. Bei zweimal Drücken wird er immer ausgeführt, sofern NVDA verwendet wird.
 * Dies kann über die Kategorie "Visuelle Darstellungen" im Einstellungsdialog von NVDA aktiviert und konfiguriert werden.
* NVDA wurde um eine Funktion zur visuellen Hervorhebung des Fokus erweitert. (#971, #9064)
 * Die Hervorhebung von System Fokus, Navigator-Objekt und virtuellen Cursor im Lesemodus kann über die Kategorie "visuelle Darstellungen" im Einstellungsdialog von NVDA aktiviert und konfiguriert werden.
 * Hinweis: Diese Funktion ist nicht mit der Erweiterung "Fokus hervorheben" kompatibel, jedoch kann die Erweiterung weiterhin verwendet werden, während die eingebaute Hervorhebungsfunktion deaktiviert ist.
* Braille-Betrachter hinzugefügt, ermöglicht die Anzeige der Braille-Ausgabe über den Bildschirm. (#7788)

### Änderungen

* Im Benutzerhandbuch wird nun beschrieben, wie Sie NVDA in der Windows-Konsole verwenden können. (#9957)
* Wenn Sie die Datei "nvda.exe" ausführen, wird nun standardmäßig ein bereits laufender Prozess von NVDA ersetzt. Der Befehlszeilenparameter "-r" oder "---replace" wird weiterhin akzeptiert, jedoch ignoriert. (#8320)
* Unter Windows 8 und neuer wird NVDA nun Produktnamen und Versionsinformationen für gehostete Anwendungen, wie beispielsweise Anwendungen, die aus dem Microsoft Store heruntergeladen wurden, unter Verwendung der von der Anwendung bereitgestellten Informationen mitteilen. (#4259, #10108)
* Beim Ein- und Ausschalten der Änderungsverfolgung mit der Tastatur in Microsoft Word meldet NVDA den Status der Einstellung. (#942)
* Die NVDA-Versionsnummer wird nun als erste Meldung im Protokoll angezeigt. Dies geschieht auch dann, wenn die Protokollierung über die Einstellungen deaktiviert wurde. (#9803)
* Der Einstellungsdialog lässt es nicht mehr zu, die konfigurierte Protokollstufe zu ändern, wenn sie von der Kommandozeile aus überschrieben wurde. (#10209)
* In Microsoft Word meldet NVDA nun den Anzeigestatus von nicht druckbaren Zeichen, wenn Sie die Umschalt-Taste Strg+Umschalt+8 drücken. (#10241)
* Der Braille-Übersetzer LibLouis wurde auf den Commit 58d67e63 aktualisiert. (#10094)
* Wenn die CLDR-Zeichen (einschließlich Emojis) aktiviert sind, werden sie auf allen Interpunktionsebenen angezeigt. (#8826)
* Python-Pakete von Drittanbietern, die in NVDA enthalten sind, wie beispielsweise comtypes, protokollieren nun ihre Warnungen und Fehler im NVDA-Protokoll. (#10393)
* Die Emoji-Anmerkungen der Unicode Common Locale Data Repository wurden auf Version 36.0 aktualisiert. (#10426)
* Beim Hervorheben einer Gruppe im Lesemodus wird nun auch die Beschreibung vorgelesen. (#10095)
* Die Java Access Bridge ist nun im NVDA enthalten, um den Zugriff auf Java-Anwendungen zu ermöglichen, auch für 64-Bit-Java-VMs. (#7724)
* Wenn die Java Access Bridge für den Benutzer nicht aktiviert ist, aktiviert NVDA sie automatisch beim Start von NVDA. (#7952)
* Aktualisiert wurde eSpeak-NG auf 1.51-dev, commit ca65812ac6019926f2fbd7f12c92d7edd3701e0c. (#10581)

### Fehlerbehebungen

* Emoji und andere 32-Bit-Unicode-Zeichen benötigen nun weniger Platz auf einer Braillezeile, wenn sie als hexadezimale Werte angezeigt werden. (#6695)
* Unter Windows 10 meldet NVDA Sprechblasen aus universellen Anwendungen, wenn im Dialogfeld "Objektdarstellung" NVDA konfiguriert ist, um Benachrichtigungen mitzuteilen. (#8118)
* Bei Windows 10 Anniversary Update und neuer wird der eingegebene Text nun in Mintty angezeigt. (#1348)
* Bei Windows 10 Anniversary Update und neuer wird die Ausgabe in der Windows-Konsole, die in der Nähe des Einfügemarke erscheint, nicht mehr buchstabiert. (#513)
* Die Steuerelemente im Kompressor von Audacity werden nun beim Navigieren durch das Dialogfeld angesagt. (#10103)
* NVDA behandelt Leerzeichen nicht mehr als Wörter in der Objektprüfung in Scintilla-basierten Editoren wie Notepad++. (#8295)
* NVDA verhindert, dass das System in den Ruhezustand wechselt, wenn mit den Gesten auf der Braillezeile durch Text navigiert wird. (#9175)
* Unter Windows 10 folgt nun die Braille-Anzeige bei der Bearbeitung von Zellinhalten in Microsoft Excel und anderen UIA-Text-Steuerelementen. (#9749)
* NVDA meldet wieder Vorschläge in der Adressleiste von Microsoft Edge. (#7554)
* NVDA ist nicht mehr stumm, wenn eine HTML-Registerkartenüberschrift im Internet Explorer fokussiert wird. (#8898)
* Im EdgeHTML-basierten Microsoft Edge gibt NVDA keinen Sound für Suchvorschläge mehr aus, wenn das Fenster maximiert ist. (#9110, #10002)
* Kombinationsfelder mit ARIA 1.1 werden nun in Mozilla Firefox und Google Chrome unterstützt. (#9616)
* NVDA meldet nicht mehr den Inhalt von visuell ausgeblendeten Spalten für Listenelemente in SysListView32-Steuerelementen. (#8268)
* Das Dialogfeld für die Einstellungen zeigt im geschützten Modus nicht mehr "Information" als aktuelle Protokollierungsstufe an. (#10209)
* Im Startmenü für Windows 10 Anniversary Update und neuer gibt nun NVDA Details der Suchergebnisse bekannt. (#10340)
* Im Lesemodus, wenn sich das Dokument durch Bewegen des Cursors oder durch Schnellnavigation ändert, spricht NVDA in einigen Fällen nicht mehr den falschen Inhalt. (#8831, #10343)
* Die Aussprache einiger Aufzählungszeichen in Microsoft Word wurde korrigiert. (#10399)
* In Windows 10 Mai 2019 Update und neuer meldet NVDA wieder das erste ausgewählte Emoji oder das Element der Zwischenablage mitteilen, wenn das Dialogfeld für die Emojis oder der Verlauf der Zwischenablage geöffnet ist. (#9204)
* In Poedit ist es wieder möglich, einige Übersetzungen für Sprachen von rechts nach links anzuzeigen. (#9931)
* In den Einstellungen in Windows 10 April 2018 Update und neuer gibt nun NVDA keine Informationen zum Fortschrittsbalken mehr für die Lautstärke auf der Seite für System/Sound bekannt. (#10412)
* Ungültige reguläre Ausdrücke in Sprachwörterbüchern unterbrechen die Sprache in NVDA nicht mehr vollständig. (#10334)
* Beim Lesen von gegliederten Elementen in Microsoft Word mit aktivierter UIA wird der Punkt aus dem nächsten Listenelement nicht mehr unangemessen angekündigt. (#9613)
* Einige Probleme und Fehler bei der Übersetzung von Brailleschrift bei LibLouis wurden behoben. (#9982)
* Java-Anwendungen, die vor NVDA gestartet wurden, sind nun zugänglich, ohne dass die Java-App neu gestartet werden muss. (#10296)
* Wenn im Mozilla Firefox das hervorgehobene Element mit dem Attribut "aria-current" markiert wird, wird diese Änderung nicht mehr mehrfach angesagt. (#8960)
* NVDA behandelt nun bestimmte zusammengesetzte Unicode-Zeichen, wie z. B. das Zeichen é, als ein einziges Zeichen, wenn Sie sich durch Text bewegen. (#10550)
* Spring Tool Suite Version 4 wird nun unterstützt. (#10001)
* Namen werden nicht mehr doppelt angesagt, wenn das Attribut "aria-labelledby" sich in einem inneren Element befindet. (#10552)
* Unter Windows 10 Version 1607 und neuer werden in mehreren Situationen Zeichen während der Eingabe von Braille-Tastaturen zurückgemeldet. (#10569)
* Wenn Sie das Audio-Ausgabegerät wechseln, werden die von NVDA ausgegebenen Töne nun durch das aktuell ausgewählte Gerät wiedergegeben. (#2167)
* In Mozilla Firefox ist nun das Navigieren mit dem Cursor im Lesemodus deutlich schneller. (#10584)

### Änderungen für Entwickler

* Python auf 3.7 aktualisiert. (#7105)
* Aktualisiert wurde pySerial auf Version 3.4. (#8815)
* Aktualisiert wurde wxPython auf 4.0.3, um Python 3.5 und neuer zu unterstützen. (#9630)
* Six auf Version 1.12.0 aktualisiert. (#9630)
* Py2Exe auf Version 0.9.3.2 aktualisiert (in Entwicklung, Commit b372a8e von albertosottile/py2exe#13). (#9856)
* Modul "comtypes" der Datei "UIAutomationCore.dll" auf Version 10.0.18362 aktualisiert. (#9829)
* Die Tab-Vervollständigung in der Python-Konsole schlägt nur dann Attribute vor, die mit einem Unterstrich beginnen, wenn der Unterstrich zuerst eingegeben wird. (#9918)
* Das Werkzeug Flake8 Linting wurde in SCons integriert, die die Code-Anforderungen für Pull-Requests widerspiegeln. (#5918)
* Da NVDA nicht mehr von pyWin32 abhängig ist, sind Module wie win32api und win32con für Erweiterungen nicht mehr verfügbar. (#9639)
 * "win32api"-Aufrufe können durch direkte Aufrufe von "win32.dll"-Funktionen über "ctypes" ersetzt werden.
 * "win32con"-Konstanten sollten in Ihren Dateien definiert werden.
* Das Argument "async" in nvwave.playWaveFile wurde in "asynchronous" umbenannt. (#8607)
* Methoden von speakText und speakCharacter in synthDriver-Objekten werden nicht mehr unterstützt.
 * Diese Funktionalität wird verwendet von SynthDriver.speak.
* SynthSetting-Klassen in synthDriverHandler wurde entfernt. Nun stattdessen die driverHandler.DriverSetting-Klassen verwenden.
* SynthDriver-Klassen sollten den Index nicht mehr über die lastIndex-Eigenschaft freigeben.
 * Stattdessen sollten sie die Aktion "synthDriverHandler.synthIndexReached" mit dem Index benachrichtigen, sobald alle vorherigen Audiodateien vor diesem Index abgespielt wurden.
* Die Klassen "SynthDriver" müssen nun die Aktion "synthDriverHandler.synthDoneSpeaking" melden, sobald alle Audiodaten eines "SynthDriver.speak"-Aufrufs abgespielt wurden.
* Die Klassen "SynthDriver" müssen die speech.PitchCommand in ihrer Sprachmethode unterstützen, da Änderungen in der Tonhöhe für die Rechtschreibung nun von dieser Funktionalität abhängen.
* Die Sprachausgaben-Funktion "getSpeechTextForProperties" wurde in "getPropertiesSpeech" umbenannt. (#10098)
* Die Braille-Funktion "getBrailleTextForProperties" wurde in "getPropertiesBraille" umbenannt. (#10469)
* Mehrere Sprachausgaben-Funktionen wurden geändert, um Sprachsequenzen zurückzugeben. (#10098)
 * getControlFieldSpeech
 * getFormatFieldSpeech
 * getSpeechTextForProperties nennt sich nun getPropertiesSpeech
 * getIndentationSpeech
 * getTableInfoSpeech
* Es wurde ein "textUtils"-Modul hinzugefügt, um die Zeichenkettenunterschiede zwischen Zeichenketten in Python 3 und Windows-Unicode zu vereinfachen. (#9545)
 * Schauen Sie dazu im Module "documentation" und "textInfos.offsets" für die Implementierung des Frameworks bzw. der Beispiele nach.
* Veraltete Funktionen wurden entfernt. (#9548)
 * Anwendungsmodule entfernt:
  * Die Unterstützung des Audiorekorders unter Windows XP.
  * Klango Player, der nicht mehr weiterentwickelt wird.
 * "configobj.validate"-Wrapper entfernt.
  * Im Code sollte nun "from configobj import validate" anstelle "import validate" verwendet werden
 * "textInfos.Point" und "textInfos.Rect" wurden jeweils ersetzt durch "locationHelper.Point" und "locationHelper.RectLTRB".
 * "braille.BrailleHandler._get_tether" und "braille.BrailleHandler.set_tether" wurden entfernt.
 * "config.getConfigDirs" wurde entfernt.
 * "config.ConfigManager.getConfigValidationParameter" wurde ersetzt durch "getConfigValidation"
 * Die Eigenschaft "inputCore.InputGesture.logIdentifier" wurde entfernt.
   * Verwenden Sie stattdessen "_get_identifiers" in "inputCore.InputGesture".
 * Die Eigenschaften "speakText" und "speakCharacter" in "synthDriverHandler.SynthDriver" wurden entfernt.
 * Mehrere Klassen in "synthDriverHandler.SynthSetting" wurden entfernt.
   * Zuvor aus Gründen der Rückwärtskompatibilität (#8214) aufbewahrt, gilt nun als veraltet.
   * Treiber, die die Klassen "SynthSetting" verwendet haben, sollten aktualisiert werden, um die DriverSetting-Klassen zu verwenden.
 * Einige ältere Code-Abschnitte wurden entfernt, insbesondere:
  * Unterstützung für die Nachrichtenliste in Microsoft Outlook 2003.
  * Eine Overlay-Klasse für das klassische Startmenü, die nur in Windows Vista und älter zu finden waren.
  * Die Unterstützung für Skype 7 wurde eingestellt, da es definitiv nicht mehr funktioniert.
* Ein Framework zur Erstellung von Quellen für Verbesserungen visueller Darstellungen wurde hinzugefügt; Module, die Bildschirminhalte ändern können, optional basierend auf Eingaben von NVDA über Objektpositionen. (#9064)
 * Erweiterungen können eigene Quellen in einem "visionEnhancementProvider"-Ordner bündeln.
 * Schauen Sie dazu im Module "vision" und "visionEnhancementProviders" für die Implementierung des Frameworks bzw. der Beispiele nach.
 * Die Quelle für Verbesserungen visueller Darstellungen ist über die Kategorie "Visuelle Darstellungen" im NVDA-Einstellungsdialog aktivierbar.
* Abstrakte Klassen-Eigenschaften werden nun auch für Objekte unterstützt, die von "baseObject.AutoPropertyObject" erben (z. B. "NVDAObjects" und "TextInfos"). (#10102)
* Einführung von "displayModel.UNIT_DISPLAYCHUNK" als eine für "DisplayModelTextInfo" spezifische Einheitenkonstante für "TextInfos". (#10165)
 * Diese neue Konstante ermöglicht es, den Text in "DisplayModelTextInfo" in einer Weise zu behandeln, die der Speicherung der Textbausteine im zugrunde liegenden Modell ähnelt.
* "displayModel.getCaretRect" gibt nun eine Instanz von locationHelper.RectLTRB zurück. (#10233)
* Die Konstanten "UNIT_CONTROLFIELD" und "UNIT_FORMATFIELD" wurden von "virtualBuffers.VirtualBufferTextInfo" in das Paket "textInfos" verschoben. (#10396)
* Für jeden Eintrag im NVDA-Protokoll werden nun Informationen über den Ursprungs-Thread angezeigt. (#10259)
* TextInfo-Objekte der UIA können nun verschoben / erweitert werden von den Text-Einheiten "page", "story" und "formatField". (#10396)
* Externe Module (appModules und globalPlugins) sind nun weniger wahrscheinlich in der Lage, die Erstellung von NVDA-Objekten zu unterbrechen.
 * Ausnahmen, die durch die Methoden "chooseNVDAObjectOverlayClasses" und "event_NVDAObject_init" verursacht werden, werden nun korrekt abgefangen und protokolliert.
* Das Wörterbuch "aria.htmlNodeNameToAriaLandmarkRoles" wurde umbenannt in "aria.htmlNodeNameToAriaRoles". Es enthält nun auch Regeln, die keine Sprungmarken sind.
* Die Funktion "scriptHandler.isCurrentScript" wurde auf Grund mangelnder Verwendung entfernt. Es gibt keinen Ersatz dafür. (#8677)

## 2019.2.1

Dies ist eine kleinere Version, um mehrere Abstürze in 2019.2 zu beheben, darunter:

* Mehrere Abstürze in Google Mail , die sowohl in Firefox als auch in Chrome bei der Interaktion mit bestimmten Popup-Menüs auftraten, z. B. beim Erstellen von Filtern oder beim Ändern bestimmter Google Mail-Einstellungen. (#10175, #9402, #8924)
* In Windows 7 führt NVDA nicht mehr zum Absturz von Windows Explorer, wenn die Maus im Startmenü verwendet wird. (#9435)
* Unter Windows 7 stürzt Windows Explorer beim Zugriff auf Metadaten-Eingabefelder nicht mehr ab. (#5337)
* NVDA friert bei der Interaktion mit Bildern mit einem base64-URI in Mozilla Firefox oder Google Chrome nicht mehr ein. (#10227)

## 2019.2

Zu den Highlights dieser Version gehören die automatische Erkennung von braillezeilen von Freedom Scientific, eine experimentelle Einstellung in DEN erweiterten Einstellungen, um die automatische Bewegung des systemfokus beim Verwenden des Lesemodus zu deaktivieren (was unter Umständen zu Leistungsverbesserungen führen kann), eine Option zur Erhöhung der Geschwindigkeit für die Windows OneCore-Sprachausgabe, um sehr schnelle Geschwindigkeiten zu erzielen und viele andere Fehlerbehebungen.

### Neue Features

* NVDA unterstützt nun auch neuere Client-Versionen des Miranda NG. (#9053)
* Sie können den Lesemodus nun standardmäßig deaktivieren, wenn eine Webseite geladen wird. Deaktivieren Sie dazu die neue Option "Lesemodus beim Laden von Webseiten verwenden" in den Lesemodus-Einstellungen im Einstellunfsfenster von NVDA. (#8716)
 * Beachten Sie, dass Sie den Lesemodus mit NVDA+Leertaste manuell aktivieren können, auch wenn diese Option deaktiviert ist.
* Sie können nun Symbole im Dialogfeld "Interpunktion und Symbol-Aussprache" filtern, ähnlich wie das Filtern in der Elementliste und im Dialogfeld "Tastenbefehle". (#5761)
* Es wurde ein Befehl hinzugefügt, um die Auflösung der Maustexteinheit zu ändern, d. h. wie viel Text vorgelesen wird, wenn sich die Maus bewegt. Ein Tastenbefehl wurde nicht zugewiesen. Dies können Sie über das Dialogfeld "Tastenbefehle" selbst vornehmen. (#9056)
* Die Windows OneCore-Sprachausgabe verfügt nun über eine Option, welche eine zusätzliche Erhöhung der Sprechgeschwindigkeit ermöglicht. (#7498)
* Die Option "Geschwindigkeit zusätzlich erhöhen" kann nun über den Einstellungsring der Sprachausgabe für unterstützte Sprachausgaben konfiguriert werden (derzeit eSpeak-NG und Windows OneCore). (#8934)
* Konfigurationsprofile können nun manuell mithilfe von Tastenkürzel aktiviert werden. (#4209)
 * Die Tastenkürzel müssen über das Dialogfeld "Tastenbefehle" konfiguriert werden.
* In eClipse wurde die Unterstützung für die Autovervollständigung im Code-Editor hinzugefügt. (#5667)
 * Zusätzlich können vorhandene JavaDoc-Informationen aus dem Editor über den Tastenbefehl NVDA+d gelesen werden.
* Dem Bereich Erweiterte Einstellungen wurde eine experimentelle Option hinzugefügt, mit der Sie den System-Fokus daran hindern können, dem virtuellen Cursor zu folgen (automatische Bewegung des System-Fokus auf hervorhebbare Elemente ausschalten). (#2039) Diese Option ist nicht für jede Seite von Nutzen, aber für viele Webseiten löst diese Option folgende Probleme:
 * Gummibandeffekt: Der virtuelle Cursor im Lesemodus springt sporadisch zu vorherigen Positionen.
 * Eingabefelder blockieren den System-Fokus, wenn sie auf einigen Webseiten mit Pfeiltaste nach unten navigieren.
 * Die Schnellnavigationstasten im Lesemodus reagieren langsam.
* Einstellungen für Braillezeilen-Treiber können nun direkt in der Benutzeroberfläche von NVDA in der Kategorie Braille-Einstellungen im Einstellungsdialog angepasst werden. Voraussetzung ist, dass der Treiber der Braillezeile dies unterstützt. (#7452)
* Braillezeilen von Freedom Scientific werden nun automatisch unterstützt. (#7727)
* Es wurde ein Befehl hinzugefügt, um den Ersatz für das Symbol unter dem Cursor anzuzeigen. (#9286)
* Dem Bereich Erweiterte Einstellungen wurde eine experimentelle Option hinzugefügt, mit der Sie ein neues, noch nicht abgeschlossenes Refactoring der Unterstützung der Windows-Konsolen von NVDA über die API der UIA von Microsoft ausprobieren können. (#9614)
* In der Python-Konsole unterstützt das Eingabefeld nun das Einfügen mehrerer Zeilen aus der Zwischenablage. (#9776)

### Änderungen

* Die Lautstärke der Sprachausgabe wird nun jeweils um 5 statt um 10 Einheiten erhöht oder verringert, wenn Sie den Einstellungsring verwenden. (#6754)
* Der Text im Dialogfeld "Erweiterungen verwalten..." wurde angepasst, wenn NVDA mit deaktivierten Erweiterungen neu gestartet wird. (#9473)
* Emoji Annotationen vom Unicode Common Locale Data Repository wurden auf Version 35.0 aktualisiert. (#9445)
* Die Tastenkombination für das Eingabefeld "Filtern nach" in der Elementliste im Lesemodus wurde auf Alt+y geändert. (#8728)
* Wenn eine automatisch erkannte Braillezeile über Bluetooth angeschlossen ist, sucht NVDA weiterhin nach Braillezeilen via USB, die vom gleichen Treiber unterstützt werden und wechselt zu einer USB-Verbindung, sobald diese verfügbar ist. (#8853)
* Die Sprachausgabe eSpeak-NG wurde auf Commit 67324cc aktualisiert.
* Der Braille-Übersetzer LibLouis wurde auf Version 3.10.0 aktualisiert. (#9439, #9678)
* NVDA teilt nun das Wort "ausgewählt" mit, nachdem es den Text gemeldet hat, den ein Benutzer gerade ausgewählt hat. (#9028, #9909)
* In Microsoft Visual Studio Code ist der Lesemodus nun standardmäßig deaktiviert. (#9828)

### Fehlerbehebungen

* NVDA stürzt nicht mehr ab, wenn ein Erweiterungsverzeichnis leer ist. (#7686)
* LTR- und RTL-Markierungen werden beim Navigieren zeichenweise oder im Braille im Windowsdialog "Eigenschaften" nicht mehr angezeigt oder angesagt. (#8361)
* Beim Navigieren zu Formularfeldern mit Schnellnavigationstasten im Lesemodus wird nun das gesamte Formularfeld und nicht nur die erste Zeile angesagt. (#9388)
* NVDA stürzt nicht mehr ab, wenn die Windows 10 Mail-App beendet wird. (#9341)
* NVDA startet nun auch wenn die regionalen Einstellungen des Benutzers auf ein für NVDA unbekanntes Gebietsschema wie Englisch (Niederlande) eingestellt sind. (#8726)
* Der Status des Lesemodus wird nun auch nach dem Wechsel des Fensters zwischen MS Excel und einem Fenster mit aktivem Fokusmodus angesagt. (#8846)
* NVDA meldet nun korrekt die Zeile am Mauszeiger in Notepad++ und anderen Scintilla-basierten Editoren. (#5450)
* In Google Docs und anderen webbasierten Editoren zeigt die Braillezeile nicht mehr manchmal fälschlicherweise "lst ende" vor dem Cursor in der Mitte eines Listenelements an. (#9477)
* Im Windows 10 Mai 2019 Update, wenn das Explorer oder Desktop-Fenster fokusiert ist, sagt NVDA nicht mehr viele Lautstärkebenachrichtigungen an, wenn Sie die Lautstärke mit Lautstärketasten ändern. (#9466)
* Das Dialogfeld "Interpunktion und Symbol-Aussprache" wird nun schneller geladen, auch wenn Sie Symbol-Wörterbücher mit mehr als 1000 Einträgen verwenden. (#8790)
* NVDA liest nun die richtige Zeile, wenn der Wortumbruch in Scintilla-Steuerelementen wie Notepad++ aktiviert ist. (#9424)
* In Microsoft Excel werden die Zellenkoordinaten nun auch beim Umschalt+Eingabetaste oder Umschalt+Numpad-Eingabe angesagt. (#9499)
* In Visual Studio 2017 und neuer, im Fenster Objektexplorer, wird das ausgewählte Element im Objektbaum oder Mitgliederbaum mit Kategorien nun korrekt angesagt. (#9311)
* Erweiterungen mit Namen, die sich nur in der Groß- und Kleinschreibung unterscheiden, werden nicht mehr separat behandelt. (#9334)
* Die in NVDA eingestellte Rate für Geschwindigkeit oder Stimmhöhe bei Windows OneCore-Stimmen wird nicht mehr von der in Windows 10 Sprach-Einstellungen eingestellten Rate beeinflusst. (#7498)
* Der Protokollbetrachter kann nun mit NVDA+F1 geöffnet werden, auch wenn es keine Entwicklerinformationen für das aktuelle Navigatorobjekt gibt. (#8613)
* Es ist wieder möglich, die Tabellen-Navigationsbefehle von NVDA in Google Docs unter Mozilla Firefox und Google Chrome zu verwenden. (#9494)
* Die Kipptasten funktionieren nun korrekt bei den Braillezeilen von Freedom Scientific. (#8849)
* Beim Lesen des ersten Zeichens eines Dokuments in Notepad++ 7.7 x64 friert NVDA nicht mehr ein. (#9609)
* In Mozilla Firefox werden Aktualisierungen einer aktiven Region nicht mehr gemeldet, wenn sich die aktive Region in einer Registerkarte im Hintergrund befindet. (#1318)
* Der NVDA-spezifische Suchmodus funktioniert nun wieder, auch wenn das Dialogfeld für die NVDA-Informationen im Hintergrund geöffnet ist. (#8566)
* HTCom kann nun mit einer Braillezeile von HandyTech in Kombination mit NVDA benutzt werden. (#9691)

### Änderungen für Entwickler

* Sie können nun die Eigenschaft "disableBrowseModeByDefault" in Anwendungsmodulen so einstellen, dass der Lesemodus standardmäßig ausgeschaltet ist. (#8846)
* Der erweiterte Fensterstil eines Fensters wird nun mit der Eigenschaft `extendedWindowStyle` auf Fenster-Objekte und deren Derivate angewendet. (#9136)
* Das Paket "comTypes" wurde auf 1.1.7 aktualisiert. (#9440, #8522)
* Das aktuell geladene Anwendungsmodul wird nun zuerst angesagt, wenn Sie den Befehl "report module info" verwenden. (#7338)
* Ein Beispiel zur Demonstration der Verwendung der Datei "nvdaControllerClient.dll" aus C# hinzugefügt. (#9600)
* Dem Modul "winVersion" wurde eine neue Funktion "isWin10" hinzugefügt, die zurückgibt, ob NVDA auf (mindestens) der mitgelieferten Release-Version von Windows 10 (wie 1903) läuft oder nicht. (#9761)
* Die Python-Konsole in NVDA enthält nun weitere nützliche Module im Namensraum (z. B. "appModules", "globalPlugins", "config" und "textInfos"). (#9789)
* Das Ergebnis des zuletzt ausgeführten Befehls in der Python-Konsole in NVDA ist nun über die Variable "_" zugänglich. (#9782)
 * Beachten Sie, dass dies die Übersetzungsfunktion "gettext", die auch "_" (Unterstrich) genannt wird, überschattet. Um die Übersetzungsfunktion aufzurufen: del _ _

## 2019.1.1

Diese Version behebt die folgenden Probleme:

* Es kommt in Microsoft Excel 2007 nicht mehr zu Abstürzen, wenn NVDA ansagen soll, ob eine Zelle eine Formel enthält. (#9431)
* Beim Umgang mit Listenfeldern in Google Chrome kommt es nicht mehr zu Abstürzen. (#9364)
* Ein Problem beim Kopieren der Benutzerkonfiguration ins Systemprofil wurde behoben. (#9448)
* Bei der Angabe der Zellkoordinaten für verbundene Zellen in Excel verwendet NVDA nun wieder die übersetzten Meldungen. (#9471)

## 2019.1

Zu den Highlights dieser Version gehören Leistungsverbesserungen beim Zugriff auf Microsoft Word und Excel, Stabilitäts- und Sicherheitsverbesserungen wie die Unterstützung von Erweiterungen mit Versionskompatibilitätsinformationen und viele andere Fehlerbehebungen.

Bitte beachten Sie, dass ab dieser NVDA-Version benutzerdefinierte Anwendungsmodule, GlobalPlugins, Treiber für Braillezeilen und Sprachausgaben nicht mehr automatisch aus Ihrem NVDA-Benutzerkonfigurationsverzeichnis geladen werden.
Vielmehr sollten diese als Teil einer NVDA-Erweiterung installiert werden. Für diejenigen, die Code für eine Erweiterung entwickeln, kann Code zum Testen in ein neues Developer Scratchpad-Verzeichnis im NVDA-Benutzerkonfigurationsverzeichnis verschoben werden. Dies funktioniert nur, wenn die Option Developer-Scratchpad in der neuen NVDA-Einstellungskathegorie "erweitert" aktiviert ist.
Diese Änderungen sind notwendig, um die Kompatibilität von benutzerdefiniertem Code besser zu gewährleisten, sodass NVDA stabil bleibt, wenn dieser Code mit neueren Versionen inkompatibel wird.
Bitte beachten Sie die unten folgende Liste der Änderungen für weitere Details dazu und wie Erweiterungen nun versioniert werden.

### Neue Features

* Neue Braille-Tabellen: Afrikaans, Arabisches 8-Punkt-Computerbraille, Arabische Kurzschrift, Spanische Kurzschrift. (#4435)
* Den Maus-Einstellungen von NVDA wurde eine Option hinzugefügt, womit NVDA nun auch die Maus erkennen kann, selbst wenn diese von einer anderen Anwendung gesteuert wird. (#8452)
 * Dies ermöglicht die Mausverfolgung in NVDA, wenn ein System durch Teamviewer oder ähnliche Software ferngesteuert wird.
* Der Befehlszeilenparameter `--enable-start-on-logon` wurde hinzugefügt, um unbeaufsichtigte Installationen von NVDA zu ermöglichen, bei welchen NVDA danach standardmäßig nicht auf dem Anmeldebildschirm ausgeführt wird. (#8574)
* Es ist nun möglich die Protokollierungsfunktionen von NVDA komplett auszuschalten, indem Sie im Bereich Allgemeine Einstellungen die Protokollierungsstufe auf "deaktiviert" setzen. (#8516)
* Formeln in LibreOffice und Apache OpenOffice Tabellenkalkulationen werden nun gemeldet. (#860)
* In Mozilla Firefox und Google Chrome meldet der Lesemodus nun das ausgewählte Element in Listenfeldern und Baumansichten.
 * Dies funktioniert ab Mozilla Firefox 66 und neuer.
 * Dies funktioniert noch nicht für bestimmte Listenfelder (HTML Select Controls) in Google Chrome.
* Basis-Unterstützung von Apps wie Mozilla Firefox auf Computern mit ARM64-Prozessoren (z. B. Qualcomm Snapdragon). (#9216)
* Eine neue Kategorie "Erweiterte Einstellungen" wurde dem NVDA-Einstellungsdialog hinzugefügt, welche u. a. eine Option enthält, um die neue Unterstützung für Microsoft Word durch NVDA über die API-Schnittstelle der UIA von Microsoft testen zu können. (#9200)
* Unterstützung für die grafische Ansicht in der Windows Datenträgerverwaltung wurde hinzugefügt. (#1486)
* Die Braillezeilen HandyTech Connect Braille und Basic Braille 84 werden nun unterstützt. (#9249)

### Änderungen

* Der Braille-Übersetzer LibLouis wurde auf Version 3.8.0 aktualisiert. (#9013)
* Entwickler können nun eine NVDA-Version angeben, die für eine Erweiterung mindestens erforderlich ist. NVDA wird eine Erweiterung nicht laden, wenn die angegebene Minimalversion neuer ist als die aktuell verwendete NVDA-Version. (#6275)
* Autoren von Erweiterungen können nun die letzte NVDA-Version angeben, mit der die Erweiterung getestet wurde. Wenn eine Erweiterung nur mit einer NVDA-Version getestet wurde, die niedriger ist als die aktuelle Version, wird NVDA die Installation oder das Laden der entsprechenden Erweiterungen ablehnen. (#6275)
* Diese NVDA-Version ermöglicht die Installation und das Laden von Erweiterungen, die noch keine Informationen zur minimalen und letzten getesteten NVDA-Version enthalten, aber ein Upgrade auf zukünftige NVDA-Versionen (z. B. 2019.2) kann automatisch dazu führen, dass diese älteren Erweiterungen deaktiviert werden.
* Der Befehl zum Bewegen der Maus zum Navigator-Objekt (NVDA-Cursor) funktioniert nun sowohl in Microsoft Word als auch für UIA-Steuerungen, insbesondere in Microsoft Edge. (#7916, #8371)
* Das Melden des Textes unter dem Maus-Cursor wurde in Microsoft Edge und anderen UIA-Anwendungen verbessert. (#8370)
* Wenn NVDA mit dem Befehlszeilenparameter `--portable-path` gestartet wird, wird der angegebene Pfad beim Erstellen einer portablen Version aus dem Menü automatisch ausgefüllt. (#8623)
* Der Pfad zur norwegischen Braille-Table wurde geändert, um dem Standard aus dem Jahr 2015 zu entsprechen. (#9170)
* Bei der Navigation nach Absatz (Strg+Pfeiltasten) oder nach Tabellenzelle (Strg+Alt+Pfeiltasten) werden Rechtschreibfehler nicht mehr gemeldet, auch wenn dies in den Einstellungen aktiviert ist. Absätze und Tabellenzellen können recht groß sein und große Textmengen enthalten. Die Berechnung von Rechtschreibfehlern in einigen Anwendungen kann sehr kostspielig sein und die Performance stark beeinträchtigen. (#9217)
* NVDA lädt nicht mehr automatisch benutzerdefinierte Anwendungsmodulle, globalPlugins sowie Braille- und Sprachausgabentreiber aus dem NVDA-Benutzer-Konfigurationsverzeichnis. Dieser Code sollte stattdessen als Erweiterung mit korrekten Versionsinformationen verpackt werden, um sicherzustellen, dass inkompatibler Code nicht mit aktuellen NVDA-Versionen ausgeführt wird. (#9238)
 * Für Entwickler, die Code während der Entwicklung testen müssen, aktivieren Sie das Developer Scratchpad-Verzeichnis von NVDA in der Kategorie Erweiterte Einstellungen in den NVDA-Einstellungen und legen Sie Ihren Code in das Verzeichnis 'scratchpad' im NVDA-Benutzerkonfigurationsverzeichnis ab, nachdem diese Option aktiviert wurde.

### Fehlerbehebungen

* Bei der Verwendung des OneCore-Sprachsynthesizers unter Windows 10 April 2018 Update und später werden keine langen Pausen mehr zwischen den Sprachäußerungen eingefügt. (#8985)
* Wenn Sie sich in Klartext-Steuerelementen bewegen (z. B. Notepad) oder im Lesemodus navigieren, werden 32-Bit-Emoji-Zeichen, die aus zwei UTF-16-Codepunkten bestehen (z. B. 🤦) nun korrekt gelesen. (#8782)
* Der Bestätigungsdialog für den Neustart nach dem Ändern der Oberflächensprache von NVDA wurde verbessert. Der Text und die Beschriftungen der Schaltflächen sind nun prägnanter und weniger verwirrend. (#6416)
* Wenn ein Sprachsynthesizer von Drittanbietern nicht geladen werden kann, greift NVDA unter Windows 10 auf den Windows OneCore-Sprachsynthesizer zurück, anstatt eSpeak. (#9025)
* Der Eintrag für den Willkommensdialog im NVDA-Menü wird in geschützten Bildschirmen nicht mehr angezeigt. (#8520)
* Beim Tabben oder bei der Schnellnavigation im Lesemodus werden Legenden der Registerkarten nun einheitlicher dargestellt. (#709)
* NVDA wird nun Auswahländerungen für bestimmte Zeitpicker bekannt geben, z. B. in der App Wecker- und Uhren unter Windows 10. (#5231)
* Im Aktionscenter von Windows 10 sagt NVDA Statusmeldungen an, wenn Sie zwischen schnellen Aktionen wie Helligkeit und Fokusunterstützung umschalten. (#8954)
* Im Aktionscenter in Windows 10 Oktober 2018 Update und früher erkennt NVDA das Steuerelement für die Helligkeit als Schaltfläche anstelle einer Umschalttaste. (#8845)
* NVDA verfolgt nun den Cursor wieder und meldet wieder gelöschte Zeichen in den Dialogfeldern "Suchen, "Gehe zu" und anderen Dialogfeldern in Microsoft Excel. (#9042)
* Ein seltener Absturz im Lesemodus in Firefox wurde behoben. (#9152)
* NVDA meldet nun wieder den Fokus für einige Steuerelemente im Menüband von Microsoft Office 2016, wenn das Menüband reduziert wird.
* NVDA meldet den vorgeschlagenen Kontakt wieder automatisch, wenn Adressen in neuen Nachrichten in Outlook 2016 eingegeben werden. (#8502)
* Die letzten paar Cursor-Routing-Tasten auf der 80er Eurobraille-Braillezeile verschieben den Cursor nicht mehr zum Anfang oder kurz nach dem Beginn der Zeile auf dem Brailledisplay. (#9160)
* Die Tabellennavigation in der Thread-Ansicht in Mozilla Thunderbird wurde verbessert. (#8396)
* In Mozilla Firefox und Google Chrome funktioniert das Umschalten in den Fokus-Modus jetzt korrekt für bestimmte Ausklapplisten / Kombinationsfelder und Baumansichten, welche selbst nicht fokussierbar sind aber ihre Elemente schon. (#3573, #9157)
* Der Lesemodus ist nun standardmäßig richtigerweise eingeschaltet, wenn Nachrichten in Outlook 2016 / 365 gelesen werden, sofern die experimentelle UIA in NVDA für Word-Dokumente aktiviert ist. (#9188)
* Ein Problem wurde behoben, bei welchem NVDA abstürzte und wo der einzige Ausweg darin bestandt, die komplette Windows-Sitzung ab- und wieder anzumelden. (#6291)
* In Windows 10 Oktober 2018 Update und später, beim Öffnen des Cloud-Clipboard-Verlaufs mit leerer Zwischenablage, wird NVDA den Status der Zwischenablage melden. (#9103)
* In Windows 10 Oktober 2018 Update und später, bei der Suche nach Emojis im Emoji-Panel, wird NVDA die besten Suchergebnisse melden. (#9105)
* NVDA friert im Hauptfenster von Oracle VirtualBox 5.2 und neuer nicht mehr ein. (#9202)
* Die Reaktionsfähigkeit in Microsoft Word bei der Navigation durch Zeilen, Absätze oder Tabellenzellen konnte deutlich verbessert werden. Zur Erinnerung: Um die beste Leistung zu erzielen, stellen Sie Microsoft Word nach dem Öffnen eines Dokuments mit Alt+W auf Entwurfsansicht ein. (#9217)
* In Mozilla Firefox und Google Chrome werden leere Warnungen nicht mehr gemeldet. (#5657)
* Deutliche Leistungsverbesserungen bei der Navigation durch Zellen in Microsoft Excel, insbesondere wenn die Kalkulationstabelle Kommentare und / oder Ausklapplisten zur Validierung enthält. (#7348)
* Die Bearbeitung in Zellen in MS Excel 2016/365 funktioniert nun wieder. Das "Editieren in Zelle" in den Optionen von Microsoft Excel kann wieder aktiviert werden, um in Excel 2016 / 365 auf die Steuerung der Zellenbearbeitung mit NVDA zuzugreifen. (#8146).
* Ein Absturz in Mozilla Firefox wurde behoben, der manchmal beim schnellen Navigieren nach Artikeln auftrat, wenn die Erweiterung erweitertes Aria verwendet wurde. (#8980)

### Änderungen für Entwickler

* NVDA kann nun mit allen Editionen von Microsoft Visual Studio 2017 (nicht nur mit der Community-Version) kompiliert werden. (#8939)
* Sie können nun Protokollausgaben von LibLouis in das NVDA-Protokoll aufnehmen, indem Sie das boolesche Flag "louis" im Abschnitt "debug" in den erweiterten Einstellungen von NVDA aktivieren. (#4554)
* Autoren von Erweiterungen können nun Informationen zur Kompatibilität mit NVDA-Versionen im Manifest der Erweiterungen bereitstellen. (#6275, #9055)
 * minimumNVDAVersion: Die minimale erforderliche NVDA-Version, damit eine Erweiterung ordnungsgemäß funktioniert.
 * lastTestedNVDAVersion: Die zuletzt getestete NVDA-Version, mit der die Erweiterung getestet wurde.
* Die Objekte "OffsetsTextInfo" können nun die Methode _getBoundingRectFromOffset implementieren, um das Abrufen von begrenzten Rechtecken pro Zeichen anstelle von Punkten zu ermöglichen. (#8572)
* Den TextInfo-Objekten wurde eine Eigenschaft boundingRect hinzugefügt, um das umschließende Rechteck eines Textbereichs abzurufen. (#8371)
* Eigenschaften und Methoden innerhalb von Klassen können nun in NVDA als abstrakt gekennzeichnet werden. Diese Klassen lösen einen Fehler aus, wenn sie instanziiert werden. (#8294, #8652, #8658)
* NVDA kann die Zeit seit der Eingabe protokollieren, wenn Text gesprochen wird, was bei der Messung der wahrgenommenen Reaktionsfähigkeit hilft. Dies kann durch Aktivieren der Einstellung "timeSinceInput" im Abschnitt "Debugprotokollierung" in den erweiterten Einstellungen von NVDA aktiviert werden. (#9167)

## 2018.4.1

Diese Version behebt einen Absturz beim Start, wenn die Sprache der Benutzeroberfläche von NVDA auf Aragonesisch eingestellt ist. (#9089)

## 2018.4

Zu den Highlights dieser Version gehören Leistungsverbesserungen in den neuesten Versionen von Mozilla Firefox, die Ankündigung von Emojis mit allen Sprachausgaben, die Meldung des Status Beantwortet/Weitergeleitet in Microsoft Outlook, die Meldung der Entfernung des Cursors zum Rand einer Seite im Microsoft Word-Dokument und viele Fehlerbehebungen.

### Neue Features

* Neue Braille-Tabellen: Chinesische Voll- und Kurzschrift (Mandarin). (#5553)
* In der Nachrichtenansicht in Microsoft Outlook meldet NVDA nun den Status "Beantwortet" und "Weitergeleitet" für jede Nachricht. (#6911)
* NVDA kann jetzt Beschreibungen für Emoji und andere Zeichen vorlesen, welche Teil der gemeinsamen Unicode-Gebietsschemata sind. (#6523)
* In Microsoft Word kann NVDA jetzt den Abstand des Cursors vom oberen und vom linken Rand der aktuellen Seite melden. Drücken Sie dafür NVDA+Entfernen. (#1939)
* NVDA sagt nicht mehr "Ausgewählt" bei jeder Zelle während der Navigation mit den Pfeiltasten zwischen Zellen in Google Sheets, wenn Braille-Modus aktiviert wurde. (#8879)
* Unterstützung für Foxit Reader und Foxit Phantom PDF hinzugefügt. (#8944)
* Unterstützung für das DBeaver-Datenbankwerkzeug. (#8905)

### Änderungen

* Der Menüeintrag "Hilfesprechblasen ausgeben" im Dialogfeld Objektpräsentationen wurde in "Benachrichtigungen mitteilen" umbenannt, um die Meldung von Benachrichtigungen in Windows 8 und neuer aufzunehmen. (#5789)
* In den Tastatur-Einstellungen von NVDA werden die Kontrollkästchen zum Aktivieren oder Deaktivieren der NVDA-Taste nun in einer Liste und nicht mehr als separate Kontrollkästchen angezeigt.
* NVDA zeigt unter einigen Windows-Versionen keine doppelten Informationen mehr an, wenn die Uhr in der Taskleiste vorgelesen wird. (#4364)
* Der Braille-Übersetzer LibLouis wurde auf Version 3.7.0 aktualisiert. (#8697)
* Aktualisiert wurde eSpeak-NG auf commit 919f3240cbb.

### Fehlerbehebungen

* In Microsoft Outlook 2016/365 werden der Kategorie- und Kennzeichenstatus für Nachrichten gemeldet. (#8603)
* Wenn NVDA auf Sprachen wie Kirgyz, Mongolisch oder Mazedonisch eingestellt ist, wird beim Start kein Dialogfeld mehr angezeigt, das davor warnt, dass die Sprache vom Betriebssystem nicht unterstützt wird. (#8064)
* Wenn Sie die Maus mit Hilfe der Tastatur auf das Navigatorobjekt bewegen, wird die Maus nun viel genauer auf die Position im Fokus- und Lesemodus in Mozilla Firefox, Google Chrome und Acrobat Reader DC bewegt. (#6460)
* Der Umgang mit Kombinationsfeldern im Web in Firefox, Chrome und Internet Explorer wurde verbessert. (#8664)
* Die Warnmeldung über die erforderliche Windows-Version wird nunauch auf Windows XP und Vista mit japanischer Anzeigesprache richtig angezeigt. (#8771)
* Verbesserung der Leistung in Mozilla Firefox auf komplexen Webseiten mit verschiedenen dynamischen Inhalten. (#8678)
* Format-Atribute (Überschrift, Link etc.) werden in Braille nicht mehr angezeigt, wenn die entsprechenden Einträge in den Einstellungen für Dokument-Formatierung deaktiviert wurden. (#7615)
* Im Windows-Explorer und anderen Anwendungen bei Verwendung von UIA wird der Fokus zuverlässig von NVDA verfolgt, wenn eine andere Anwendung lädt (z. B. während der Batch-Ausführung bei der Audio-bearbeitung). (#7345)
* In ARIA-Menüs im Web wird die Escape-Taste nun an das menü weitergereicht, sodass das Fokus-Modus nicht mehr unterbrochen wird. (#3215)
* Während der Navigation mit den Schnellnavigationstasten in Nachrichten im neuen Gmail, liest NVDA nun nicht mehr den ganzen Text der Nachricht vor, sobald man ein entsprechendes Element fokusiert. (#8887)
* Browser wie Mozilla Firefox und Google Chrome dürften nicht mehr abstürzen, nachdem NVDA aktualisiert wurde. Das Lesemodus müsste nun weiterhin Aktualisierungen in aktuell geladenen Dokumenten richtig reflektieren. (#7641)
* NVDA meldet nicht mehr mehrmals hintereinander "anklickbar", wenn im Lesemodus durch klickbare Inhalte navigiert wird. (#7430)
* Tastenbefehle, die für die Braillezeile Baum Vario 40 ausgeführt werden, werden nicht mehr ausgeführt. (#8894)
* In Google Slides mit Mozilla Firefox meldet NVDA den ausgewählten Text nicht mehr bei jedem Steuerelement mit Fokus. (#8964)

### Änderungen für Entwickler

* Die Funktion "gui.nvdaControls" beinhaltet nun zwei Klassen zum Erstellen zugänglicher Listen mit Kontrollkästchen. (#7325)
 * "CustomCheckListBox" ist eine zugängliche Unterklasse von "wx.CheckListBox".
 * "AutoWidthColumnCheckListCtrl" fügt zugängliche Kontrollkästchen zu einem "AutoWidthColumnListCtrl" hinzu, welches wiederum auf "wx.ListCtrl" basiert.
* Wenn ein wx-Widget noch nicht zugänglich ist, können Sie dies über eine Instanz von "gui.accPropServer.IAccPropServer_impl" erledigen. (#7491)
 * Schauen Sie für weitere Informationen in den Implementierung von "gui.nvdaControls.ListCtrlAccPropServer" nach.
* Paket "configobj" auf 5.1.0dev Commit 5b5de48a aktualisiert. (#4470)
* Die config.post_configProfileSwitch Aktion akzeptiert nun auch das optionale prevConf Schlagwort-Argument. Dies erlaubt handlern vorzugreifen basierend auf Unterschiede zwischen Konfigurationen vor und nach dem Wechsel des Konfigurationsprofils. (#8758)

## 2018.3.2

In dieser Version wurde ein Fehler behoben, der einen Absturz in Google Chrome bei der Navigation durch Tweets auf [www.twitter.com](http://www.twitter.com) zur Folge hatte. (#8777)

## 2018.3.1

Dies ist ein kleineres Update, in dem ein kritischer Fehler in NVDA behoben wurde, der zum Absturz von 32-Bit-Versionen von Mozilla Firefox führte. (#8759)

## 2018.3

Zu den Highlights dieser Version gehören die automatische Erkennung vieler Braillezeilen, die Unterstützung neuer Windows 10-Funktionen, einschließlich des Windows 10 Emoji-Eingabebereichs und viele andere Fehlerbehebungen.

### Neue Features

* NVDA meldet Grammatikfehler, wenn sie von Webseiten in Mozilla Firefox und Google Chrome angemessen dargestellt werden. (#8280)
* Inhalte, die in Webseiten als eingefügt oder gelöscht gekennzeichnet sind, werden nun in Google Chrome angezeigt. (#8558)
* Unterstützung für BrailleNote QT und das Scrollrad von Apex BT wurde hinzugefügt, wenn BrailleNote als Braillezeile mit NVDA verwendet wird. (#5992, #5993)
* Es wurden Skripte für die Anzeige der abgelaufenen und der Gesamtzeit des aktuellen Tracks in Foobar2000 hinzugefügt. (#6596)
* Das Mac-Befehlstastensymbol (⌘) wird nun beim Lesen von Text mit einem beliebigen Synthesizer angezeigt. (#8366)
* Benutzerdefinierte Regeln über das Attribut "aria-roledescription" werden nun in allen Web-Browsern unterstützt. (#8448)
* Neue Braille-Tabellen: Tschechisches 8-Punkt-Computerbraille, Zentralkurdisch, Spanisch (Esperanto), Ungarisch, Schwedisches 8-Punkt-Computerbraille. (#8226, #8437)
* Unterstützung wurde hinzugefügt, um Braillezeilen im Hintergrund automatisch zu erkennen. (#1271)
 * Braillezeilen ALVA, Baum/HumanWare/APH/Orbit, Eurobraille, HandyTech, Hims, SuperBraille und HumanWare BrailleNote und Brailliant BI/B werden derzeit unterstützt.
 * Sie können diese Funktion aktivieren, indem Sie die automatische Option aus der Liste der Braillezeilen im Braillezeilen-Auswahldialog von NVDA auswählen.
 * Weitere Informationen entnehmen Sie bitte der Dokumentation.
* Unterstützung für verschiedene moderne Eingabefunktionen, die in den letzten Versionen von Windows 10 eingeführt wurden, wurden hinzugefügt. Dazu gehören Emoji-Panel (Fall Creators Update), Diktat (Fall Creators Update), Hardware-Tastatur-Eingabevorschläge (April 2018 Update) und Einfügen aus der Cloud-Zwischenablage (Oktober 2018 Update). (#7273)
* Inhalte, die mit ARIA (role blockquote) als Blockzitat gekennzeichnet sind, werden nun in Mozilla Firefox 63 unterstützt. (#8577)

### Änderungen

* Die Liste der verfügbaren Sprachen im Dialogfeld "Allgemeine Einstellungen" werden nun nach Sprachnamen statt nach ISO-639 sortiert. (#7284)
* Die Tastenkombinationen Alt+Umschalt+Tab und Windows+Tab können mit allen Braillezeilen von Freedom Scientific emuliert werden. (#7387)
* Für ALVA BC680 und Protokollkonverter-Brailezeilen ist es nun möglich, der linken und rechten Smart Pad-, Daumen- und Etouch-Taste unterschiedliche Funktionen zuzuweisen. (#8230)
* Bei ALVA BC6 Braillezeilen werden nun mit der Tastenkombination sp2+sp3 das aktuelle Datum und die Uhrzeit angezeigt, während sp1+sp2 die Windows-Taste emuliert. (#8230)
* Der Benutzer wird einmalig beim Start von NVDA gefragt, ob bei der Überprüfung auf NVDA-Aktualisierungen Nutzungsstatistiken an NV Access gesendet werden sollen. (#8217)
* Der Braille-Übersetzer LibLouis wurde auf Version 3.6.0 aktualisiert. (#8365)
* Der Pfad zur korrekten russischen 8-Punkt-Braille-Tabelle wurde aktualisiert. (#8446)
* Die Sprachausgabe eSpeak-NG wurde auf 1.49.3dev Commit 910f4c2 aktualisiert. (#8561)
* Wenn der Benutzer zugestimmt hat, Nutzungsstatistiken an NV Access zu senden, sendet NVDA nun den Namen des aktuell verwendeten Sprachausgaben-Treibers und der Braillezeile, um eine bessere Priorisierung für zukünftige Arbeiten an diesen Treibern zu ermöglichen. (#8217)

### Fehlerbehebungen

* Zugängliche Beschriftungen für Steuerelemente in Google Chrome werden nun leichter im Lesenmodus angezeigt, wenn die Beschriftung selbst nicht als Inhalt angezeigt wird. (#4773)
* Benachrichtigungen werden jetzt in Zoom unterstützt. Dazu gehören zum Beispiel der Status Stummschaltung ein/aus und eingehende Nachrichten. (#7754)
* Das Umschalten der Braille-Kontextdarstellung im Lesemodus führt nicht mehr dazu, dass die Braille-Ausgabe nach dem Cursor im Lesemodus stehen bleibt. (#7741)
* ALVA BC680 Braillezeilen schlagen nicht mehr beim Initialisieren fehl. (#8106)
* Standardmäßig führen ALVA BC6 Braillezeilen keine emulierten Systemtastaturtasten mehr aus, wenn Tastenkombinationen mit Sp2+Sp3 gedrückt werden, um interne Funktionen auszulösen. (#8230)
* Das Drücken von Sp2 auf einer ALVA BC6 Braillezeile, um die Alt-Taste zu emulieren, funktioniert jetzt wie angekündigt. (#8360)
* NVDA kündigt keine redundanten Änderungen am Tastaturlayout mehr an. (#7383, #8419)
* Die Mausverfolgung ist jetzt viel genauer in Notepad und anderen Editoren, wenn es sich um ein Dokument mit mehr als 65.535 Zeichen handelt. (#8397)
* NVDA erkennt mehr Dialoge in Windows 10 und anderen modernen Anwendungen. (#8405)
* Unter Windows 10 Oktober 2018 Update und Server 2019 und neuer kann NVDA den System-Fokus nicht mehr verfolgen, wenn eine Anwendung das System einfriert oder mit Ereignissen überschwemmt. (#7345, #8535)
* Anwender werden nun informiert, wenn sie versuchen, eine leere Statusleiste zu lesen oder zu kopieren. (#7789)
* Es wurde ein Problem behoben, in dem der Zustand eines Kontrollfelds "nicht angehakt" nicht in der Sprachausgabe gemeldet wurden, wenn die Kontrollfelder zuvor halb angehakt wurde. (#6946)
* In der Liste der Sprachen in den Allgemeinen Einstellungen von NVDA wird der Sprachname für Burmesisch unter Windows 7 korrekt angezeigt. (#8544)
* In Microsoft Edge meldet NVDA Benachrichtigungen wie die Verfügbarkeit der Leseansicht und den Fortschritt des Seitenladens. (#8423)
* Beim Navigieren in eine Liste im Web meldet NVDA nun dessen Beschriftung, wenn der Web-Autor eines angegeben hat. (#7652)
* Bei der manuellen Zuordnung von Funktionen zu Gesten für eine bestimmte Braillezeile erscheinen diese Gesten nun immer als dieser Anzeige zugeordnet. Zuvor tauchten sie auf, als wären sie der gerade aktiven Anzeige zugeordnet. (#8108)
* Die 64-Bit-Version von Media Player Classic wird nun unterstützt. (#6066)
* Verschiedene Verbesserungen der Braille-Unterstützung in Microsoft Word mit aktivierter UIA:
 * Wenn sie an den Anfang des Dokuments springen, wird - ähnlich wie in anderen mehrzeiligen Eingabefeldern auch - die Anzeige auf der Braillezeile linksbündig ausgerichtet. (#8406)
 * Bei der Fokussierung eines Word-Dokuments wurde die Fokussierung für die Sprachausgabe und auf der braillezeile reduziert. (#8407)
 * Das Cursor-Routing auf der Braillezeile funktioniert nun auch in einer Liste in einem Word-Dokument korrekt. (#7971)
 * Neu eingefügte Aufzählungen / Zahlen in einem Word-Dokument werden von der Sprachausgabe und auf der Braillezeile korrekt dargestellt. (#7970)
* Ab Windows 10 1803 ist es nun möglich, Erweiterungen zu installieren, wenn die Funktion "Unicode UTF-8 für weltweite Sprachunterstützung verwenden" aktiviert ist. (#8599)
* iTunes 12.9 ist mit NVDA wieder bedienbar. (#8744)

### Änderungen für Entwickler

* Funktion scriptHandler.script hinzugefügt, das als Dekorator für Skripte auf skriptfähigen Objekten fungieren kann. (#6266)
* Für NVDA wurde ein Systemtest-Framework eingeführt. (#708)
* Im Modul "hwPortUtils" wurden einige Änderungen vorgenommen: (#1271)
 * Das Skript "listUsbDevices" liefert nun Wörterbücher mit Geräte-Informationen wie Hardware-ID und Geräte-Pfad.
 * Wörterbücher von "listComPorts" enthalten nun auch einen uSB-ID-Eintrag für COM-Ports mit USB-VID/PID-Informationen in dessen Hardware-ID.
* Aktualisiert wurde wxPython auf 4.0.3. (#7077)
* Da NVDA jetzt nur noch Windows 7 SP1 und neuer unterstützt, wurde der Schlüssel "minWindowsVersion" entfernt, mit dem geprüft wird, ob UIA für eine bestimmte Windows-Version aktiviert werden sollte. (#8422)
* Sie können sich nun über die neuen Aktionen "config.pre_configSave", "config.post_configSave", "config.pre_configReset" und "config.post_configReset" informieren lassen. (#7598)
 * Das Skript "config.pre_configSave" wird verwendet, um benachrichtigt zu werden, wenn die Konfiguration von NVDA gespeichert werden soll und "config.post_configSave" wird nach dem Speichern der Konfiguration aufgerufen.
 * Die Skripte "config.pre_configReset" und "config.post_configReset" enthalten ein Flag (für die Standard-Einstellung), um festzulegen, ob die Einstellungen von der Festplatte zurückgeladen werden (false) oder auf die Standard-Einstellungen zurückgesetzt werden soll (true).
* Das Skript "config.configProfileSwitch" wurde in "config.post_configProfileSwitch" umbenannt, um der Tatsache Rechnung zu tragen, dass diese Aktion nach dem Profilwechsel aufgerufen wird. (#7598)a
* UIA-Schnittstellen wurden aktualisiert auf Windows 10, Oktober 2018 Update und Server 2019 (IUIAutomation6 / IUIAutomationElement9). (#8473)

## 2018.2.1

Diese Version enthält Übersetzungsaktualisierungen, da eine Funktion, die Probleme verursacht hat, in letzter Minute entfernt wurde.

## 2018.2

Zu den Highlights dieser Version gehören die Unterstützung von Tabellen in Kindle für PC, Unterstützung für BrailleNote Touch- und BI14 Braillezeilen von Humanware, Verbesserungen für Onecore- und Sapi5-Sprachausgaben, Verbesserungen in Microsoft Outlook und vieles mehr.

### Neue Features

* Zeilen- und Spaltenausdehnungen bei verbundenen Zellen werden nun per Sprache und Braille deutlich ausgegeben. (#2642)
* Die Tabellennavigationsbefehle funktionieren jetzt auch in Google Docs-Dokumenten mit aktiviertem Braille-Modus. (#7946)
* Unterstützung für Tabellen in Amazons Kindle für PC (#7977)
* Unterstützung für die Braillezeilenmodelle BrailleNote touch und Brailliant BI 14 via USB und Bluetooth. (#6524)
* In Windows 10 Fall Creators Update und neuer kann NVDA nun Benachrichtigungen von Apps wie etwa dem Rechner oder dem Windows-Store ausgeben. (#8045)
* Neue Braille-Übersetzungstabellen: litauisch 8-Punkt, rumänisch 8 Punkt, Ukrainisch, Mongolische Kurzschrift. (#7839)
* Es wurde ein Skript hinzugefügt, das die Ausgabe von Formatierungsinformationen des Textes unter einem bestimmten Braille-Modul erlaubt. (#7106)
* Bei der Aktualisierung von NVDA auf eine neue Version ist es nun möglich, die Instalation der Aktualisierung auf einen späteren Zeitpunkt zu verschieben. (#4263)
* Neue Sprachen: mongolisch, schweizer-deutsch.
* Sie können nun Tasten(Kombinationen) an Ihrer Braillezeile verwenden, um Umschalttasten wie alt, Strg oder Umschalt mit anderen Tasten zu kombinieren. (#7306)
 * Verwenden Sie hierzu die neu hinzugekommenen Einträge im Dialogfeld "Einstellungen" -> "Tastenbefehle" in der Kategorie "Emulierte Tasten".
* Unterstützung der Braillezeilen von HandyTech wie Braillino und Modular mit älterer Firmware wiederhergestellt. (#8016)
* Datum und Uhrzeit für unterstützte Braillezeilen von HandyTech (wie Active Braille und Active Star) werden nun automatisch von NVDA synchronisiert, wenn sie länger als fünf Sekunden nicht synchronisiert sind. (#8016)
* Es kann nun ein neuer Befehl im Dialogfeld "Tastenbefehle" zugewiesen werden, um temporär alle Profil-Trigger zu deaktivieren. (#4935)

### Änderungen

* Die Spalte Status im Dialogfeld Erweiterungen verwalten zeigt den Status als "aktiviert" oder "deaktiviert" an; nicht mehr als "wird ausgeführt" oder "stillgelegt". (#7929)
* Der Braille-Übersetzer Liblouis wurde auf Version 3.5.0 aktualisiert. (#7839)
* Die litauische Braille-Übersetzungstabelle wurde auf Litauisch 6-Punkt umbenannt, um Verwechslungen mit der neuen 8-Punkt-Tabelle zu vermeiden. (#7839)
* Die kanadisch-französischen Braille-Tabellen für Kurz- und Vollschrift wurden entfernt, stattdessen werden die vereinheitlichten 6-Punkt-Computerbraille und Kurzschrift-Tabellen verwendet. (#7839)
* Die sekundären Routing-Tasten auf Alva BC6-, EuroBraille- und Papenmeier-Braillezeilen zeigen nun Formatierungsinformationen für den Text unter dem Braille-Modul dieser Taste an. (#7106)
* Beim Eingeben von Kurzschrift fällt NVDA automatisch auf eine Basisschrift-Eingabetabelle zurück, wenn sich der Fokus z. B. im Lesemodus auf einem Steuerelement befindet, das keine Einfügemarke besitzt. (#7306)
* NVDA zeigt in Outlook weniger ausführliche Informationen an, wenn eine Besprechung oder ein Termin angezeigt wird, der/die einen ganzen Tag umfasst. (#7949)
* Alle Einstellungen von NVDA werden nun in einem einzigen Dialogfeld unter Optionen -> Einstellungen angezeigt. (#7302)
* Unter Windows 10 wurde die Standardsprachausgabe auf Windows-OneCore geändert. (#8176)

### Fehlerbehebungen

* Das Auslesen des Anmeldebildschirms für das Microsoft-Konto funktioniert nun ordnungsgemäß, nachdem Sie eine E-Mail-Adresse eingegeben haben. (#7997)
* Das Auslesen von Webseiten in Microsoft Edge funktioniert nun auch dann noch, wenn Sie eine Seite zurückgesprungen sind. (#7997)
* NVDA gibt nun nicht mehr die letzte Ziffer der Pin beim Entsperren des Rechners im Klartext aus. (#7908)
* Beim Navigieren durch Webseiten mit Tab oder mit den Schnellnavigationsbefehlen werden Beschriftungen für Auswahlschalter oder Kontrollkästchen nicht mehr doppelt ausgegeben. (#7960)
* Das Attribut "aria-current" wird auch dann korrekt ausgewertet, wenn es auf "false" gesetzt ist. (#7892).
* Das Laden des Treibers für die Windows OneCore-Sprachausgabe schlägt nicht mehr fehl, wenn die eingestellte Stimme deinstalliert wurde. (#7999)
* Das Ändern der Stimmen im Treiber von Windows OneCore ist jetzt viel schneller. (#7999)
* Behebung fehlerhafter Braille-Ausgabe für mehrere Braille-Tabellen, einschließlich Großbuchstaben in Dänischer 8-Punkt-Kurzschrift. (#7526, #7693)
* NVDA erkennt nun mehr Aufzählungsarten in Microsoft Word. (#6778)
* Bei der Ausgabe der Formatierungsinformationen wird der Cursor nicht mehr fälschlicherweise verschoben, d. h., wenn Sie sie mehrmals abrufen, führt dies nicht mehr zu verschiedenen Ergebnissen. (#7869)
* Braille-Eingabe in Kurzschrift ist nur noch dort möglich, wo sie auch tatsächlich unterstützt wird (z. B. in Eingabefeldern). (#7306)
* Braillezeilenspezifische Tastenkombinationen für handytech-Zeilen wurden korrigiert. (#8016)
* NVDA zeigt nicht mehr "Unbekannt" an, wenn Sie in Windows 8 oder neuer mit Windows-Taste+X das "Kleine Startmenü" aufrufen. (#8137)
* Modellspezifische Tastenkombinationen auf Hims-Braillezeilen funktionieren nun wie im handbuch dokumentiert. (#8096)
* Probleme mit fehlerhaft registrierten COM-Objekten für Firefox und internet Explorer wurden gelöst. (#2807)
* Probleme mit der Anzeige mancher Details im Taskmanager wurden gelöst. (#8147)
* Neuere SAPI5-Stimmen sollten jetzt schneller reagieren. (#8174)
* NVDA meldet nicht mehr (LTR- und RTL) Marken in Braille oder bei "zeichenweises Lesen", wenn in neueren Windows-Versionen auf die Uhr zugegriffen wird. (#5729)
* Die Erkennung von Scroll-Tasten auf den Hims Smart Beetle Braillezeilen ist jetzt zuverlässiger. (#6086)
* In einigen Textsteuerelementen, insbesondere in Delphi-Anwendungen, sind die Informationen zum Bearbeiten und Navigieren jetzt viel zuverlässiger. (#636, #8102)
* Unter Windows 10 (Redstone 5) meldet NVDA keine zusätzlichen redundanten Informationen mehr, wenn mit Alt + Tab zwischen ausgeführten Programmen gewechselt wird. (#8258)

### Änderungen für Entwickler

* Die Entwickler-Informationen für UIA-Objekte enthält nun eine Liste aller unterstützten Muster. (#5712)
* Sie können nun die Verwendung von UIA innerhalb Ihres Anwendungsmoduls erzwingen, indem Sie die Methode isGoodUIAWindow implementieren. (#7961)
* Die boolesche Einstellung "outputPass1Only" im Abschnitt Braille in der Konfiguration wurde wieder entfernt, da LibLouis diese Funktion nicht mehr unterstützt. (#7839)

## 2018.1.1

Dies ist eine spezielle NVDA-Version, die einen Fehler im Windows-OneCore-Sprachausgabentreiber behebt. Zuvor sprach NVDA unter Windows 10 Redstone 4 (1803) mit höherer Stimme und höherer Geschwindigkeit. (#8082)

## 2018.1

Zu den Highlights dieser Version gehören die Unterstützung für Diagramme in Microsoft Word und Microsoft PowerPoint, neu unterstützte Braillezeilen einschließlich Eurobraille und dem Optelec Protokollkonverter, verbesserte Unterstützung für Hims und Optelec Braillezeilen, Leistungsverbesserungen für Mozilla Firefox 58 und neuer und vieles mehr.

### Neue Features

* In Microsoft Word und Microsoft PowerPoint ist es nun möglich mit Diagrammen zu interagieren, ähnlich der Unterstützung für Diagramme in Microsoft Excel. (#7046)
 * In Microsoft Word: Wenn Sie sich im Lesemodus befinden, stellen Sie sich auf ein eingebettetes Diagramm und drücken Eingabe, um damit zu interagieren.
 * In Microsoft PowerPoint, während Sie eine Folie bearbeiten: Springen Sie mit der Tabulatortaste auf ein diagramm-Objekt und drücken Sie die Eingabe- oder Leertaste, um damit zu interagieren.
 * Das interagieren beenden Sie mit der Escape-Taste.
* Neue Sprache: Kirgisisch.
* Unterstützung für VitalSource Bookshelf wurde hinzugefügt. (#7155)
* Unterstützung für den Optelec-Protokollkonverter wurde hinzugefügt. Dies ist ein Gerät, dass die Nutzung von Braille-Voyager- und Satellite-Braillezeielen ermöglicht. Dabei wird das ALVA BC6 Kommunikationsprotocol verwendet. (#6731)
* Die Breilleeingabe über eine ALVA-640-Comfort-Braillezeile wird nun unterstützt. (#7733)
 * Die Braille-Eingabe kann auch mit den obigen oder mit anderen BC6-Braillezeilen mit Firmware 3.0.0 oder neuer genutzt werden.
* Erstmalige Unterstützung von Google Tabellen mit aktiviertem Braillemodus. (#7935)
* Die Braillezeilen Esys, Esytime und Iris von Eurobraille werden nun unterstützt. (#7488)

### Änderungen

* Die Treiber für die Zeilen HIMS Braille Sense / Braille EDGE / Smart Beetle und Hims Sync Braille wurden durch einen einzelnen Treiber ersetzt, der automatisch aktiviert wird, sofern Sie eine Syncbraille-zeile verwenden. (#7459)
 * Einige Tasten, insbesondere die Scroll-Tasten, wurden neu zugewiesen, um den von Hims-Produkten verwendeten Konventionen zu entsprechen. Für mehr Details siehe die Bedienungsanleitung.
* Beim Eingeben von Zeichen über die bildschirmtastatur müssen Sie nun jedes zeichen doppelt antippen, so wie Sie jedes andere Steuerelement betätigen. (#7309)
 * Um das vorherige Verhalten zurückzubekommen und Touch typing zu aktivieren, benutzen Sie die neu hinzugekommenen Optionen im Touch interaktion-Einstellungsdialog.
* Es ist nicht mehr nötig, die Braillezeile ausdrücklich an den Fokus oder den NVDA-Cursor zu koppeln. Standardmäßig wird die Braillezeile automatisch gekoppelt. (#2385)
 * Die automatische Kopplung der Braillezeile an den NVDA-Cursor funktioniert nur bei Befehlen, die ausdrücklich den NVDA-Cursor oder den Navigator betreffen (wie z. B. die Befehle zum Betrachten von Text). Scrollen auf der Braillezeile wird keine automatische Kopplung auslösen.

### Fehlerbehebungen

* Sollte der Pfad des Ordners, in dem NVDA installiert ist, nicht-ASCII-Zeichen enthalten, schlägt die Anzeige der Formatierungsinformationen im lesemodus nicht mehr fehl, wenn Sie NVDA+F zweimal drücken. (#7474)
* Der Fokus wird nun korrekt gesetzt, wenn Sie von einer anderen Anwendung zu Spotify zurückkehren. (#7689)
* Wenn unter Windows 10 Fall Creators Update der ordnerschutz im Windows Defender Security Center aktiviert ist, schlägt die Aktualisierung von NVDA nicht mehr fehl. (#7696)
* Die Scroll-Tasten von HIMS Smart Beetle funktionieren nun korrekt. (#6086)
* Eine leichte Leistungsverbesserung bei der Darstellung umfangreichere Inhalte in Mozilla Firefox 58 und neuer. (#7719)
* Beim Lesen von Mails in Microsoft Outlook, die Tabellen enthalten, kommt es nicht mehr zu fehlern. (#6827)
* Braillezeilen-Befehle, die ModifikationsTasten der Computertastatur emulieren, können auch dann kombiniert werden, wenn sie auf ein bestimmtes Braillezeilenmodell beschränkt sind. (#7783)
* Dialoge, die von Erweiterungen wie LastPass oder bitwarden in Firefox erzeugt werden, werden nun korrekt im Lesemodus angezeigt. (#7809)
* Sollten Firefox oder Chrome einfrieren oder abstürzen, ist nVDA jetzt nicht mehr unmittelbar betroffen. (#7818)
* In Twitter-Clients, wie Chicken Nugget, werden beim Lesen von Beiträgen mit 280 Zeichen die letzten 20 Zeichen nicht mehr ignoriert. (#7828)
* Beim Markieren von Text sagt NVDA die Sonderzeichen und Symbole jetzt in der richtigen Sprache an. (#7687)
* In aktuellen Versionen von Microsoft Office können Sie wieder mit den Pfeiltasten in Microsoft Excel-Diagrammen navigieren. (#7046)
* Der Status für aktivierbare Kontrollfelder wird nun in Sprache und braille immer in der richtigen Reihenfolge ausgegeben, sowohl im positiven als auch im negativen Fall. (#7076)
* In Windows-Apps wie Windows Mail sagt nVDA gelöschte zeichen beim Drücken der Rücktaste korrekt an. (#7456)
* Alle Tasten der Hims Braille Sense Polaris Braillezeilen funktionieren nun richtig. (#7865)
* NVDA gibt beim Starten auf Windows 7 keine Fehlermeldung mehr aus, wenn bestimmte Versionen der Visual Studio 2017 Redistributable durch andere Anwendungen installiert wurden. Die Fehlermeldung betraf interne API-LS dll-Dateien. (#7975)

### Änderungen für Entwickler

* Neue versteckte bool'sche Einstellung im Abschnitt Braille in der NVDA-Konfiguration: "outputPass1Only". (#7301, #7693, #7702)
 * Wird diese Einstellung auf False gesetzt, werden auch LibLouis-Regeln verarbeitet, die mehrere Durchläufe erfordern. Standardmäßig ist True voreingestellt.
* Ein neues Wörterbuch (Braille.RENAMED_DRIVERS) wurde hinzugefügt, um einen reibungslosen übergang beim Wechseln von alten Treibern für Benutzer zu ermöglichen. (#7459)
* Python: comtypes wurde auf Version 1.1.3 aktualisiert. (#7831)
* Um mit Braillezeilentreibern richtig umgehen zu können, die Bestätigungsmeldungen senden, wurde braille.brailledisplaydriver überarbeitet. Sehen Sie sich den Handytechtreiber für weitere Informationen an. (#7590, #7721)
* Um zu erkennen, ob NVDA aus dem Windows Store heraus ausgeführt wurde, wurde dem Modul config eine neue Variable ISAPPX hinzugefügt. (#7851)
* Für Dokumentklassen, die den Lesemodus unterstützen und ein Textinfo-Objekt enthalten, wurde eine neue Klasse "documentBase.documentWithTableNavigation" eingeführt, um Standard-Tabellennavigationsbefehle zur Verfügung zu stellen. Weitere Informationen über die Helper-Methoten, die bei der Implementierung berücksichtigt werden müssen, finden Sie in der Entwicklerdokumentation für die Klasse. (#7849)
* Die Scons-Batch-Datei kann nun besser funktionieren wenn auch Python 3 installiert ist. Die Batch-Datei nutzt den Launcher, um python 2.7 32 bit auszuführen. (#7541)
* Die Funktion "hwIo.Hid" erhält einen zusätzlichen exklusiven parameter, welcher standardmäßig auf True gesetzt ist. Wenn der Parameter auf False gesetzt wird, dann können andere Anwendunngen mit einem Gerät kommunizieren, während die Anwendungen von NVDA getriggert werden. (#7859)

## 2017.4

Schwerpunkt dieser Version sind zahlreiche Verbesserungen und Fehlerbehebungen im Lesemodus. Hierzu zählen die standardmäßige Verwendung des Lesemodus in Web-Dialogen, eine verbesserte Anzeige der Beschriftungen von Gruppierungen im Lesemodus, die Unterstützung neuer Windows 10-Technologien wie Windows Defender Application Guard und Windows 10 auf ARM64 sowie die automatische Ausgabe der Ausrichtung (Hoch- oder Querformat) des Bildschirms sowie des Akku-Status.
Bitte beachten Sie, dass diese NVDA-Version unter Windows XP und Windows Vista nicht mehr läuft. Sie benötigen mindestens Windows 7 mit Service pack 1.

### Neue Features

* Im Lesemodus können die Tasten Komma und Umschalt+Komma verwendet werden, um vor oder hinter Sprungmarken zu navigieren. (#5482)
* Im Lesemodus können Sie mit den Schnellnavigationstasten für Eingabefelder und Formularfelder nun auch zu Rich-Text-Eingabefeldern navigieren. (#5534)
* In Web-Browsern enthält die Elementliste nun auch Formularfelder und Schalter. (#588)
* Grundlegende Unterstützung für Windows 10 auf ARM64. (#7508)
* Grundlegende Unterstützung beim Lesen von und Navigieren in mathematischen Inhalten in Kindle-Büchern, welche barrierefreie Mathematik berücksichtigen. (#7536)
* Unterstützung für den Azardi eBook Reader. (#5848)
* Beim Aktualisieren von NVDA-Erweiterungen werden Versionsinformationen angegeben. (#5324)
* Neue Kommandozeilen-Parameter zum Erstellen einer portablen NVDA-Version wurden hinzugefügt. (#6329)
* Microsoft Edge wird unterstützt, wenn es innerhalb von Windows Defender Application Guard ausgeführt wird. Dies gillt ab dem Windows 10 Fall Creators Update. (#7600)
* Wenn NVDA auf einem Laptop oder einem Tablet ausgeführt wird, werden Sie benachrichtigt, wenn Sie ein Netzteil anschließen, abziehen oder wenn sich die Bildschirmausrichtung ändert. (#4574, #4612)
* Neue Sprache: Mazedonisch.
* Neue Braille-Übersetzungstabellen: kroatische Vollschrift, vietnamesische Vollschrift. (#7518, #7565)
* Das Braillezeilenmodell Actilino von handyTech wird unterstützt. (#7590)
* Die Braille-Eingabe auf Braillezeilen von HandyTech wird unterstützt. (#7590)

### Änderungen

* NVDA benötigt mindestens Windows 7 Service Pack 1 oder Windows Server 2008 R2 Service Pack 1. (#7546)
* In Firefox und Google Chrome wird in Web-Dialogen der Lesemodus verwendet, es sei denn, die Webdialoge befinden sich in Webanwendungen. (#4493)
* Beim Navigieren im Lesemodus mittels Tab oder Schnellnavigationstasten wird das Verlassen von Containern wie Listen und Tabellen nicht mehr ausdrücklich angezeigt. (#2591)
* In Firefox und Google Chrome werden die Namen von Formulargruppen angezeigt, wenn Sie zu einem Formularfeld springen. (#3321)
* Die Schnellnavigationstasten für eingebettete Objekte (O und Umschalt+O) berücksichtigen Audio- und Video-Elemente ebenso wie Web-Anwendungen und Web-Dialoge. (#7239)
* Aktualisiert wurde eSpeak-NG auf 1.49.2, wodurch einige Probleme bei der Erstellung von Release-Builds behoben wurden. (#7385, #7583)
* Bei dreimal Drücken der Tastenkombination zum Lesen der statuszeile wird diese in die Zwischenablage kopiert. (#1785)
* Beim Zuweisen von NVDA-Befehlen an Tasten der Braillezeilen von Baum kann die Zuweisung auf ein bestimmtes Braillezeilenmodell beschränkt werden (z. B. Baum Vario Ultra, Baum Pronto). (#7517)
* Die Tastenkombination zum direkten Anspringen des Suchfeldes in der Elementliste wurde von Alt+F in Alt+E geändert. (#7569)
* Im Dialogfeld "Einstellungen" -> "Eingaben" gibt es in der Kategorie Lesemodus einen neuen (noch nicht zugewiesenen) Befehl. Mit diesem Befehl können Sie Layout-Tabellen ein- oder ausblenden. (#7634)
* Der Braille-Übersetzer LibLouis wurde auf Version 3.3.0 aktualisiert. (#7565)
* Die Tastenkombination zum Aktivieren von regulären Ausdrücken als Ersetzungskriterium im Wörterbuchdialog wurde von alt+r auf alt+e geändert. (#6782)
* Die Aussprache-Wörterbücher werden nun versioniert und wurden in den Ordner "speechDicts/voiceDicts.v1" verschoben. (#7592)
* Versionierte Dateien (Benutzerkonfiguration, Aussprache-Wörterbücher) werden nicht gespeichert, wenn NVDA von Launcher aus ausgeführt wird. (#7688)
* Die Braillezeilenmodelle Braillino, Buchwurm und Modular (mit der alten Firmware) werden nicht mehr ohne weiteres unterstützt. Um diese Braillezeilenmodelle zu verwenden, müssen Sie den Handytech-Universaltreiber und die NVDA-Erweiterung installieren. (#7590)

### Fehlerbehebungen

* In Anwendungen, wie Microsoft Word, werden Links nun in Braille angezeigt. (#6780)
* Wenn in Firefox oder Google Chrome viele Registerkarten geöffnet sind, reagiert NVDA nun schneller. (#3138)
* Die Cursor-Routing-Tasten von MDV Lilli-Braillezeilen platzieren den Cursor nicht mehr eine Position hinter die gedrückte Position. (#7469)
* Im Internet Explorer und anderen MSHTML-Dokumenten wird das Attribut Required korrekt unterstützt, sodass NVDA angiebt, dass ein Formularfeld zwingend ausgefüllt werden muss. (#7321)
* Die Anzeige in Braille wird beim Eingeben arabischer Zeichen aktualisiert. (#511).
* In Firefox wird die Beschriftung von Formularelementen auch dann angezeigt, wenn die Beschriftung nicht auf den Formularelementen selbst zu finden ist. (#4773)
* Unter Windows 10 Creators Update funktioniert die NVDA-Unterstützung von Firefox auch dann noch, wenn Sie NVDA neu starten. (#7269)
* Wenn Sie NVDA neu starten, während Firefox im Vordergrund ist, steht der Lesemodus wieder zur Verfügung, auch wenn Sie den Fokus mit alt+tab aus Firefox hinaus und wieder hineinbewegen müssen. (#5758)
* Unterstützung mathematischer Inhalte in Google Chrome auf Systemen, auf denen Firefox nicht installiert ist. (#7308)
* Das Betriebssystem und die Anwendungen sollten nun nach der Installation von NVDA stabiler laufen (verglichen mit vorherigen NVDA-Versionen). (#7563)
* Wenn das Navigator-Objekt beim Aufruf der Inhaltserkennung (z. B. mit NVDA+R) verschwunden sein sollte, zeigt NVDA eine Warnmeldung an. (#7567)
* Das Zurückscrollen bei Freedom Scientific-Braillezeilen mit einer linken Wipptaste funktioniert nun ordnungsgemäß. (#7713)

### Änderungen für Entwickler

* Beim Ausführen von "scons tests" wird geprüft, ob sämtliche übersetzbaren Zeichenketten Kommentare besitzen. Dieser Test kann auch separat ausgeführt werden. Benutzen Sie dafür den Befehl "scons checkPot". (#7492)
* Es gibt jetzt ein neues Modul extensionPoints, das ein generisches Framework zur Verfügung stellt, um die Erweiterbarkeit des Codes an bestimmten Stellen im Code zu ermöglichen. Dies ermöglicht es Interessenten, sich zu registrieren, um bei einem bestimmten Ereignis benachrichtigt zu werden (ExtensionPoints.Action), um eine bestimmte Art von Daten zu ändern (ExtensionPoints.Filter) oder um an der Entscheidung teilzunehmen, ob etwas getan wird (ExtensionPoints.Decider). (#3393)
* Sie können sich jetzt registrieren, um über Konfigurationsprofilwechsel benachrichtigt zu werden, indem Sie die Aktion config.configProfileSwitched aufrufen. (#3393)
* Braille-Gesten, die Umschaltttasten emulieren (z. B. Strg und Alt), können nun ohne explizite Definition mit anderen emulierten Systemtasten kombiniert werden. (#6213)
 * Wenn Sie z. B. eine Taste auf Ihrer Braillezeile an die Alt-Taste gebunden haben und eine andere BraillezeilenTaste an die Taste Pfeil ab, führt das Kombinieren dieser Tasten zur Emulation von alt+Pfeil ab.
* Die Klasse BrailleDisplayGesture hat jetzt eine zusätzliche Eigenschaft Namens model. Wenn vorhanden, wird durch Drücken einer Taste ein zusätzlicher, modellspezifischer Gesten-Identifikator erzeugt. Damit kann der Benutzer Gesten binden, die auf ein bestimmtes Braillezeilenmodell beschränkt sind.
 * Sehen Sie sich den Treiber für Baum-Braillezeilen als Beispiel für diese neue Funktionalität an.
* NVDA wird nun mit Visual Studio 2017 und Windows 10 SDK compiliert. (#7568)

## 2017.3

Schwerpunkte dieser Version sind u. a. die eingabe von voll- und Kurzschrift über eine Braillezeile, die Unterstützung von Windows OneCore-Stimmen, die Unterstützung von OCR unter Windows 10 sowie viele Verbesserungen bei der Braille-ausgabe.

### Neue Features

* In den Braille-Einstellungen gibt es eine neue Option, die die dauerhafte Anzeige von Meldungen ermöglicht. (#6669)
* In der Nachrichtenliste von Microsoft Outlook werden markierte Nachrichten als solche angezeigt. (#6374)
* In Microsoft PowerPoint wird beim Bearbeiten einer Folie eine Form genau beschrieben, wenn Sie sie bearbeiten (Beispiele sind z. B. Dreieck, Kreis, Video oder Pfeil). Zuvor wurde eine Form lediglich als "Form" angezeigt. (#7111)
* MathML wird jetzt auch in Google Chrome unterstützt. (#7184)
* NVDA unterstützt jetzt auch die neuen Windows OneCore-Stimmen, die in Windows 10 enthalten sind. Sie können diese Stimmen verwenden, indem Sie Windows OneCore-Stimmen unter Einstellungen --> Sprachausgabe auswählen. (#6159)
* Die Konfigurationsdateien von NVDA können jetzt auch im lokalen Konfigurationsverzeichnis gespeichert werden. Die betreffende Einstellung wird in der Registrierungsdatenbank von Windows vorgenommen. Weitere Informationen dazu finden Sie im Abschnitt "Systemparameter" im Benutzerhandbuch. (#6812)
* In Internet-Browsern werden Platzhalterwerte für Eingabefelder angezeigt, solange sie noch leer sind. NVDA unterstützt jetzt auch das Aria-Attribut "aria-placeholder". (#7004)
* Im Lesemodus von Microsoft Word können Sie nun mit W und Umschalt+W zum nächsten und vorherigen Rechtschreibfehlern navigieren. (#6942)
* Datumsfelder in Dialogfeldern für Microsoft Outlook-Termine werden unterstützt. (#7217)
* In dem "An"- und "CC"-Feld in der Windows 10 Mail-App und im Suchfeld für die Windows-Einstellungen wird der aktuell hervorgehobene Vorschlag angezeigt. (#6241)
* Sobald die Vorschlagsliste für ein Suchfeld in Windows 10 erscheint, wird ein Klang abgespielt. (#6241)
* In Skype für Unternehmen werden Benachrichtigungen, wie ankommende Nachrichten automatisch angezeigt. (#7281)
* In Skype für Unternehmen werden ankommende Chatnachrichten automatisch vorgelesen, während man sich in einer Unterhaltung befindet. (#7286))
* In Microsoft Edge werden Benachrichtigungen (z. B. über abgeschlossene Downloads) automatisch angezeigt. (#7281)
* Sie können nun Kurz-, Voll- und Basisschrift über die Brailletastatur einer Braillezeile eingeben. Für weitere Informationen lesen Sie den Abschnitt über Braille-Eingabe in Benutzerhandbuch. (#2439)
* Mit Hilfe der Brailletabelle Unicode können Sie nun Unicode-Zeichen über die Brailletastatur einer Braillezeile eingeben. (#6449)
* Die in Taiwan gebräuchliche Braillezeile Superbraille wird nun unterstützt. (#7352)
* Neue Braille-Übersetzungstabellen: Dänisches 8-Punkt-Computerbraille, Litauisch, Persisches 8-Punkt-Computerbraille, Persische Vollschrift, Slowenisches 8-Punkt-Computerbraille. (#6188, #6550, #6773, #7367)
* Die Braille-Übersetzungstabelle für Englisches 8-Punkt-Computerbraille (USA) wurde verbessert; dies betrifft Aufzählungszeichen, das Eurosymbol und Akzentbuchstaben. (#6836)
* Sie können die in Windows 10 integrierte Texterkennung verwenden, um unzugängliche Bilder und Anwendungen zu erkennen. (#7361)
 * Die Erkennungssprache kann im neuen Dialogfeld "Windows 10-Texterkennung" eingestellt werden.
 * Um den Inhalt des Navigator-Objektes zu erkennen, drücken Sie NVDA+R.
 * Lesen Sie den Abschnitt über die Inhaltserkennung für weitere Informationen im Benutzerhandbuch.
* Sie können nun einstellen, wann der Kontext für ein fokussiertes Objekt in Braille angezeigt werden soll. Verwenden Sie dafür die Einstellung "Kontext anzeigen" in den Braille-Einstellungen. (#217)
 * Die Einstellungen "Nur bei Änderungen" und "Nur beim Scrollen" bewirken eine bessere Anzeige, weil sich die Position von neu angezeigten Listen- und Menüeinträgen auf der Braillezeile nicht verändert.
 * Lesen Sie den Abschnitt "Fokuskontext anzeigen" im Benutzerhandbuch für weitere Informationen.
* In Firefox und Google Chrome werden komplexe Tabellenblätter unterstützt, von denen nur ein Teil geladen und angezeigt wird (Dies betrifft Elemente mit den Attributen "aria-rowcount", "aria-colcount", "aria-rowindex" und "aria-colindex", die mit ARIA 1.1 eingeführt wurden). (#7410)

### Änderungen

* Mit Hilfe eines neuen, nicht zugewiesenen Befehls kann NVDA schnell neu gestartet werden. Dieser Befehl ist unter der Kategorie "Verschiedenes" zu finden. (#6396)
* Das Tastaturschema kann nun im Willkommensbildschirm von NVDA eingestellt werden. (#6863)
* Viele neue Steuerelementtypen und Statusinformationen werden in Braille abgekürzt. Dies betrifft u. a. Sprungmarken. Lesen Sie die Abschnitte über Abkürzungen für Steuerelementtypen und Statusinformationen im Benutzerhandbuch für eine komplette Liste. (#7188, #3975)
* Die Sprachausgabe eSpeak-NG wurde auf Version 1.49.1 aktualisiert. (#7280).
* Die Liste der Braille-Ein- und -Ausgabetabellen wird nun alphabetisch sortiert. (#6113)
* Der Braille-Übersetzer LibLouis wurde auf 3.2.0 aktualisiert. (#6935)
* Als Standard-Brailletabelle wird nun "Vereinheitlichte Englische Vollschrift" voreingestellt. (#6952)
* Standardmäßig zeigt NVDA nur noch dann den Kontext eines Objektes an, wenn ein neues Objekt den Fokus erhält. (#217)
 * Zuvor wurde der Kontext auch dann angezeigt, wenn er sich nicht geändert hat.
 * Sie können das alte Verhalten erzwingen, indem Sie in den Braille-Einstellungen von NVDA die Option "Kontext anzeigen" auf "immer" umstellen.
* In den Braille-Einstellungen können - je nach Kopplung der Braillezeile - unterschiedliche Cursofformen eingestellt werden. (#7122)
* Das Logo von NVDA wurde geändert. Es zeigt nun die Buchstaben NVDA in weißer Schrift auf rotem Hintergrund. (#7446)

### Fehlerbehebungen

* Bearbeitbare Div-Elemente in Chrome haben nicht mehr ihre Beschriftung als Wert. (#7153)
* Das Drücken von "Ende" im Lesemodus in einem lehren Microsoft Word Dokument führt nicht mehr zu einem Laufzeitfehler. (#7009)
* Der Lesemodus von Microsoft Edge wird auch dann vollständig unterstützt, wenn das angezeigte Dokument die ARIA-Klasse "document" besitzt. (#6998)
* Im Lesemodus können Sie selbst dann mit Umschalt+Ende den Rest der Zeile markieren, wenn sich der Cursor bereits auf dem letzten Zeichen befindet. (#7157)
* Wenn ein Dialogfenster eine Fortschrittsanzeige enthält, wird bei Änderungen an der Fortschrittsanzeige auch der Text des Dialogfensters in Braille aktualisiert. Das bedeutet, dass z. B. das Fortschreiten der Zeit zum Herunterladen beim Aktualisieren von NVDA Sie verfolgen können. (#6862)
* Einige Kombinationsfelder in Windows 10 wie z. B. die Einstellungen für automatische Wiedergabe werden jetzt unterstützt. (#6337).
* Beim Erstellen von Besprechungen und Terminen in Microsoft Outlook werden keine wertlosen Informationen mehr angezeigt. (#7216)
* Signaltöne für Fortschrittsbalken mit scheinbar unbegrenztem Wertebereich (wie der Fortschrittsbalken bei der Prüfung nach Aktualisierungen) werden nur noch wiedergegeben, wenn Sie in den Einstellungen für Objektdarstellungen die Signaltöne für Fortschrittsbalken aktiviert haben. (#6759)
* In Microsoft Excel 2003 und 2007 werden die Zellen wieder angezeigt, wenn Sie in einem Tabellenblatt navigieren. (#7243)
* Der lesemodus in Windows 10 Mail in Windows 10 Creators Update funktioniert nun wieder korrekt. (#7289)
* Auf den meisten Braillezeilen mit einer Brailletastatur bewirkt das Drücken von Punkt 7 ein Löschen des zuletzt eingegebenen zeichens und ein Drücken von Punkt 8 betätigt die Eingabetaste. (#6054)
* Das Bewegen des System-Cursors (mit den Pfeiltasten) wird nun exakter verfolgt. Dies betrifft vor allem Chrome und eingabeaufforderungen. (#6424)
* Das Eingabefeld für die Signatur in Microsoft Outlook 2016 wird nun korrekt erkannt. (#7253)
* In Java-Swing-Anwendungen stürzt NVDA beim Navigieren in Tabellen nicht mehr ab. (#6992)
* In Windows 10 Creators Update werden Benachrichtigungen nicht mehr mehrfach angezeigt. (#7128)
* Wenn das Startmenü von Windows 10 beim Drücken der Eingabetaste geschlossen wird, wird der Suchbegriff nicht mehr angezeigt. (#7370)
* Die Schnellnavigation für Überschriften in Microsoft Edge ist nun schneller. (#7343)
* Beim Verwenden der Schnellnavigation in Microsoft Edge werden in bestimmten Seiten wie Wordpress 2015 nicht mehr große Teile der Webseite übersprungen. (#7143)
* In Microsoft Edge werden Sprungmarken korrekt übersetzt. (#7328)
* Die Braillezeile verfolgt nun die markierung korrekt, wenn Sie mehr Text markieren, als auf die Braillezeile passt. Wenn Sie mit Umschalt+Pfeil Ab mehrere Zeilen markieren, zeigt die Braillezeile nur die letzte markierte Textzeile an. (#5770)
* Wenn Sie auf twitter.com die Details zu einem Beitrag öffnen, zeigt NVDA in Firefox nicht mehr mehrfach "Abschnitt" an. (#5741)
* Die Schnellnavigationstasten für Tabellen berücksichtigen Layout-Tabellen nur noch, wenn diese auch in den Einstellungen für den Lesemodus aktiviert wurden. (#7382)
* Im Lesemodus für Firefox und Google Chrome überspringen die Schnellnavigationsbefehle für Tabellen nun verborgene Zellen. (#6652, #5655)

### Änderungen für Entwickler

* Die Zeitstempel im Protokoll enthalten jetzt auch Millisekunden. (#7163)
* NVDA muss mit Visual Studio Community 2015 erzeugt werden. Visual Studio Express wird nicht mehr unterstützt. (#7110)
 * Das Windows 10 SDK inkl. Tools ist nun ebenfalls erforderlich. Es kann aktiviert werden, wenn Sie Visual Studio installieren.
 * Lesen Sie den Abschnitt über Abhängigkeiten in der Liesmich-Datei für weitere Informationen.
* Die Inhaltserkennung von Windows 10 kann nun mit Hilfe des Paketes contentRecog verwendet werden. Dazu gehört die Beschreibung von Bildern und die Texterkennung. (#7361)
* Das Paket Python Json wird nun standardmäßig mitgeliefert. (#3050)

## 2017.2

Schwerpunkte dieser Version sind u. a. eine volle Unterstützung von Audio-Ducking unter Windows 10 Creators Update; Fehlerbehebungen beim Markieren von Text im Lesemodus; Verbesserungen in der Unterstützung von Microsoft Edge; sowie Verbesserungen bei der Anzeige von Webdokumenten, die das Aria-Current-Attribut verwenden.

### Neue Features

* In Microsoft Excel können nun Informationen über Zellrahmen mittels NVDA+F abgefragt werden. (#3044)
* Unterstützung für ARIA-Current-Attribute hinzugefügt. (#6358)
* Microsoft Edge unterstützt jetzt auch den automatischen Sprachenwechsel. (#6852)
* Unterstützung für den Windows-Rechner in Windows 10 LTSB hinzugefügt. (#6914)
* Wird die Tastenkombination zum Lesen der aktuellen Zeile dreimal hintereinander gedrückt, so wird die Zeile phonetisch buchstabiert. (#6893)
* Neue Sprache: Birmanisch.
* In Unicode Auf- und Ab-Pfeile sowie Bruchzeichen werden nun korrekt ausgesprochen. (#3805)

### Änderungen

* Die Navigation mit dem NVDA-Cursor bei aktivierter Option ""Einfacher Darstellungsmodus" in UIA-Anwendungen wurde vereinfacht. (#6948, #6950)

### Behobene Fehler

* Menüeinträge auf Webseiten, die Kontrollkästchen oder Auswahlschalter enthalten, können jetzt im Lesemodus aktiviert werden. (#6735)
* Die Rückfrage zur Löschung eines Konfigurationsprofils kann nun mit Escape beantwortet, also abgebrochen werden. (#6851)
* Probleme mit Abstürzen in Firefox und anderen Gecko-Anwendungen behoben, die in mehreren Prozessen ausgeführt werden. (#6885)
* Die Erkennung von Hintergrundfarben wurde verbessert; dies betrifft Elemente, die auf einen transparenten hintergrund gezeichnet werden. (#6467)
* Anzeige von Beschreibungen für Steuerelemente auf Webseiten in Internet Explorer 11 verbessert, Dies betrifft die Unterstützung des "aria-describedby"-Attributs für eingebettete Rahmen und objekte, die mehrere Ids besitzen. (#5784)
* Im Windows 10 Creators Update sind alle Audioducking-Funktionen wieder verfügbar. (#6933)
* NVDA zeigt nun auch solche (UIA)-Steuerelemente korrekt an, deren Tastenkombination nicht (richtig) definiert wurde. (#6779)
* An die Tastenkombination von (UIA)-Steuerelementen werden nicht mehr fälschlicherweise zwei Leerzeichen angehängt. (#6790)
* Einige Tastenkombinationen auf HIMS-Braillezeilen (wie z. B. Leertaste+Punkt 4) funktionieren nun korrekt. (#3157)
* Auf einigen (nicht-englischen) Systemen funktioniert nun die Verbindung mit seriellen Braillezeilen korrekt. (#6845)
* Beim Herunterfahren von Windows werden Konfigurationsdateien zunächst temporär gespeichert, bevor sie ersetzt werden. Dies verringert die Wahrscheinlichkeit für Beschädigungen der Konfigurationsdateien. (#3165)
* Beim Buchstabieren der aktuellen Zeile wird nun die aktuell eingestellte Sprache verwendet. (#6726)
* In Windows 10 Creators Update funktioniert die zeilenweise Navigation in Microsoft Edge nun bis zu dreimal so schnell wie zuvor. (#6994)
* Beim Verwenden von Microsoft Edge in Windows 10 Creators Update wird nicht mehr "Web Runtime Grouping" angezeigt. (#6948)
* Alle existierenden Versionen von SecureCRT werden nun unterstützt. (#6302)
* Adobe Acrobat Reader stürtzt nicht mehr bei bestimmten PDF-Dokumenten ab (speziell jene, die ein lehres ActualText-Atribut haben). (#7021, #7034)
* Im Lesemodus von Microsoft Edge werden interaktive Tabellen (Aria-Gitternetzlinien) nicht mehr übersprungen, wenn Sie mit den Schnelltasten T und Umschalt+T navigieren. (#6977)
* Wenn Sie im Lesemodus Umschalt+Pos1 drücken, nachdem Sie einen Text vorwärts markiert haben, wird nun die Zeile wie erwartet rückwärts demarkiert. (#5746)
* Im Lesemodus funktioniert das Markieren des gesamten Dokuments mit Strg+A auch dann, wenn sich der System-Cursor nicht am Anfang des Dokuments befindet. (#6909)
* Einige weitere Fehler beim Markieren im Lesemodus wurden behoben.. (#7131)

### Änderungen für Entwickler

* Die Befehlszeile von NVDA wird nun mit Hilfe des Moduls "Argparser" abgearbeitet. Dadurch werden Optionen wie "-R" oder "-Q" exklusiv abgearbeitet. (#6865)
* Die Funktion "core.calllater" fügt jetzt die Rückruffunktion nach einer angegebenen Zeitspanne in eine Warteschlange ein, anstatt sie direkt auszuführen. Dadurch wird verhindert, dass NVDA beim Anzeigen modaler Dialoge (wie Meldungsfenster) hängen bleibt. (#6797)
* Die Eigenschaft "InputGesture.identifiers" wird nicht mehr normalisiert. (#6945)
 * Untergeordnete Klassen müssen Bezeichner nicht mehr normalisieren, bevor sie sie zurückgeben.
 * Wenn Sie normalisierte Eigenschaften wünschen, verwenden Sie stattdessen "InputGesture.normalizedIdentifiers".
* Die Eigenschaft "InputGesture.logIdentifier" ist veraltet. Verwenden Sie stattdessen "InputGesture.identifiers[0]". (#6945)
* Veralteter Code wurde entfernt:
 * Konstanten `speech.REASON_*`: Verwenden Sie stattdessen die Konstanten `controlTypes.REASON_*`. (#6846)
 * `i18nName` für Sprachausgaben-Einstellungen: Verwenden Sie stattdessen `displayName` und `displayNameWithAccelerator`. (#6846, #5185)
 * `config.validateConfig`. (#6846, #667)
 * `config.save`: Verwenden Sie stattdessen `config.conf.save`. (#6846, #667)
